

== Changelog ==


= 2.0.13 - 2026-07-01 =

* Fix: fixed gallery output
* Fix: fixed small security issue


= 2.0.12 - 2026-06-29 =

Plugin Changes:

* Fix: improved api requests. it should not cache the requests if some error response. 
* Change: increased the limit of get selected terms option to 60 from 10 inside the editor
* Change: streighten some security related places functions. 


= 2.0.11 - 2026-06-22 =

Plugin Changes:

* Fix - checkbox filter logic or/end fix
* Fix - fixed some gallery item output issues
* fix - fixed some small security issues 
* fix - fixed wpml visibility issues
* Change - chaned to the new google places api
* Change - removed the mootools library from the plugin at all. it's legacy
* Change - make some adjustment to sync with the blocks version
* Change - updated owl carousel js script with some enhancements

Widgets Changes:

* Feature: Rhombus Grid (Pro) - Introduced a "Corner Radius" option, giving you full control over rounding the edges of your elements to match your design's styling.
* Feature: Hexagon Grid (Pro) - Added a Hex Radius option for Hexagon Grid items, allowing you to choose between No, Subtle, Medium, and Heavy border radius presets to smoothly round out the grid corners.
* Feature: Conditions (Free) - Introduced a new URL Match trigger type, allowing you to automatically execute actions when the browser URL matches a specific string, trailing slug, or target anchor.
* Feature: Typewriter Text Effect (Pro) - Introduced a "Cursor Color" option, giving you full control over the color of the typing animation cursor to ensure it aligns with your design's color palette.
* Feature: Categorized Posts List (Free) - Introduced a Background Blur Effect option, allowing to easily add a modern glassmorphism style or frosted glass look to your elements by blurring the content behind them.
* Feature: Woo Category Grid (Free) - Added an "Image Position" option for better control over image positioning.
* Change: Stacking Cards (Free) - Added a troubleshooting instruction to the widget, explaining that if cards are not stacking properly, it is likely due to the theme blocking the effect with a hidden overflow setting; users are advised to ensure the sections containing the widget are set to overflow: visible.
* Change: Date Field (Pro) - Added explanatory instructions directly within the widget options, guiding users on how to properly set up a formula to calculate the exact number of days between two dates.
* Change: Number Field (Free) - Added a description to the "Enable Date Field in Formula" option, clarifying that it allows you to transform the calculation result into a standard date format.
* Fix: Quantity Increment Buttons (Pro) - Resolved an issue where the "Increment buttons" failed to function properly when placed inside Loop Carousel widgets, ensuring smooth and responsive counter or quantity adjustments within looping sliders.
* Fix: Content Tabs (Free) - Fixed missing # prefix in accordion tab anchor href generation, which caused panel IDs to be output as invalid relative URLs and triggered false-positive 404 errors in SEO crawlers.
* Fix: Icon Carousel (Pro) - Resolved an issue where the "Icon Size" option failed to apply correctly when using custom SVG icons, ensuring full scaling control works consistently across all icon types.
* Fix: Dynamic Post Popup (Pro) - Resolved an issue where the "Close popup after adding to cart" option failed to trigger properly on archive pages, ensuring consistent checkout behavior across all product listings.
* Fix: Checkboxes Filter (Pro) - Resolved an issue where a child filter remained visible even when its parent term wasn't selected, ensuring proper conditional hierarchy and cleaner filter behavior.
* Fix: Content Ticker (Pro) - Added a CSS reset rule to protect link elements within the widgets, preventing global theme styles or default browser behavior from automatically adding an unwanted text underline.
* Fix: Post Grid (Free) - Resolved an issue where image attributes (such as alt, title, or dimensions) were missing from the fallback image, ensuring proper SEO compliance, accessibility, and layout stability.

= 2.0.10 - 2026-05-14 =

* Fix - fixed the pro version missing files

= 2.0.9 - 2026-05-13 =

Plugin Changes:

* Fix: added translation for sorting filter fields for wpml
* Fix: fixed some filter tabs security issues
* Fix: fixed the hard coded wpp orderby
* Feature: added option to show demo data in google reviews to save serp api credits


Widgets Changes:

* Feature: List Marquee (Pro) - Introduced a Speed Type option for the Marquee widget, offering two distinct movement behaviors: Regular - the animation speed is determined by the content width. Under this setting, a wider Marquee will move faster to complete its full cycle within the same allocated timeframe. Pixels Per Second - the movement maintains a constant, uniform speed regardless of the content's width, ensuring a consistent visual pace across different elements.
* Feature: Flip Box Carousel (Pro) - Introduced Image Border Radius and Image Border options, providing comprehensive control over corner rounding and border styling.
* Feature: Remote Bullets (Free) - Added Bullet Background Color Hover option, providing granular control over the visual feedback of the Bullets when hovered by a user
* Feature: Video on Hover (Free) - Implemented a Stop Video on Outside Click functionality, ensuring that video playback automatically terminates when a user clicks anywhere outside the widget
* Feature: Unlimited Timeline (Free) - Introduced an Item ID option, enabling the assignment of unique identifiers to individual elements for more precise CSS styling and targeted JavaScript interactions.
* Feature: Taxonomy Terms (Pro) - Implemented a comprehensive "Show All" button feature that grants the ability to integrate a custom global action button with fully configurable text and destination links.
* Feature: Before After (Free) - Implemented a vertical swipe gesture support for the Before After widget when configured in horizontal mode, ensuring intuitive interaction and accessibility across all touch-enabled devices.
* Feature: Instagram Feed (Free) - Implemented a new functionality that automatically detects video content within Instagram posts and displays it in a lightbox for an enhanced viewing experience.
* Feature: Video Carousel (Free) - Introduced a Loop option for video content, enabling continuous playback to create a seamless, repetitive viewing experience for users.
* Fix: Scroll Accordion (Pro) - Resolved a UI accessibility bug where buttons within cards were unreachable or unclickable in specific layouts, ensuring consistent interactivity regardless of the card's container or positioning.
* Fix: Content Accordion (Free) - Implemented support for the Before After widget when used within Elementor templates as Accordion items,
* Fix: Flip Box (Free) - Resolved a navigation bug where the Back Link and Back Button link elements failed to function
* Fix: Image Scroll (Free) - Resolved a rendering issue where the bottom SVG image failed to display correctly due to low CSS specificity
* Fix: Video on Hover (Free) - Resolved a race condition in the Elementor editor where video playback would initiate before the necessary JavaScript assets had fully loaded
* Fix: Video on Hover (Free) - Resolved a playback logic conflict where Vimeo-sourced videos would continue to loop even when the "Restart Video" option was disabled
* Fix: Content Tabs (Free) - Resolved a synchronization issue where clicking an anchor link would occasionally fail to trigger a switch to the corresponding active tab, ensuring consistent navigation and tab state alignment
* Fix: Unlimited Timeline (Free) - Resolved a styling bug where the active state background color failed to render
* Fix: SVG Animation (Free) - Resolved a redundancy conflict where widgets would erroneously duplicate or fail to maintain a single instance when placed within a sticky container.
* Fix: Justified Image Carousel (Pro) - Resolved a rendering issue where content background styles would persist or display incorrectly in scenarios where all nested content elements were set to "display: none."
* Fix: Scroll Text Animation (Free) - Enhanced performance and improved compatibility with other GSAP widgets.
* Fix: Scroll Image Comparison (Pro) - Improved performance and compatibility when used within iframes.
* Fix: Video Carousel (Free) - Resolved a scope issue with the "Outside Click" feature where the "Stop Video" functionality would only trigger for the final instance on pages containing multiple Video Carousel widgets.
* Fix: Sorting Filter (Pro) - Resolved a bug where the "Ascending" text option failed to populate within the select element, ensuring all sorting parameters are correctly visible and selectable.

= 2.0.8 - 2026-04-23 =

* Fix: fixed some more security issues with addons search
* Fix: fixed the time ago string, use it from date and not from modified date of the post
* Fix: in google reviews - don't run the serp request


= 2.0.7 - 2026-04-12 =


Plugin Changes:

* Fix: fixed some search related bug
* Feature: added "view objects" page in settings->troubleshooter
* Feature: added action and filter for request in get repeater from url
* Fix: improved the time ago string
* Fix: set the elementor dynamic settings under ajax
* Fix: fixed the typography fatal error with new elementor editor
* Fix: main role filter was inited after load in some cases. 
* Fix: fixed bug with synced grids inside simple popup widget
* Fix: image title get from "alt" when the caption is empty
* Fix: fixed some security issues with repeater url
* Fix: fixed some security issues get addons ajax url

Widgets Changes:

* Feature: Conditions (Free) - Added a Custom User Role trigger type so actions can run based on the logged-in user's role for access control and personalization.
* Feature: Place (Free) - Added custom title options for Price Range, Rating, Reviews, and Week Days (Monday-Sunday) so labels can be renamed or translated.
* Feature: Checkboxes Filter (Pro) - Added margin options for parent and child terms for finer spacing and layout hierarchy.
* Feature: Coverflow Carousel (Free) - Added opacity options for normal and active states for smoother transitions and transparency control.
* Feature: Simple Popup (Free) - Added Popup Vertical Offset and Popup Horizontal Offset for finer positioning.
* Feature: Unfold Content (Free) - Added support for the Content Tabs widget for more flexible, organized layouts.
* Feature: Recipe (Free) - Added title options for Instructions, Ingredients, and Video for custom labeling and styling.
* Feature: Before After (Free) - Added support for using the Before/After widget inside Elementor Tabs so the comparison slider initializes correctly when switching tabs.
* Feature: Flip Box Carousel (Pro) - Added support for the Override Item BG Image setting in Multi-source options for more flexible backgrounds across sources.
* Feature: Load More / Infinite Scroll (Pro) - Made the Alignment option fully responsive (desktop, tablet, mobile).
* Feature: Scroll Text Animation (Free) - Added a Text Align option.
* Feature: Tabs Filter (Free) - Added styling options for child terms (padding, margin, text color, background color).
* Feature: Google Reviews (Free) - Added Max Reviews Number to limit how many reviews are shown.
* Feature: Glowing Content Card (Free) - Added Show Outer Glow Animation for a pulsing glow around the element.
* Feature: Woo Category Grid (Free) - Added an Image Size option for better performance.
* Feature: Woo Category Carousel (Free) - Added an Image Size option for better performance.
* Feature: Post Grid (Free) - Added content background options for hover and active states, plus transition duration control.
* Feature: How To (Free) - Replaced hardcoded titles with customizable Instructions and Video title fields for localization.
* Feature: Video Carousel (Free) - Updated the Icon Selection control to the native Font Awesome library, with standard icons and custom SVG upload support.
* Fix: Sorting Filter (Pro) - Fixed compatibility with third-party translation plugins so widget strings are fully translatable.
* Fix: Post List (Free) - Fixed the Time Ago feature so relative dates display correctly.
* Fix: Video on Hover (Free) - Fixed auto-play failing with cookie consent plugins after the user accepts cookies.
* Fix: Pie chart (Free) - Fixed the ampersand (&) not displaying correctly.
* Fix: Justified Image Carousel (Pro) - Fixed navigation positioning conflicting with native Elementor widgets.
* Fix: Dynamic Post Popup (Pro) - Fixed missing loading text while content is fetched.
* Fix: Flip Box Carousel (Pro) - Fixed Marquee mode on iPad missing cloned items so the loop is continuous.
* Fix: Video Carousel (Free) - Resolved a script conflict with Video on Hover so both widgets work on the same page.
* Fix: Multi Level Sliding Menu (Pro) - Fixed minimum height when nested in an Elementor Accordion so height is correct on load.
* Fix: Repeater Table (Pro) - Applied overflow: auto so a horizontal scrollbar appears when content exceeds the container.
* Fix: Stacking Cards (Free) - Fixed the widget alternating cards when that option was disabled.
* Fix: Masonry Post Grid (Pro) - Fixed column count on initial load (including iOS before scroll).
* Fix: Loop Carousel (Pro) - Fixed Equal Item Height not calculating correctly in some layouts.
* Fix: Woo Mini Cart (Free) - Fixed the widget JavaScript not loading on the front end.
* Fix: Video Carousel (Free) - Fixed SVG icons not respecting height and width controls.
* Fix: Icon Pointer Button (Pro) - Fixed SVG icons not respecting height and width controls.
* Fix: Video Carousel (Free) - Refactored JavaScript for performance and fixed a conflict with the carousel library that blocked playback in some cases.
* Fix: Scroll Marquee (Free) - Fixed Gallery source images not rendering so gallery items display correctly.



= 2.0.6 - 2026-02-26 =

Plugin Changes:

* Feature: added new option: allow empty in items settings
* Feature: Added "File" attribute
* Feature: added option in general settings: "allow upload file types"
* Feature: added order by functionality in the most popular posts plugin
* Feature: added one more schema type: News Article
* Feature: added autocorrection option in ajax search
* Feature: added support for popular posts plugin for the sorting filter
* Fix: make sure that gallery has item title always, in product item also
* Fix: fixed some logical bug with the filters
* Fix: fixed mini cart pricing issue
* Fix: fixed some small form related vulnurability
* Fix: fixed the authors fetch, to get only author roles and not all roles with exclude
* Fix: fixed some breadcrumbs issues


Widgets Changes:

* Feature: Post Carousel Lite (Free) - Performed a comprehensive review of widget options and enabled responsive controls (Desktop, Tablet, and Mobile) for all applicable settings to ensure better layout flexibility across devices
* Feature: Off Canvas Filters (Pro) - A new feature has been added allowing the Simple Popup widget to be included within the Offcanvas Filters widget. It now functions seamlessly alongside other filter widgets, providing more flexible layout options.
* Feature: Simple Popup (Free) - A new feature has been added allowing the Simple Popup widget to be included within the Offcanvas Filters widget. It now functions seamlessly alongside other filter widgets, providing more flexible layout options.
* Feature: Conditions (Free) - A new Is Logged In User trigger type has been added, allowing you to set up conditional actions or visibility rules based on whether a user is currently authenticated or browsing as a guest.
* Feature: Woo Mini Cart (Free) - A new Show Subtotal Type option has been added, allowing users to choose whether to display prices inclusive of tax or exclusive of tax.
* Feature: Post Carousel Lite (Free) - A new Link Entire Item Type option has been added, allowing users to choose specific link sources such as a Dynamic Post Popup, a Link from a Custom Field, and other dynamic destinations for the item-wide click action.
* Feature: Active Filters (Pro) - A new Flex Wrap option has been added, giving users the ability to control whether elements within a container should wrap onto multiple lines or stay on a single row.
* Feature: Post Grid (Free) - A new Order option has been added for each Additional Data element.
* Feature: Post Magazine Grid (Pro) - A new Order option has been added for each Additional Data element
* Feature: Post Carousel (Free) - A new Order option has been added for each Additional Data element
* Feature: Video on Hover (Free) - A new Show Controls option has been added, giving users the ability to display or hide native video player controls
* Feature: Post Magazine Grid (Pro) - A new Show Post Views option has been added, allowing users to display the total view count for individual posts within the widget.
* Feature: Post Carousel (Free) - A new Show Post Views option has been added, allowing users to display the total view count for individual posts within the widget.
* Feature: Video on Hover (Free) - new Play on Click value has been added to the Video Play Mode option, allowing videos to remain static until a user specifically interacts with them with a click event.
* Feature: Text Field (Free) - A new Hidden option has been implemented that allows a field to be visually concealed while ensuring that Form Entries still receive and record data from it
* Feature: AJAX Search (Free) - Added Autocorrection option that allows to display a suggestion with a clickable link when the initial search returns no results due to a potential typo.
* Feature: Video Carousel (Free) - A new YouTube video source option has been added to allow users to directly integrate and display video content from the platform within the widget.
* Feature: Repeater Table (Pro) - A new feature has been enabled within the widget that allows users to remove all existing items, bypassing the typical restriction in item-based widgets that requires at least one item to remain.
* Change: Icon Pointer Button (Pro) - Updated the Icon Selection attribute to utilize the native Icon Library, enabling support for both standard font icons and custom SVG graphics
* Change: Masonry &amp; Justified Gallery (Free) - To improve clarity and avoid user confusion, the Column gallery type has been renamed to Masonry, more accurately reflecting its layout behavior.
* Fix: Button Icon Hover Effect (Pro) - Removed the Visibility Conditions options. These settings were previously added in error, as they are only compatible with form field logic and cannot function within standard widget layouts
* Fix: Background Switcher (Free) - An issue was resolved where disabling the First Selected option caused the widget to render as a blank space with no images visible. The widget now correctly initializes its display state even when no item is pre-selected.
* Fix: Background Switcher (Free) - An issue was resolved where the Hover Blur Effect only applied while the mouse was physically over a widget item. The effect has been corrected to persist on the active/selected item even when the mouse leaves the widget area
* Fix: Linear Progress Bar (Free) - An issue was resolved where browser background optimization features, such as bfcache and tab throttling, would freeze the widget's execution state. This caused the progress bar to remain stuck in a finished or desynchronized state upon page revisit or tab reactivation
* Fix: Post Carousel Lite (Free) - An issue was resolved where the Link Entire Item option was not functioning as expected
* Fix: WordPress Menu (Free) - An issue was resolved in the Elementor editor where the dropdown menu failed to display after clicking the burger icon, ensuring that navigation previews now function correctly within the editing interface.
* Fix: Huge Shapes Background (Pro) - An issue was resolved where the clearRect function utilized outdated or mismatched canvas dimensions, causing previous animation frames to persist and accumulate as visual &quot;ghosting&quot; or &quot;smearing&quot; artifacts.
* Fix: WordPress Menu (Free) - An issue was resolved in the Menu widget where the Clickable Parent Item option was incorrectly hidden when the Responsive Behavior was set to &quot;Slide.&quot; This setting now logic-gates correctly: parent items remain visible and clickable on desktop, while automatically adjusting only at the responsive breakpoint to ensure sub-menus function properly on mobile devices.
* Fix: Alphabet Filter (Pro) - An issue was resolved where users were required to click the Close icon twice to unselect an active filter, ensuring that filters now deactivate as expected with a single click.
* Fix: Post Carousel (Free) - An issue was resolved where the Author element failed to inherit the color value defined in the Meta Data Color option
* Fix: Conditions (Free) - An issue was resolved where ACF Field trigger types were not functioning correctly, ensuring that conditional logic or actions tied to Advanced Custom Fields now trigger as expected
* Fix: Post Carousel (Free) - The CSS priority of the title selector has been increased to ensure that its specific styling consistently overrides any conflicting general styles
* Fix: Animated Split Text (Pro) - An issue was resolved where the Splitting library was being initialized before the necessary JavaScript files had fully loaded on the page, preventing proper execution.



= 2.0.5 - 2026-01-22 =

* Fix: made some fix for wpml in main category
* Fix: fixed special characters in google sheets
* Fix: fixed filters "All" empty posts issue


= 2.0.4 - 2026-01-19 =

Plugin Changes:

* Feature - made functionality of load more before the grid
* Feature - added authors filter functionality to post filters.

Widgets Changes: 

* Feature: Event List (Pro) - A new Link Entire Item option has been introduced that allows the clickable area to encompass the entire element instead of just specific parts of the content
* Feature: Toggle Box (Pro) - A new Show Back Button option has been added which allows for the inclusion of a dedicated button containing a specific link.
* Feature: Unlimited Carousel (Pro) - Added Start Item Number option, allowing to start from a specific item.
* Feature: File Field (Pro) - Added Required option allowing to make the File Field widget mandatory.
* Feature: Conditions (Free) - Added three new actions - UE Open Liquid Menu, UE Close Liquid Menu, and UE Toggle Liquid Menu - allowing full programmatic control over the Liquid Menu widget behavior
* Feature: Liquid Full Screen Menu (Free) - Added support for the Conditions widget, enabling seamless control over the Menu by allowing it to be opened, closed, or toggled dynamically based on defined conditions
* Feature: Conditions (Free) - Added three new actions - UE Open Fullscreen Menu, UE Close Fullscreen Menu, and UE Toggle Fullscreen Menu - allowing full programmatic control over the Fullscreen Menu widget behavior
* Feature: Fullscreen Menu (Free) - Added support for the Conditions widget, enabling seamless control over the Menu by allowing it to be opened, closed, or toggled dynamically based on defined conditions
* Feature: Unlimited Carousel (Pro) - A new feature has been implemented that allows users to enable an Equalize Content Height option to ensure uniform dimensions across all elements.
* Fix: Vertical Curved Timeline (Free) - An issue was resolved where HTML attributes were not being correctly applied to the link element.
* Fix: Testimonial Carousel (Free) - An issue was resolved where the Show Arrows option only successfully hid the navigation arrows on desktop devices when set to false instead of applying the setting across all device types.
* Fix: Google Reviews (Free) - An issue was resolved where the Show Arrows option only successfully hid the navigation arrows on desktop devices when set to false instead of applying the setting across all device types.
* Fix: Unlimited Carousel (Pro) - An issue was resolved where certain links within cloned items remained non-functional and could not be clicked following the initial page load.
* Fix: Stacking Cards (Free) - Fixed issue related to Image display with Alternate Position Image option.
* Fix: Content Tabs (Free) - An issue was resolved where nested content tabs widgets failed to update the active state icons of inner accordion items when those items were activated.
* Fix: Google Reviews (Free) - An issue has been resolved that previously prevented the remote connection options from functioning correctly when using the coverflow layout type.

= 2.0.3 - 2026-01-04 =

* Fix: fixed SERP API cache time - changed from minutes to seconds 
* Feature: added requests log view

= 2.0.2 - 2025-12-29 =

Plugin Changes:

* Feature: add google reviews from serp api feature
* Fix - fixed double tax pricing in woocommerce variation
* Fix - fixed the entrance animation together with load more issue
* Fix - some blocks related bug fixes
* Fix - fixed default items not loading js issues
* Fix - fixed some small security issue

Widgets Changes:

* Release: Person Schema (Pro) - Person Schema adds structured data that defines an individual for search engines. Improve SEO by clearly connecting a person to content, roles, and social profiles.
* Feature: Unlimited Grid (Pro) - Added Title HTML Tag option for better SEO and accessibility.
* Feature: Content Carousel (Free) - Enhanced custom SVG icon support for navigation arrows, and added title and description text shadow options.
* Feature: Content Slider (Free) - Added title HTML tag option, improved links by adding link attributes, and introduced Slide Border, Overlay Hover, and Overlay Hover Transition Duration options.
* Feature: Video on Hover (Free) - Added a Schema option to enable schema markup support for better SEO and AI understand your content for increased visibility in AI powered search features.
* Feature: Text Field (Free) - Introduced a dynamic URL Autopopulate feature, allowing fields to automatically retrieve and fill values from custom query string parameters upon page load
* Feature: Off Canvas (Pro) - Added Background Color Hover and Text Color Hover options, allowing finer visual control over hover states and enabling consistent styling of the Trigger Button element.
* Feature: Side Menu (Free) - Added support for the Conditions widget, enabling seamless control over the Side Menu by allowing it to be opened, closed, or toggled dynamically based on defined conditions
* Feature: Conditions (Free) - Added three new actions UE Open Side Menu, UE Close Side Menu, and UE Toggle Side Menu allowing full programmatic control over the Side Menu widget behavior
* Feature: Snow Background (Free) - Added Speed Mobile option, allowing precise control over animation and interaction speed specifically for mobile devices, ensuring smoother performance, better usability on smaller screens
* Feature: Swipe Carousel (Pro) - Added Title Tag option, allowing users to define the HTML tag for the title element to better match the page structure, improve semantic markup, and enhance SEO and accessibility control.
* Feature: Grid Gallery (Pro) - Added Enable Link On Main Image option, allowing the main image within each item to function as a clickable link.
* Feature: Post Grid (Free) - Made the Title Spacing option fully responsive, allowing different spacing values to be applied across desktop, tablet, and mobile for more precise control of layout and typography.
* Feature: Expanding Content Cards (Free) - Added Sub Title option, enabling users to include an additional descriptive text line beneath the main title.
* Feature: Vertical Curved Timeline (Free) - Added Content Vertical Position option when the image option is enabled, also introduced Alternate Image Alignment option for improved design and customization.
* Feature: Icon Accordion (Free) - Added multi-source support along with pagination and filtering features, and improved the item color options for easier styling.
* Feature: Dynamic Post Popup (Pro) - Added Arrows Type option, introducing support for choosing between icon-based arrows and text-based arrows.
* Feature: Portfolio Carousel (Pro) - Added the Slides To Change option, which determines the exact number of carousel items moved when navigation arrows are clicked.
* Feature: Overlay Carousel (Pro) - Added the Slides To Change option, which determines the exact number of carousel items moved when navigation arrows are clicked
* Feature: Material Carousel (Pro) - Added the Slides To Change option, which determines the exact number of carousel items moved when navigation arrows are clicked.
* Feature: Icon Carousel (Pro) - Added the Slides To Change option, which determines the exact number of carousel items moved when navigation arrows are clicked
* Feature: Unlimited Carousel (Pro) - Added the Slides To Change option, which determines the exact number of carousel items moved when navigation arrows are clicked.
* Feature: Logo Carousel (Free) - Added the Slides To Change option, which determines the exact number of carousel items moved when navigation arrows are clicked
* Feature: Woo Product Carousel (Free) - Added the Slides To Change option, which determines the exact number of carousel items moved when navigation arrows are clicked.
* Feature: Post Carousel (Free) - Added the Slides To Change option, which determines the exact number of carousel items moved when navigation arrows are clicked
* Feature: Repeater Carousel (Pro) - Added the Slides To Change option, which determines the exact number of carousel items moved when navigation arrows are clicked
* Feature: Flip Box Carousel (Pro) - Added the Slides To Change option, which determines the exact number of carousel items moved when navigation arrows are clicked
* Feature: Loop Carousel (Pro) - Added the Slides To Change option, which determines the exact number of carousel items moved when navigation arrows are clicked
* Feature: Notification (Free) - The widget accessibility was improved by replacing the close div with a semantic button element, adding the essential aria-label Close Notification for screen reader clarity, applying role status to the main container for conveying passive informative content.
* Feature: Contact Form 7 (Free) - Improved accessibility of the widget by enabling proper keyboard navigation within form elements.
* Feature: Fullscreen Menu (Free) - Added Expand Collapse Icon Spacing option, allowing users to precisely control the distance between the expand collapse icon and the text.
* Feature: Gradient Underline Text Effect (Free) - Made the Text Align option responsive, allowing different alignment settings for desktop, tablet, and mobile.
* Feature: Post Accordion (Free) - Added Icon Spacing option introduced a new control that allows adjusting the distance between the icon and its adjacent elements.
* Feature: Team Member Carousel (Free) - Added Icon One, Icon Two, Icon Three, Icon Four and Link One, Link Two, Link Three, Link Four options to the Source options
* Feature: Unlimited Google Maps (Free) - Added Scroll To Active Navigation Item option, ensuring that navigation automatically scrolls to keep the active item visible.
* Feature: 360 Panorama Virtual Tour (Pro) - Enhanced the widget accessibility by applying ARIA attributes role, aria-label and tabindex 0 to interactive controls, allowing keyboard-only users to activate them by simulating a click using the Enter or Space key.
* Fix: Repeater Table (Pro) - Accessibility for the widget was improved by implementing the scope col attribute on all header cells to explicitly link data to headings
* Fix: Restaurant Menu (Free) - Accessibility for the widget was improved by adding role list and role listitem for better navigation structure, converting the See More toggle into a keyboard-accessible button with aria-expanded states.
* Fix: Loop Grid (Pro) - Fixed an issue where the Empty Message Type Template was displayed even when the Loop Widget had successfully rendered items, causing the empty state template to appear incorrectly alongside actual content
* Fix: Border Hero (Free) - The button field was incorrectly configured as a text field and has now been changed to a proper link field. A security vulnerability was also fixed to improve overall safety and stability.
* Fix: Content Grid (Free) - Removed empty links to prevent rendering unnecessary anchor elements and to avoid potential accessibility and SEO issues when link fields are left blank
* Fix: Comparison List (Pro) - Fixed an issue where column widths were not working correctly on mobile devices, and resolved RTL layout issues.
* Fix: Horizontal Timeline (Free) - Removed empty links to prevent rendering unnecessary anchor elements and to avoid potential accessibility and SEO issues when link fields are left blank.
* Fix: Price Range Filter (Pro) - Fixed an issue where slider thumbnail elements were displayed incorrectly on RTL right-to-left websites, ensuring proper alignment, order, and interaction consistency across all supported directions
* Fix: Random Content (Free) - Accessibility for the Random Content widget was improved by converting the shuffle trigger into a semantic button, marking the shuffle icon as aria-hidden true to avoid redundant noise, and applying aria-live polite to the content container
* Fix: Stacking Cards (Free) - Fixed an issue where the Alternate Page Position option was not functioning correctly on the live site and was only applied inside the Elementor editor
* Fix: Protected Content (Free) - Accessibility for the Protected Content widget was improved by correcting the form structure to properly link the label title to the password input using the for and id attributes, adding aria-required true to the input
* Fix: Cookie Consent (Free) - Accessibility for the Cookie Consent widget was improved by switching interactive div elements to semantic button tags, and ensuring the main container dynamically uses role dialog and aria-modal true only when the banner is visible, thereby guiding keyboard and screen reader focus correctly.
* Fix: Age Verification (Free) - The Age Verification widget accessibility was improved by adding role dialog, aria-modal true, and descriptive aria-label attributes to all input fields and buttons for better screen reader and keyboard navigation
* Fix: Content Tabs (Free) - Fixed an issue where theme-defined padding styles for ul elements were being unintentionally overridden by the widget CSS, ensuring better compatibility with various themes and preserving the original list spacing and layout as defined by the active theme
* Fix: Image Tooltip (Free) - Added aria-describedby attribute to the main widget wrapper to improve accessibility, and included additional HTML attributes such as alt for the image to ensure better semantic structure, screen-reader support, and overall accessibility compliance
* Fix: Event Box (Free) - Added ARIA attributes to interactive elements and link labels for improved screen reader compatibility.
* Fix: Calendar (Pro) - Increased the CSS priority of the Event Title element, ensuring its styling reliably overrides conflicting theme rules and displays consistently across different layouts and environments.
* Fix: Masonry and Justified Gallery (Free) - Fixed an issue where the Tile Text Panel styling options were not appearing in the widget settings panel, ensuring all relevant controls are now properly displayed and accessible for customization.
* Fix: Submit Button (Free) - Fixed issue where attempting to proceed to the next step of Multi Source widget from the first page without filling mandatory fields caused unwanted spacing to be repeatedly added to the form
* Fix: Justified Image Carousel (Pro) - Fixed an issue on touch devices where opening the lightbox required two taps instead of one, ensuring the lightbox now opens correctly on a single tap for a smoother and more responsive user experience.
* Fix: QR Code (Pro) - Accessibility of the QR Code widget was improved by applying role img to the SVG container to define it as a graphic and using aria-label to provide the visible title as the accessible name, ensuring screen readers can announce the image content.
* Fix: Animated Mouse Scroll Icon (Free) - The accessibility of the widget was improved by adding aria-label Scroll Down and role button to the link wrapper and using aria-hidden true on the decorative animation elements
* Fix: Repeater Tabs (Free) - Fixed issue when Repeater Tabs could not display all content with JSON or CSV Repeater Source.
* Fix: Social Share Buttons (Free) - Fixed an issue where the Telegram share option was redirecting to Xing instead of Telegram.


version 2.0.1 2025-11-26 =

* Fix: fixed some small secirity issue with the forms
* Update: updated freemius sdk to 1.13.0


version 2.0: 2025-11-24 =

Plugin Changes: 

* Feature: added schema options to posts and multisource widget types
* Feature: made options for ai visibility (the schema)

Widgets Changes:

* Feature: Background Switcher (Free) - Added Hover Blur Effect option, allowing a subtle blur to be applied when hovering over elements for enhanced visual interaction.
* Feature: Post Grid (Free) - Added Meta Data One, Two, Three, Four, and Five Typography Override options, allowing full control over the styling of each individual metadata field.
* Feature: Icon Bullets (Free) - Separated the Gap option into two independent controls: Column Gap and Row Gap, providing more precise spacing adjustments for grid layouts.
* Feature: Icon Bullets (Free) - Added Item Justify Content option, allowing greater control over horizontal alignment within each item.
* Fix: Justified Image Carousel (Pro) - Fixed issue where a hash name was incorrectly added to the URL after opening the lightbox, ensuring clean and consistent URL behavior.
* Fix: Animated Border Icon Box (Free) - Fixed issue where the full-box link was not functioning correctly on hover, ensuring the entire item remains fully clickable as intended.
* Fix: Content Accordion (Free) - Increased the priority of the Heading Text Typography option, ensuring it can successfully override conflicting CSS rules applied by various themes.
* Fix: Fullscreen Menu (Free) - Rebuilt the option so the icon size now updates automatically in the editor, and adjusted the default styling to ensure the icon is vertically centered.
* Fix: Content Tabs (Free) - Removed outdated and unnecessary code that was preventing widgets from functioning correctly when their parent container was hidden using Elementor's responsive visibility options.


version 1.5.152: 2025-11-17 =

* Fix: disable short pixel plugin on ajax requests, because it's breaking the json response
* Fix: fixed some wpml language with thumb id issues
* Feature: added the schema for multisource and post list params authomatically
* Fix: make sure that there are images url's in all of the schemas
* Change: added black friday theme to the plugin



version 1.5.151: 2025-10-16 =

Plugin Changes: 

* Fix: fixed some font awesome double include bugs
* Fix: fixed some init filters issue
* Fix: fixed file upload issues
* Feature: Set google reviews in original language and added option to choose review langauge
* Feature: added support for acf option pages
* Fix: added some doubly plugin compatability functions
* Fix: fixed some filters and pagination issues or non showing correct numbers
* Fix: Fixed current langauge setup in wpml
* Feature: added Full Post Intro to multisource fields. Moved truncate text to top side
* Fix: fixed js background output with object cache enabled

Widgets Changes: 

* Feature: Card Carousel (Free) - Made the Button Padding and Button Radius options responsive, allowing different values for desktop, tablet, and mobile devices to ensure optimal appearance across all screen sizes.
* Feature: Stars Background (Pro) - Added &quot;Disable Pointer Blocking&quot; option, allows users to prevent the widget from blocking pointer events when the background is displayed as the foreground.
* Feature: Accordion Filters (Pro) - Added an Item Box Shadow option, allowing customization of shadow effects around items to improve visual depth and overall design aesthetics.
* Feature: Search Filter (Pro) - Added Button Shadow and Button Shadow Hover options, enabling customization of shadow effects for buttons in both normal and hover states to enhance visual depth and interactivity.
* Feature: Video on Hover (Free) - Added an &quot;Open Link on Click&quot; option that allows users to open a link when the video is clicked.
* Feature: Unlimited Google Maps (Free) - Improved mobile interaction with category items, allowing users to tap anywhere on the category to expand or collapse it instead of only on the arrow icon, enhancing usability and accessibility.
* Feature: Mega Menu (Pro) - Added Typography options for the Active Menu Item state, allowing detailed customization of font style, size, and appearance for active navigation elements.
* Feature: Content Switcher (Pro) - Made the Radius and Padding options responsive, allowing different values to be set for desktop, tablet, and mobile devices for improved design adaptability.
* Feature: Event List (Pro) - Added an Item Button Text option, allowing customization of the button label for each item to provide more flexibility in content presentation.
* Feature: How To (Free) - Added &quot;Transition Duration&quot; option for the buttons.
* Feature: Unlimited Google Maps (Free) - Added Zoom Level Mobile option that allows setting a custom zoom level specifically for mobile devices
* Feature: PDF Viewer (Free) - Improved PDF Viewer Widget accessibility - added role=&quot;region&quot; and aria-label to main wrapper for semantic identification, converted navigation arrows and fullscreen control to button elements using role attribute with descriptive aria-labels for screen reader clarity, added aria-live=&quot;polite&quot; to page counter for dynamic updates, and ensured iframe has a meaningful title attribute for screen reader context.
* Feature: Currency Converter (Pro) - Added accessibility improvements - assigned role=&quot;form&quot; to the main widget, added proper aria-label attributes for inputs, search fields, and currency selectors, made the swap button keyboard-focusable with tabindex=&quot;0&quot; and role=&quot;button&quot;, added aria-live=&quot;polite&quot; to the output container for dynamic updates, and ensured all interactive elements have meaningful labels for screen readers.
* Feature: Video on Hover (Free) - Added keyboard accessibility support to Video on Hover widget by enabling video play/pause on focus and blur events, ensuring users can interact with the widget using the keyboard in addition to mouse hover.
* Feature: Comparison List (Pro) - Added vertical and text alignment options for the Package Column.
* Feature: Video on Hover (Free) - Added a &quot;Show Lightbox on Click&quot; option to play videos in a lightbox popup.
* Feature: Overlay Button (Free) - Added a Border Hover option, enabling customization of border styles and effects when hovering over elements for improved interactivity and visual feedback.
* Feature: Icon Accordion (Free) - Added new Scroll To Head options, including device-specific control (Desktop, Mobile, or both) along with customizable offset values for desktop and mobile, ensuring precise scroll positioning across different devices.
* Feature: Icon Tabs (Free) - Added a new option section called Accordion Head, which includes settings for alignment, direction, text alignment, background color, title color, and icon color for both normal and active states, providing more precise control over accordion header styling.
* Feature: Scroll Accordion (Pro) - Improved accessibility of Scroll Accordion Widget by adding semantic roles, making headers focusable, enabling keyboard navigation, and implementing dynamic aria-expanded updates so fully visible or scrolled-past cards are expanded while cards below the viewport remain collapsed
* Feature: Icon Box Accordion (Pro) - Added keyboard support for accordion toggling with Enter/Space and improved accessibility by managing aria-expanded and aria-hidden attributes.
* Feature: Liquid Full Screen Menu (Free) - Added a Sub Menu Padding option, allowing customization of inner spacing within submenu items for improved layout and readability.
* Feature: Unlimited Google Maps (Free) - Added support for the Map widget inside Elementor Tabs, ensuring proper functionality and display when used within tabbed layouts.
* Feature: Video on Hover (Free) - Added a Mode option that allows choosing between playing a video on hover or hiding the video on hover, providing greater flexibility for interactive behavior.
* Feature: Pricing Table (Free) - Added a List Text Align option, allowing customization of text alignment within list elements for improved layout control.
* Feature: Background Switcher (Free) - Added role, aria-selected, tabindex and enabled keyboard support so focused items can now be activated with Enter and deactivated with Esc.
* Feature: Justified Image Carousel (Pro) - Added a Full Size Image URL option, allowing direct access to the full-resolution version of images for better display and linking capabilities.
* Feature: Timeline Bullets (Free) - Improved accessibility: added roles attributes and keyboard support to Timeline Bullets - items can now be activated with Enter and deactivated with Esc.
* Feature: Icon Box (Free) - Added Icon Horizontal Align and Button Horizontal Align options, providing greater control over the horizontal positioning of icons and buttons.
* Feature: Icon Accordion (Free) - Improved accessibility of the Icon Accordion by adding aria-expanded, aria-controls, aria-labelledby, role, and tabindex, enabling keyboard support so Enter opens an item and Esc closes it, and ensuring aria-expanded updates correctly when toggling content.
* Feature: Social Share Buttons (Free) - Added a XING share link option, enabling content to be easily shared on the XING platform.
* Change: Post Query Summary (Pro) - Changed the default editor message displayed when a widget is added to the page, ensuring consistency with messages used in other similar widgets.
* Change: Unfold Content (Free) - Made the Scroll Back To Top option work not only after folding back but also when unfolding the content, ensuring smoother navigation and improved user experience.
* Change: Loop Carousel (Pro) - Changed the logic for handling disabled dots so they are no longer added to the page at all, improving markup cleanliness and performance.
* Fix: Video Carousel (Free) - Fixed an issue where the marquee direction (up and down) was not working correctly in the marquee layout.
* Fix: Accordion Filters (Pro) - Added a fix for the initial load issue where connected filters were briefly visible before JavaScript was fully loaded, ensuring a smoother and cleaner page rendering experience.
* Fix: Checkboxes Filter (Free) - Added `flex-shrink: 0` to the checkbox element to prevent it from shrinking in layouts with limited space, ensuring consistent appearance and alignment.
* Fix: Unlimited Google Maps (Free) - Fixed an issue with the initial Category display where the All Closed, All Opened, and First Opened options were not functioning correctly, ensuring proper initial state behavior.
* Fix: Job Listing (Pro) - Improved accessibility for the widget - added semantic HTML landmarks and roles, meaningful heading levels, ARIA labels for buttons, badges, and skill tags.
* Fix: Image Scroll (Free) - Added accessibility features to the Widget - assigned role=&quot;group&quot; to the main wrapper, added aria-label describing the widget's purpose, ensured all &lt;img&gt; elements have meaningful alt text, and set appropriate aria-hidden=&quot;true&quot; attributes for device overlays to improve screen reader experience.
* Fix: 360 Product Viewer (Pro) - Added role=&quot;region&quot; with aria-label to the main wrapper, aria-live=&quot;polite&quot; for dynamic updates, and aria-labels plus role=&quot;button&quot; for navigation controls to improve accessibility of the widget.
* Fix: Layers (Pro) - Added role=&quot;group&quot; with aria-label=&quot;Layered visual content&quot; to the main widget wrapper and role=&quot;img&quot; to icon elements to improve accessibility and assistive technology support.
* Fix: Toggle Dropdown (Free) - Added accessibility improvements to the Toggle Dropdown widget: implemented aria-expanded attribute for the toggle button to indicate its open/closed state and improved JavaScript logic for managing the hidden attribute to properly toggle dropdown visibility.
* Fix: Scroll Marquee (Free) - Added aria-hidden=&quot;true&quot; to the Scroll Marquee widget to mark it as decorative and prevent distraction for assistive technologies.
* Fix: Unlimited Google Maps (Free) - Fixed an issue where the Accordion On Open option was not functioning correctly, ensuring proper behavior when expanding accordion items.
* Fix: Comparison List (Pro) - Fixed a bug that caused the table layout to break when item text exceeded the column width, and corrected an issue where row borders were not displaying properly on mobile devices.
* Fix: Mega Menu (Pro) - Fixed an issue where clicking on the Expand Icon did not open the dropdown when the Item had the Clickable Link option enabled, ensuring proper functionality of both features.
* Fix: Smooth Scroll (Pro) - Added logic to stop Lenis smooth scroll when hovering over Mega Menu on mobile devices.
* Fix: Unlimited Carousel (Pro) - Added protection against themes applying default button styles that could break the appearance of arrows and bullets, ensuring consistent widget styling.
* Fix: Loop Grid (Pro) - Added Re-Init Elementor Animations option to allow reinitialization of animations only when explicitly enabled by users.
* Fix: Stacked Icons (Pro) - Improved accessibility of Stacked Images widget by adding semantic roles, meaningful aria-label attributes and focusability for non-link items.
* Fix: Stacked Images (Pro) - Improved accessibility of Stacked Images widget by adding semantic roles, meaningful aria-label attributes, focusability for non-link items, and descriptive alt text for images.
* Fix: Stacking Cards (Free) - Improved accessibility of Stacking Cards widget by adding semantic roles, tabindex, meaningful aria-label attributes, and ensuring cards and interactive elements are fully keyboard-navigable
* Fix: Custom Cursor (Free) - Improved accessibility by adding aria-hidden=&quot;true&quot; to the custom cursor elements so they are ignored by assistive technologies.
* Fix: Scroll Sequence (Pro) - Improved accessibility by adding role=&quot;img&quot; and a generic aria-label=&quot;Scroll sequence animation&quot; to describe the canvas for assistive technologies.
* Fix: Christmas Icons (Free) - Improved accessibility by hiding decorative icons from assistive technologies with aria-hidden=&quot;true&quot;, and adding aria-label to links where applicable.
* Fix: Morph Slider (Pro) - Improved accessibility by adding region landmark and labels to the slider, enhancing navigation with aria-controls, providing slide position context, and removing redundant roles.
* Fix: Scroll Image Reveal (Free) - Updated JS to respect users' prefers-reduced-motion setting: scroll-triggered animations are disabled for users who prefer reduced.
* Fix: Animated Hamburger Icon (Free) - Added accessibility support to the widget by including role, aria-label and aria-expanded attributes.
* Fix: Image Shapes (Pro) - Added accessibility support to Image Shapes widget by including role=&quot;img&quot; and aria-label attributes.
* Fix: Particle Image (Pro) - Added alt attribute to Particle Image widget to improve accessibility.
* Fix: Image Zoom Magnifier (Pro) - Added aria-describedby attribute to Image Zoom Magnifier widget for improved accessibility.
* Fix: Icon Accordion (Free) - Fixed an issue where the accordion was not opening correctly after the latest update, ensuring proper functionality and access.
* Fix: Content Slider (Free) - Added a trigger for the resize event after carousel load to prevent layout issues and ensure proper display in all cases.
* Fix: Comparison List (Pro) - Fixed an issue with column borders not displaying correctly in RTL mode.
* Fix: Icon Tabs (Free) - Added role attributes and aria-selected attributes to the Icon Tabs widget to improve accessibility.
* Fix: Lordicon: Animated Icons (Free) - Improved accessibility -  added ARIA labels and role=&quot;img&quot; attributes.
* Fix: Shape Bullets (Free) - Improved widgets accessibility: added ARIA roles for better screen-reader support, allowed aria-hidden on decorative SVGs.
* Fix: SVG Animation (Free) - Improved accessibility: added aria-hidden=&quot;true&quot; for decorative SVGs and replaced show() with visibility to prevent layout shifts.
* Fix: Flip Box Carousel (Pro) - Improved accessibility across the widget, enhancing usability for all users, including those relying on assistive technologies.
* Fix: Rhombus Grid (Pro) - Improved accessibility in Rhombus Grid widget by adding roles, aria-labels, keyboard navigation, and focus support.
* Release: Conditions (Free) - The Conditions widget lets you show or hide elements based on custom rules or interactions. Easily control what appears on your page depending on triggers, user actions, or other conditions.
* Release: Starfield Background (Pro) - The Starfield Background Widget creates a moving field of stars that gives any section a deep, cosmic atmosphere. It's ideal for adding subtle motion and a futuristic touch to your layouts while keeping performance smooth and lightweight.
* Release: Scroll Marquee (Free) - Scroll Marquee lets your images glide smoothly across the screen as users scroll, creating a sleek horizontal motion effect. Perfect for showcasing logos, galleries, or product shots in a dynamic, eye-catching way.
* Release: Video Carousel (Free) - Video Carousel lets you showcase multiple videos in a sleek, swipeable slider with smooth navigation. Engage visitors with a modern, interactive way to browse and play your video content.


version 1.5.150 - 2025-09-10 =

Plugin Changes:

* Update: updated freemius sdk to newest version
* Fix: fixed bug in background widgets second condition
* Fix: fixed some double js init with elementor popups
* Fix: fixed avoid duplicates in post related widgets with filters
* Fix: fixed svg output instead of url in some cases
* Fix: fixed some bug with wpml inside loop and elementor grid
* Fix: prepared the plugin for elementor class optimization


Widgets Changes: 

* Feature: Content Toggle (Free) - Added an Open Tab Based on URL option, allowing specific tabs to be activated automatically when accessing a page via a direct link.
* Feature: Age Verification (Free) - Added a Date Inputs Order option, allowing customization of the display order for date input fields to better match regional formats and preferences.
* Feature: Content Toggle (Free) - Added an Enable Cookie option that allows the selected Content Toggle Item to be remembered, ensuring user choice is preserved across sessions.
* Feature: Flip Box Carousel (Pro) - Added a Front Image Source option within the Source settings, allowing more flexibility in selecting and managing front image content.
* Feature: Flip Box (Free) - Added a Front Image Border Radius option, allowing customization of corner rounding for the front image to enhance design flexibility.
* Feature: Before After (Free) - Before/After slider is now fully keyboard accessible: users can Tab to the handle and move it with arrow keys, while aria-valuenow attribute updates dynamically for screen readers.
* Feature: Off Canvas Filters (Pro) - Added the possibility to manually add filters into the Off Canvas Filters popup using Items by simply specifying the CSS ID of the desired filter.
* Feature: Mega Menu (Pro) - Allowed the use of HTML in the Item Title options, enabling richer formatting and enhanced customization of item titles.
* Feature: Hotspots (Free) - Added an Activate On Page Load option, allowing a specific item to be activated automatically when the page loads for improved user experience and control.
* Feature: Audio Player (Pro) - Added a Controls Wrap Mode option, allowing better management and layout of control elements within the widget for improved flexibility and appearance.
* Feature: Breadcrumbs (Free) - Allowed the use of HTML tags in Breadcrumbs text elements, enabling richer formatting and improved customization options.
* Feature: Hexagon Grid (Pro) - Added a Show Second Background Image option, allowing a secondary image to appear on hover for enhanced visual interactivity and design flexibility.
* Change: Multi Step Form (Free) - Changed the target Elementor container from `elementor-widget-container` to `.elementor-widget` to ensure the widget functions correctly following the Elementor 3.32 version release.
* Change: Submit Button (Free) - Changed the target Elementor container from elementor-widget-container to .elementor-widget to ensure the widget functions correctly following the Elementor 3.32 version release.
* Change: Content Toggle (Free) - Renamed Cookie options into Open Tab Rules
* Change: Audio Player (Pro) - Changed the source type of the audio library for the widget from CDN to self-hosted, improving performance, reliability, and control over asset loading.
* Fix: Age Verification (Free) - Fixed an issue where the Load After Delay option was not functioning correctly, ensuring proper delayed loading behavior.
* Fix: Off Canvas Filters (Pro) - Fixed an issue where the Off Canvas Filter widget was not appending the Accordion Filter widget under its container, ensuring proper structure and functionality.
* Fix: Flip Box (Free) - Improved accessibility across the widget, enhancing usability for all users, including those relying on assistive technologies.
* Fix: Masonry &amp; Justified Gallery (Pro) - Fixed an issue related to video playback in the Lightbox when the pagination option was enabled, ensuring smooth and uninterrupted video functionality.
* Fix: Icon Box Hover Effect (Free) - Added protection to prevent SVG icons from disappearing on hover, ensuring consistent visibility and proper styling.
* Fix: Background Switcher (Pro) - Fixed an issue where the Item Height option was not working in Vertical Mode on mobile devices, ensuring proper display and responsiveness.


version 1.5.149 - 2025-08-21 =

Plugin Changes:

* Feature - acf fields now get taxonomies array
* Feature - changed users list to all users
* Feature - added object_id to multisource item fields
* Fix - added alphabet filter to active filtered items
* Fix - fixed search by sku in woo ajax search
* Fix - fixed email likert form field saving and sending
* Fix - fixed form file field upload
* Fix - fixed post list stuck when insert on editor
* Fix - done some protection for the galleries against mallicious code

Widgets Changes:

* Release: Content Toggle (Free) - The Content Toggle Widget lets you switch between two content views with a smooth toggle.
			Ideal for comparisons, light/dark modes, or showing alternative info in the same space.
* Release: How To (Free) - The How To Widget lets you create step-by-step instructional content with clear titles, descriptions, images, and estimated times. It&#039;s perfect for tutorials, guides, or walkthroughs.
* Release: Animated Mesh Gradient Background (Pro) - Add a dynamic, fluid feel to your sections with the Animated Mesh Gradient Background widget.
			Smooth, colorful gradients flow and shift to create an eye-catching, modern backdrop.
* Release: Bracket Maker (Pro) - Create interactive tournament brackets with the Bracket Maker widget. Perfect for sports, games, or competitions, customize teams, rounds, and styles easily.

* Feature: List (Free) - Improved widget behavior: if Enable Link option is disabled, it is now possible to add links inside the Item Text option.
* Feature: Mega Menu (Pro) - Allowed the use of HTML tags within the Text Graphic element, enabling richer formatting and greater customization of text content.
* Feature: Flag Icons (Free) - Extended the &quot;Link&quot; option to work with all layout types, not just the dropdown layout, providing greater flexibility and consistency across different designs.
* Feature: Portfolio Carousel (Pro) - Added a new Image Grow On Hover option, allowing images to smoothly scale up when hovered over.
* Feature: Justified Image Carousel (Pro) - Added new elements - Subtitle and Button - to expand available content options in the widget.
* Feature: Repeater Carousel (Pro) - Added support for WYSIWYG type of ACF field, enabling rich text content to be displayed properly within the widget.
* Feature: Repeater Grid (Pro) - Added support for WYSIWYG type of ACF field, enabling rich text content to be displayed properly within the widget.
* Feature: Vertical Curved Timeline (Free) - Added Layout Type option allowing elements to be positioned in a column or a row.
* Feature: Logo Marquee (Free) - Added Item Image Object Fit and Item Image Object Position options, allowing precise control over how images are scaled and positioned within items.
* Feature: Payment Method Icons (Free) - Added two new cards as payment method icons: Union Tank Eckstein and DKV, providing broader payment option representation
* Feature: Compact Gallery (Free) - Added Lightbox option, enabling users to display content in a pop-up overlay for an improved viewing experience
* Feature: Grid Gallery (Pro) - Added Lightbox option, enabling users to display content in a pop-up overlay for an improved viewing experience
* Feature: Slider Gallery (Free) - Added Lightbox option, enabling users to display content in a pop-up overlay for an improved viewing experience.
* Feature: Thumbnail Gallery (Free) - Added Lightbox option, enabling users to display content in a pop-up overlay for an improved viewing experience.
* Feature: Dropdown Button (Pro) - Added Dropdown Horizontal Align option, allowing users to control the horizontal alignment of dropdown menus.
* Feature: Post Tabs (Free) - Added Button Typography option allowing customization of font settings (e.g., size, weight, style) for the button element
* Feature: Post Grid (Free) - Added Categories Position option, allowing users to set the desired position of category labels within the widget
* Feature: Repeater Accordion (Pro) - Added support for WYSIWYG field type of the ACF plugin in Repeater fields, enabling proper handling of rich text content.
* Feature: Content Grid (Free) - Added Title Link Type option, allowing the title to open the lightbox on click for improved interactivity.
* Feature: Repeater Table (Pro) - Added support for WYSIWYG type of ACF field, enabling rich text content to be displayed properly within the widget.
* Feature: Horizontal Timeline (Pro) - Added Button Text option into Multisource options, allowing users to customize the button label for improved clarity and flexibility.
* Change: Testimonial Carousel (Free) - Increased the Nav Arrow Spacing option range by extending its minimum and maximum values to -2000 and 2000, providing greater flexibility for customization.
* Change: Justified Image Carousel (Pro) - Changed the name of the Fix Broken Layout option to Load After Images for clearer understanding.
* Change: Content Grid (Free) - Changed the option name &quot;Dynamic Popup Select&quot; to &quot;Button Link Type&quot; in order to make its purpose clearer and more intuitive for users.
* Fix: Mega Menu (Pro) - Fixed an issue where clicking on the Graphic Element would not follow the assigned link when the Clickable Link Item option was enabled, ensuring proper link functionality.
* Fix: Justified Image Carousel (Pro) - Removed hardcoded data-elementor-lightbox-title and title attributes from widget links, allowing Elementor Lightbox to respect global &quot;Show Title&quot; settings.
* Fix: Overlay Carousel (Pro) - Added protection to prevent padding from being applied by client website theme CSS, ensuring consistent layout and styling of the widget.
* Fix: Flag Icons (Free) - Fixed an issue with the Link option where additional link attributes were not being applied, ensuring proper functionality and attribute handling.
* Fix: Flag Icons (Free) - Fixed the Remote Connection behavior when the layout type is set to Carousel, ensuring proper synchronization and smooth functionality.
* Fix: Justified Image Carousel (Pro) - Fixed an issue where images in the Lightbox were not displayed at full size, ensuring correct scaling and optimal visual presentation.
* Fix: Flip Box (Free) - Fixed an issue where the Flip Box element was not flipping back to the front side after the mouse leave event, restoring expected interactive behavior.
* Fix: Repeater Table (Pro) - Fixed an issue where **Columns** added in the Editor could result in an empty title, ensuring that all column titles display correctly and maintain proper content structure.
* Fix: 360 Product Viewer (Pro) - Added a tiny delay before initialization to ensure proper functionality when used inside Elementor popups, improving stability and preventing potential loading issues
* Fix: Expanding Content Cards (Pro) - Fixed an issue where Remote and Sync functionalities were not functioning properly in responsive mode, ensuring smooth operation and consistent behavior across all device sizes.
* Fix: Justified Image Carousel (Pro) - Added Content Vertical Offset option, available when Content Position is set to Bottom of the Image and Content Placement is set to Bottom.
* Fix: Layers (Pro) - Fixed an issue in the WordPress Gutenberg editor where images were displaying with an abnormal height property at certain breakpoints.
* Fix: Scroll Sequence (Pro) - Changed widget default values to display the default example of the Scroll Sequence widget: File Name Prefix Padding: 4, Image Extension: webp, Number Of Images: 59.
* Fix: Timeline Bullets (Free) - Added missing alt attributes for img elements to improve accessibility and SEO
* Fix: Video on Hover (Free) - Replaced touchstart with pointerup to allow scrolling on touch devices while still supporting tap to play video.
* Fix: Thumbnail Gallery (Free) - Fixed bug where the Text Panel (Title and Description) was not displaying.
* Fix: Masonry &amp; Justified Gallery (Pro) - Allowed using SVG icons for custom icons that include CSS IDs and CSS classes, enabling more flexible styling and customization.
* Fix: Woo AJAX Search (Free) - Fixed issue where the Price continued to display even when the Show Price in Results option was disabled.
* Fix: Portfolio Carousel (Pro) - Fixed issue where link element was still rendered even when the Link option was empty.
* Fix: Smooth Scroll (Pro) - Fixed issue where Smooth Scroll widget was preventing anchor link click from triggering scroll behavior.
* Fix: Content Carousel (Free) - Fixed issue where Carousel widget was not initializing properly after page load.
* Fix: Carousel Gallery (Pro) - Fixed issue where the Pause icon was incorrectly displayed at the same time as the Play icon, causing visual overlap and confusion in the video controls.
* Fix: Logo Marquee (Free) - Fixed issue where the widget did not work on Safari mobile devices, ensuring full compatibility.
* Fix: Masonry &amp; Justified Gallery (Pro) - Fixed issue where HTML5 videos were not playing correctly when using the Native Pagination functionality


version 1.5.148 - 2025-07-21 =

* Fix - elementor rtl issues fix


version 1.5.147 - 2025-07-17 =

Plugin Changes:

* Fix - added entity decode for subjects in the forms emails
* Fix - fixed bug with remove orderby in post selection
* Fix - some protection of elementor widgets register in case of cache
* Fix - ajax search with titles only issues
* Fix - fixed background widgets js code issues

Widgets Changes:

* Feature: Animated Floating Elements Background (Pro) - Added Starting Point option, allowing users to define the initial position or item displayed when the widget loads
* Feature: Job Listing (Pro) - Added Remote Connect option, also added Fallback Image option to display a default image when the item image is missing.
* Feature: Post Carousel (Free) - Added Show Full Post Content option, allowing users to display the complete content of a post instead of just an excerpt.
* Feature: Job Listing (Pro) - Added new styling options for Job Info Items, including Border Radius, Padding, Background Color, Background Color on Hover, Border, and Border on Hover for enhanced visual customization.
* Feature: Content Box Overlay (Free) - Enabled Image size/resolution selection. Introduced Transition Duration, Title HTML Tag, Icon, and Show Title condition and debug option: &quot;Preview Hidden Content&quot; to assist during styling. Also added Icon, and badge option.
* Feature: Animated Border Icon Box (Free) - Added Title Condition and Title HTML Tag option. Enabled SVG Icon Upload and introduced &quot;Enable Full Box Link&quot; option. Also introduced a new Layout tab and reorganized related options for clarity. Added Badge Option and moved Title Border settings to the new Separator tab, along with new Border Width and Separator Gap controls.
* Change: Post Grid (Free) - Added 9 new options in the &quot;Image Object Position&quot; setting to allow precise image alignment: top left, top center, top right, center left, center center, center right, bottom left, bottom center, and bottom right.
* Change: Content Box Overlay (Free) - Added new styling options, Height, Image Fit, Image Position, Image CSS Filter, Title Spacing, and Separator line styles. Improved overall widget functionality and optimized CSS loading based on conditions, and removed unused CSS for better optimization.
* Change: Animated Border Icon Box (Free) - Added a dedicated Icon tab in styles, including controls for Icon Size, Color, Shadow, and Gap. Also added a separate Icon Gap setting. Removed  old typography option, and added styling options for the Title. Restructured HTML and CSS, removing unused elements for improved performance.
* Change: Tabs Filter (Pro) - Added CSS rule to remove text decoration from the tab item link element, enhancing the overall visual clarity.
* Fix: Repeater Table (Pro) - Fixed issue where CSV and JSON sources for the table were not working with the widget, ensuring proper data loading and display.
* Fix: Alphabet Filter (Pro) - Fixed issue where enabling the Post Count option triggered an alert displaying an error, ensuring smooth functionality.
* Fix: Morph Background Slider (Pro) - Fixed Issue when Transition Direction option were not working as expected.
* Fix: Liquid Full Screen Menu (Pro) - Fixed issue where the Menu was causing horizontal scrolling when resizing the window, ensuring proper responsive behavior.
* Fix: Testimonial Carousel (Free) - Added aditional check of Masonry Layout Items position and corection in case of misalignment.
* Fix: Post Grid (Free) - Fixed an issue where, when the List View option was enabled and the layout was switched to list view, post items were not full width as expected. Instead, they were displaying at inconsistent. This update ensures that all post items properly stretch to full width in list view mode for a consistent and cleaner layout.
* Fix: Underline Link Hover Effect (Pro) - Fixed issue where the transition duration was not applied to the text element, ensuring smooth and consistent animations
* Other: Select Dropdown Filter (Free) - Added additional instruction for the Select First option, providing clearer guidance on its usage and behavior.
* Other: Tabs Filter (Pro) - Added additional instruction for the Select First option, providing clearer guidance on its usage and behavior.
* Release: Flag Icons (Free) - New Widget: Flag Icons. Easily add country flag icons to your Elementor designs - perfect for highlighting international destinations, events, or global content!




version 1.5.146 - 2025-06-24 =

Plugin Changes:

* Feature: improved the schema fields detection
* Feature: added more options to the alphabet filter
* Feature: added page title to the email placeholders
* Feature: added recaptcha option for the forms
* Feature: added honey pot for the forms
* Feature: added option for debug by url in breadcrumbs
* Fix: fixed form csv export with commas and special characters inside
* Fix: filters same category checkbox issue
* Fix: clear system variables from active filters
* Fix: added exclude catalog visibility in woo products list
* Update: update unite gallery to new version


Widget Changes:

* Feature: Content Tabs (Free) - Added Graphic Element Color option for hover, active, and regular states, and new Accordion state icon colors. Fixed close behavior, remote controls in accordion, and WooCommerce tab conflict.
* Feature: Submit Button (Free) - Added possibility of using the {page_title} placeholder in the Mail Subject option.
* Feature: Image Accordion (Free) - Organized options into tabs (Regular and Active), added additional Color and Spacing options, added Item Button Text, fixed Transition Duration max value, and improved code structure.
* Feature: List Marquee (Pro) - Added support for using the widget within Elementor Popup.
* Feature: Layers (Pro) - Added Image Border Radius option and Rotation option for Text Type Item.
* Feature: Masks & Patterns Background (Free) - Added Custom Mask Type value.
* Feature: Horizontal Timeline (Pro) - Added Bullet Background Color Active, Bullet Color Active, and Change Item On Click options.
* Feature: Woo AJAX Search (Free) - Made Results Item Layout option responsive.
* Feature: Mega Slider (Pro) - Added Auto Height option and Enable Keyboard Control option; added protection from WordPress theme CSS overrides.
* Feature: Mega Menu (Pro) - Changed Expand Collapse Icon to Icon Library with SVG support; added Responsive Color, Expand Collapse Icon Position, Expand Collapse Icon Size; added aria-label attribute; fixed styling and accessibility.
* Feature: Liquid Full Screen Menu (Pro) - Added Menu Icon Type option for Custom Menu Icon.
* Feature: Masonry Post Grid (Pro) - Added Item Hover Animation option.
* Feature: Material Carousel (Pro) - Added Scroll to Head, Scroll to Head Force on Mobile, Scroll to Head Offset, and Content Min Height options.
* Feature: Floating Chat Buttons (Pro) - Added accessibility attributes.
* Feature: Fullscreen Menu (Free) - Added aria-haspopup="menu" and other ARIA roles; fixed multiple accessibility and icon color issues.
* Feature: Select Dropdown Filter (Free) - Added Advanced Layout Type option.
* Feature: Content Switcher (Pro) - Added Force Single Row option.
* Feature: Woo Product Grid (Free) - Added Link Type option; renamed to Link Open Type for clarity.
* Feature: Dark Mode (Free) - Added ue-light-mode class support to exclude containers with background images.
* Feature: Instagram Feed (Free) - Added Lazy Load placeholder.
* Feature: Image and Video Slider (Pro) - Added Remote Connection feature.
* Feature: Remote Dropdown (Pro) - Added First Selected option and Accordion Layout Type option.
* Feature: Icon Box (Free) - Updated Animated Border Effect with Start Position; added Show Button Icon, Hover Transition Duration, Title HTML Tag; enhanced styling, Text Shadow, reorganized Layout tab.
* Feature: Content Grid (Free) - Added Link Full Item option; added Height Type and Image Position options.
* Feature: Expanding Content Cards (Pro) - Added Vertical Title Typography option.
* Feature: Thumbnail Gallery (Free), Compact Gallery (Free), Slider Gallery (Free), Grid Gallery (Pro), Carousel Gallery (Pro), Masonry & Justified Gallery (Pro) - Updated Navigation Icon options: color, hover, Icon Type, Gallery Height for Tablet; fixed display issues.
* Feature: Remote Item Navigation (Pro) - Added Title Color Hover and Icon Hover Color options.
* Feature: Calendar (Pro) - Added Event Type, Day of the Week, Start/End Repeater Dates, and Direction option.
* Feature: Team Member Grid (Pro) - Added Image CSS Filter and Hover Filter options.
* Feature: Stacking Cards (Pro) - Added Show Background Image and Alternate Image Position options.
* Feature: Semi Circle Progress Bar (Pro) - Added Max Value option.
* Feature: Unlimited Carousel (Pro) - Added Link Whole Item option; fixed Image Grow animation and empty link issue.
* Feature: Vertical Curved Timeline (Free) - Added RTL option; fixed Font Awesome icon connection.
* Feature: Content Accordion (Free) - Added Transition Duration option.
* Feature: Radio Button Field (Free) - Added Default Value option; fixed Set First Item Active timing.
* Feature: Hotspots (Free) - Improved popup design (border, padding, typography, shadow); added Spot Padding; rebuilt widget to fix tooltip issues; added image attributes.
* Feature: Event Box (Free) - Added Location, Show Start Date, End Date; removed redundant Date Number and Month Name; improved responsive styling.
* Feature: Review Box (Free) - Added Reviewed Item Name, Date Published; optimized HTML and styling.
* Feature: Post Card Slider (Pro) - Added Show Nav Icons and Change Slides on Mousewheel.
* Feature: Post Ticker (Free) - Changed label display to flex; fixed Label Background Color.
* Feature: Icon Accordion (Free) - Added Unfold Content widget support.
* Feature: Loop Grid (Pro) - Fixed YouTube videos disappearing with Tabs Filter.
* Feature: Content Slider (Pro) - Fixed Remote Connection, Autoplay Hover Pause, style conflicts.
* Feature: Content Carousel (Free) - Improved structure and Autoplay Hover Pause.
* Feature: Card Carousel (Free) - Improved structure and maintainability.
* Feature: Testimonial Carousel (Free) - Added Text Direction for Marquee Layout; improved structure.
* Feature: Testimonial Grid (Free) - Fixed RTL containment.
* Feature: Before After (Free) - Fixed image jump on load.
* Feature: Dynamic Post Popup (Pro) - Updated event binding for better compatibility.
* Feature: Coverflow Carousel (Free) - Fixed alignment after Elementor animations.
* Feature: Logo Carousel (Pro) - Protected nav dot styles.
* Feature: Glowing Content Card (Free) - Fixed multiple instances behavior.
* Feature: Call To Action Button (Free) - Fixed query string ampersand escaping.
* Feature: Unlimited Table (Pro) - Fixed Icons Size option.
* Feature: Search Filter (Pro) - Increased CSS priority for Placeholder/Input Text Color.
* Feature: Shape Bullets (Free) - Made icon and spacing options responsive.
* Feature: Unlimited Google Maps (Pro) - Fixed Category Toggle and double click.
* Feature: Checkboxes Filter (Pro) - Fixed multi-filters OR logic.
* Feature: Woo Product Carousel (Free) - Fixed second image duplicate; increased CSS priority.
* Change: Team Member Carousel (Pro) - Removed `overflow: hidden` from image container element.
* Change: Post Grid (Free) - Renamed Link Type option to Link Open Type.
* Change: Icon Box (Free) - Enhanced styling, added hover states, organized options in Layout tab, renamed Text option to Description.
* Change: Post Ticker (Free) - Changed label display CSS to flex for better alignment.
* Change: Event Box (Free) - Removed Date Number and Month Name options (replaced by Start Date).
* Fix: Mega Menu (Pro) - Added aria-label="menu" attribute for better accessibility.
* Fix: Line Text Divider (Free) - Fixed text vertical centering.
* Fix: Gradient Button (Free) - Fixed CSS transition in Gutenberg editor.
* Fix: Content Slider (Pro) - Fixed Slider functionality with Remote Connection; fixed Autoplay Hover Pause; added style protection.
* Fix: Tabs Filter (Pro) - Organized widget code for better structure.
* Fix: Content Tabs (Free) - Fixed multiple bugs: close option, WooCommerce tab conflict, remote controls with accordion.
* Fix: Before After (Free) - Fixed image jump on load.
* Fix: Dynamic Post Popup (Pro) - Updated outdated event binding.
* Fix: Post Carousel (Free) - Organized widget code.
* Fix: Image Accordion (Free) - Organized widget code.
* Fix: Card Carousel (Free) - Organized widget code.
* Fix: Testimonial Carousel (Free) - Organized widget code.
* Fix: Content Carousel (Free) - Organized widget code; fixed Autoplay Hover Pause.
* Fix: Post Grid (Free) - Fixed Link Full Item z-index.
* Fix: Testimonial Grid (Free) - Fixed RTL layout containment.
* Fix: Icon Accordion (Free) - Added support for Unfold Content widget inside Icon Accordion.
* Fix: Loop Grid (Pro) - Fixed YouTube video disappearing with Tabs Filter.
* Fix: Fullscreen Menu (Free) - Fixed duplicate form field IDs; fixed Icon Color option; improved ARIA attributes.
* Fix: Statistic Counter (Free) - Fixed motion effects animation behavior.
* Fix: Woo Product Carousel (Free) - Fixed second product image duplication; increased CSS priority for typography.
* Fix: Unlimited Google Maps (Pro) - Fixed Category Toggle and double click issue.
* Fix: Glowing Content Card (Free) - Fixed multiple instances behavior.
* Fix: Call To Action Button (Free) - Fixed ampersand escaping in query strings.
* Fix: Unlimited Table (Pro) - Fixed icon resizing.
* Fix: Search Filter (Pro) - Increased CSS priority for text colors.
* Fix: Image Accordion (Free) - Fixed Transition Duration max value.
* Fix: Coverflow Carousel (Free) - Corrected position after Elementor animations.
* Fix: Logo Carousel (Pro) - Prevented theme styles overriding navigation dots.
* Fix: Vertical Curved Timeline (Free) - Fixed Font Awesome icon visibility.
* Fix: Hotspots (Free) - Rebuilt widget to fix tooltip container color conflicts; added image attributes.
* Fix: Shape Bullets (Free) - Made icon size and spacing responsive.
* Fix: Mega Slider (Pro) - Protected styling from theme overrides.
* Fix: Compact Gallery (Free) - Updated Navigation Icon options for consistency.




version 1.5.145 - 2025-04-20 =

Plugin Changes:

* Fix: fixed the translate before time notice
* Fix: removed the get_breadcrumbs function to avoid php collisions
* Fix: fixed some small security issue with testtermids
* Feature: updated the widgets gallery code to use svg icons

Widgets Changes:

* Feature: Remote Item Navigation (Pro) - Added a dedicated block of styling options for the Hover State of Items, allowing more control over hover effects and appearance.
* Feature: Loop Carousel (Pro) - Added a new &quot;Layout&quot; option, allowing users to select between Carousel or Marquee layouts for better flexibility.
* Feature: Glare Button Effect (Free) - Added new typography, text color, button border, box shadow, and text shadow options.
* Feature: Thumbnail Gallery (Free) - Added Title and Description Typography option, enabling users to customize the font, size, weight, and other typography settings.
* Feature: Text Rotator (Free) - Added new Text Shadow option for all text elements within the widget. This option allows adding shadow effects to any text element.
* Feature: Payment Method Icons (Free) - Added two new layout options, &quot;Carousel&quot; and &quot;Marquee,&quot; and also improved widget performance.
* Feature: Scroll Accordion (Pro) - Added Active styling options for Title Text Color and Background Color of the title
* Feature: Event List (Pro) - Added Calendar Date option for cases when Date Type is set to Text Field.
* Feature: Liquid Full Screen Menu (Pro) - Added new Active Styling options for the Hamburger Element, allowing for more customization.
* Feature: Woo Product Carousel (Free) - Added Button Add to Cart (Variable Products) styling options, for better product presentation.
* Feature: Mega Slider (Pro) - Improved Animation Duration option to ensure compatibility with all Animation Types.
* Feature: Line Chart (Free) - Added styling options for the X and Y axis titles and values for better customization.
* Feature: Post Grid (Free) - Added a new option called &quot;Show Post Type Name,&quot; which allows displaying the post type name within the widget.
* Feature: Fullscreen Menu (Free) - Created a new option called &quot;Expand All After Page Load&quot; which allows all sections or items to be expanded automatically when the page finishes loading



version 1.5.144 - 2025-04-08 =

Plugin Changes:

* Feature: finished the breadcrumbs widget functionality
* Feature: added get wpml current langauge sticky posts functionality
* Feature: added option for ";" in csv input
* Feature: added option for placeholders in url in form redirect
* Fix: fixed some sanitize url pattern so it detect less false positive
* Fix: fixed price range filter small bugs
* Fix: fixed unite gallery small width issues


Widgets Changes:

* Feature: Calendar (Pro) - Added Event Background Color Override Source option to the Source settings. This new option allows users to define a custom source field for overriding the default event background color.
* Feature: Gradient Button (Free) - Added &quot;Hover Transition Duration&quot;, and also added the &quot;aria-label&quot; option to enhance accessibility and SEO by allowing users to describe the button's purpose.
* Feature: Gradient Hover Effect Button (Free) - Added new typography, button padding, text color, button border, border radius, box shadow, and text shadow options.
* Feature: Liquid Button (Free) - Added &quot;Show Icon&quot; option with styling option to show button icon.
* Feature: Gradient Button (Free) - Added &quot;Show Icon&quot; option with styling option to show button icon.
* Feature: Border Button Effect (Free) - Added &quot;Show Icon&quot; option with styling option to show button icon.
* Feature: Masonry Post Grid (Pro) - Added Show Empty Message option, allowing users to display a custom message when no posts are available.
* Change: Border Button Effect (Free) - Moved button style options to side by side Normal and Hover tabs, and added additional styling options, Border Radius, Border, Box Shadow, and Text Shadow.
* Change: Parallelogram Button (Free) - Moved the hover options from the separate tab to side-by-side &quot;Normal&quot; and &quot;Hover&quot; tabs for better accessibility and ease of use.
* Fix: Dropdown Button (Pro) - Fixed issue when Dropdown Item Color was not working as expected in some cases.
* Fix: Side Menu (Pro) - Fixed issue where the menu item icon was not changing to active when the current page link was expanded.
* Fix: Remote Arrows (Free) - Fixed issue when Set Disable On First / Last option was not working correctly.
* Fix: Testimonial Carousel (Free) - Fixed issue when the widget was not working in Safari with Layout Type Marquee.
* Fix: Checkboxes Filter (Pro) - Fixed issue when Loader Type: Hidden Filter was not hiding the filter widget during the loading process.

version 1.5.143 - 2025-03-19 =

Plugin Changes:

* Fix: fixed elementor animations file include
* Fix: disable relevanssi plugin for our search filter work well.
* Fix: fixed some url and content output security isuses
* Feature: added the |ucsafe filter to twig for secure the html output
* Feature: added the option out of stock variation for the product list
* Feature: made form integration with mailpoet


Widgets Changes:

* Feature: Unlimited Timeline (Free) - Added Content Background Alternating option, allowing users to set alternating background colors for improved visual distinction between content sections.
* Feature: Woo Product Carousel (Free) - Added an additional button that can accept values from custom fields, allowing for greater flexibility and dynamic content integration.
* Feature: Stacking Cards (Pro) - Added a new option, &quot;Enable Lightbox,&quot; allowing users to enable or disable the lightbox feature for improved media viewing.
* Feature: Event List (Pro) - Added Item Event Date Type option allowing to choose between Date Picket or Text Field option.
* Feature: Stacking Cards (Pro) - Added Item Button Text option, allowing users to customize the text displayed on the button for better flexibility.
* Feature: Fullscreen Menu (Free) - Added all the animations from Animated Hamburger Icons widget to Fullscreen Menu widget.
* Feature: Woo Category Carousel (Free) - Added a new option, Category Characters Number, allowing users to set a specific character limit for category names
* Feature: Quantity Increment Buttons (Pro) - Added support for using the Quantity Increment Buttons widget on Single Product Pages.
* Feature: Icon Box Hover Effect (Pro) - Added Title Tag option, allowing users to set a specific HTML tag for titles to improve SEO and accessibility.
* Feature: Woo Product Carousel (Free) - Added Show Comma Between Categories option, allowing categories to be separated by commas for better readability.
* Feature: Vertical Curved Timeline (Free) - Added Title Tag option, allowing users to set a specific HTML tag for titles to improve SEO and accessibility.
* Feature: Calendar (Pro) - Fixed issue where the Enable Link option was not functioning properly.
* Feature: Thumbnail Gallery (Pro) - Added &quot;Gallery Height - Mobile&quot; option, allowing users to set a custom height for the gallery on mobile devices.
* Feature: Post Grid (Free) - Added &quot;Show Grid / List Switcher&quot; option, providing a toggle icon that allows users to seamlessly switch between the current layout and a &quot;Side By Side&quot; layout, where each item is displayed in a separate row for improved readability and organization.
* Feature: Gradient Underline Text Effect (Free) - Added Enable Hover Effect option, allowing users to disable the hover effect if needed.
* Feature: Post Query Summary (Pro) - Added Enable Thousand Separator option, allowing numbers to be automatically formatted with thousand separators for better readability.
* Change: Vertical Curved Timeline (Free) - Changed tag for Item Description from &lt;p&gt; to &lt;div&gt;.
* Fix: WordPress Menu (Free) - Added CSS fix to prevent flex container items from overlapping other elements by enabling them to shrink when there isn't enough space.
* Fix: RSS Feed (Free) - Fixed issue where the Show Text option was missing, causing the description element to not appear.
* Fix: Neon Glowing Button Effect (Pro) - Fixed issue when Glow effect was not working correctly in Safari browser.
* Fix: Statistic Counter (Free) - Resolved vulnerability where scripts could be injected under certain widget attributes. This fix ensures that scripts are properly sanitized and prevented from being inserted into widget attributes, mitigating potential security risks.
* Fix: Grid Gallery (Pro) - Fixed issue where the Gallery was not resizing properly after the Thumbpanel was hidden.
* Fix: Logo Marquee (Free) - Fixed an issue related to Logo Marquee not working on mobile devices in certain scenarios.
* Fix: Vertical Curved Timeline (Free) - Fixed issue when the Curved Timeline were not solid in some cases.
* Fix: Interactive Circle Infographic (Pro) - Fixed issue where inner container was not perfectly stabilized in rotating animation, causing slight misalignment and angle distortion.
* Fix: Calendar (Pro) - Fixed an issue where the &quot;Open Event Link In New Tab&quot; option was not working as expected.
* Fix: Woo Product Carousel (Free) - Refactored and optimized widgets' HTML structure by cleaning up unnecessary elements and reorganizing the markup for better readability.
* Other: Testimonial Box (Free) - Resolved vulnerability where scripts could be injected under certain widget attributes. This fix ensures that scripts are properly sanitized and prevented from being inserted into widget attributes, mitigating potential security risks.


version 1.5.142 - 2025-03-05 =

Plugin Changes:

* Change: cleared some not needed php code
* Fix: updated twig engine, fixed some deprecated messages of php 8.4
* Fix: fixed some pagination with avoid duplicates issues
* Fix: removed eval() funciton from unite gallery js
* Fix: fixed some rss issues
* Fix: improved the debug for rss feed
* Fix: improved some security issues for images links and attributes


Widgets Changes: 

* Feature: Justified Image Carousel (Pro) - Added Item BG Color
* Feature: Loop Accordion (Pro) - Added Remote Connection options for enhanced remote connectivity, allowing users to configure and secure remote access with Remote wigets.
* Feature: Repeater Grid (Pro) - Activated a dynamic tag for the Number of Columns option, enabling the use of dynamic values.
* Feature: Masonry &amp; Justified Gallery (Pro) - Added native pagination functionality for items when the Source is not set to Posts or Products.
* Feature: Event List (Pro) - Enhanced badge customization by adding a badge width option, offering improved sizing control and layout precision.
* Feature: Event List (Pro) - Improved badge customization by adding a padding option, allowing for precise spacing adjustments and a more polished design.
* Feature: Event List (Pro) - Enhanced badge functionality by incorporating horizontal and vertical offset options, enabling more precise layout customization.
* Feature: Swipe Carousel (Pro) - Added Button CSS ID option, enabling users to assign custom IDs to buttons for easier styling and targeting with CSS or JavaScript.
* Feature: Snow Flakes Background (Free) - Added new Snowflake Style options, Snow Direction, and Snowflake Size option for enhanced customization.
* Feature: Mega Menu (Pro) - Fixed issue related to positioning the dropdown element on the x-axis when a horizontal scroll appeared in certain cases.
* Feature: Border Hero (Free) - Added basic styling options for all text elements of the widget: color, typography, text-stroke, margins, text-shadow. This change also allowed to resolv vulnerability where scripts could be injected under certain widget attributes.
* Feature: Justified Image Carousel (Pro) - Added Image Grow On Hover
* Feature: Justified Image Carousel (Pro) - Added Image Opacity On Hover
* Fix: Mega Menu (Pro) - Fixed issue related to the overlay height value in some cases when it was increasing each time the user hovered over a menu item.
* Fix: Repeater Carousel (Pro) - Fixed a bug where the carousel items were not taking the full width.
* Fix: Random Image (Free) - Resolved vulnerability where scripts could be injected under certain widget attributes. This fix ensures that scripts are properly sanitized and prevented from being inserted into widget attributes, mitigating potential security risks.
* Fix: Multi Line Button (Free) - Resolved vulnerability where scripts could be injected under certain widget attributes. This fix ensures that scripts are properly sanitized and prevented from being inserted into widget attributes, mitigating potential security risks.
* Fix: Split Hero (Free) - Resolved vulnerability where scripts could be injected under certain widget attributes. This fix ensures that scripts are properly sanitized and prevented from being inserted into widget attributes, mitigating potential security risks.
* Fix: Multi Level Sliding Menu (Pro) - Fixed issue when Menu widget was initialized twice in cases when it was added inside Elementor Template.
* Fix: Snow Flakes Background (Free) - Fixed a bug where the snow background would glitch every few seconds.



version 1.5.141 - 2025-01-30 =

* Fix: fixed pagination of manual type
* Fix: clear placeholders from the form after send.
* Fix: fixed empty terms override, in post filtering
* Fix: fixed dissapearing fields of ajax search


= 1.5.140 - 2025-01-27 =

* Change: Update Freemius
* Fix: Fixed pagination bug
* Feature: added rss features


= 1.5.139 - 2025-01-25 =

* Feature: make the functinality for price filter. get max and min price
* Feature: added option for random terms
* Fix: fixed dissapearing pagination issue
* Fix: fixed wpml integration issues


= 1.5.138 - 2025-01-16 =

* Fix: fixed some php varning with $key not found
* Fix: fixed negative timestamp detection issues
* Fix: fixed s_date php function issues


= 1.5.137 - 2025-01-15 =

* Fix: Fixed some small text output with the repeater
* Fix: fixed ajax search, allow to search only by meta or terms


= 1.5.136 - 2025-01-14 =

Plugin Changes: 

* Fix: fixed a small php bug in getPostTerms twig template function
* Feature: added ajax search by functionality
* Fix: performance: ajax search don't run extra db query without ajax run
* Fix: added some ajax search and woo ajax search functionality. 
* Fix: better pagination detection in case of 2 widgets in a group
* Fix: fixed post modified date
* Fix: fixed time stamp detection function
* Feature: added json / csv to repeater field

Widgets Changes: 

* Feature: Dynamic Post Popup (Pro) - Close Button element is now focusable, allowing users to interact with it using the keyboard (e.g., via the Tab key), enhancing accessibility and usability.
* Feature: Radio Button Field (Pro) - Added support for HTML tags in the Item Title element, allowing users to include formatted text, links, or other HTML-based content within the Item Title.
* Feature: Audio Player (Pro) - Introduced a new source option for the audio file called First Post From List. This feature allows users to dynamically pull the audio file from the first post in a selected list.
* Feature: Content Tabs (Free) - Added Content Layout Type option - This new feature enables users to customize the order of elements within the content section of the widget, providing greater flexibility in arranging the layout to suit specific design requirements.
* Feature: Content Tabs (Free) - Improved Title and Button Spacing options - These options now support all margin directions, not just Margin Top, allowing for more precise control over spacing between elements.
* Feature: Team Member Carousel (Pro) - Added Typography option for Button Element - This new feature allows users to customize the typography of the button text, including font family, size, weight, style, and other related settings.
* Feature: Square to Circle Social Icons (Free) - Gap between icons added.
* Feature: Icon Box (Free) - Added Box Min Height option - This new option allows setting a minimum height for the box, ensuring consistent layout and design across different content variations.
* Feature: Protected Content (Pro) - Added an option to protect the entire page.
* Feature: Protected Content (Pro) - Added functionality to submit the password by pressing the Enter key.
* Feature: Simple Popup (Free) - Close Button element is now focusable, allowing users to interact with it using the keyboard (e.g., via the Tab key), enhancing accessibility and usability.
* Feature: Overlay Button (Free) - Added a new Overlay Border Radius option, which allows users to customize the border radius of the overlay element within the widget.
* Feature: Protected Content (Pro) - Added a new Template Position option, allowing users to specify the precise placement of templates within the widget.
* Feature: Stacking Cards (Pro) - Added an option to select the source of the item, allowing users to choose between Text Editor, Elementor Template, or content from a Section ID on the same page.
* Feature: Woo AJAX Search (Pro) - Added option to search by sku
* Feature: Woo AJAX Search (Pro) - Added option to search by custom post fields like post title or excerpt
* Feature: AJAX Search (Pro) - Added option to search by custom post fields like post title or excerpt
* Fix: Woo Product Carousel (Pro) - Fixed issue where HTML attributes of the &quot;Add to Cart&quot; button were not being displayed correctly, ensuring proper functionality and adherence to expected behavior.
* Fix: Image Tooltip (Free) - Resolved vulnerability where scripts could be injected under certain widget attributes. This fix ensures that scripts are properly sanitized and prevented from being inserted into widget attributes, mitigating potential security risks.
* Fix: Notification (Free) - Resolved vulnerability where scripts could be injected under certain widget attributes. This fix ensures that scripts are properly sanitized and prevented from being inserted into widget attributes, mitigating potential security risks.
* Fix: Simple Popup (Free) - Resolved vulnerability where scripts could be injected under certain widget attributes. This fix ensures that scripts are properly sanitized and prevented from being inserted into widget attributes, mitigating potential security risks.
* Fix: Video Play Button (Free) - Resolved vulnerability where scripts could be injected under certain widget attributes. This fix ensures that scripts are properly sanitized and prevented from being inserted into widget attributes, mitigating potential security risks.
* Fix: Card Carousel (Free) - Resolved vulnerability where scripts could be injected under certain widget attributes. This fix ensures that scripts are properly sanitized and prevented from being inserted into widget attributes, mitigating potential security risks.
* Fix: Post Grid (Pro) - Resolved an issue where links were not functioning correctly in certain cases.
* Fix: Woo Product Carousel (Pro) - Fixed an issue where the Regular Price of products was incorrectly displayed as the Sale Price on the front end.
* Fix: Square to Circle Social Icons (Free) - Default icon color changed.
* Fix: Woo Product Slider (Pro) - Fixed an issue where the Regular Price of products was incorrectly displayed as the Sale Price on the front end.
* Fix: Transparent Split Hero (Free) - Fixed vulnerability where JavaScript code could be inserted into the image src option, potentially leading to XSS attacks.
* Fix: Woo Product List (Free) - Fixed an issue where the Regular Price of products was incorrectly displayed as the Sale Price on the front end.
* Fix: Woo Product List (Free) - Optimized the HTML code structure for widget, reducing unnecessary elements and improving overall efficiency.
* Fix: Review Carousel (Pro) - Resolved vulnerability where scripts could be injected under certain widget attributes. This fix ensures that scripts are properly sanitized and prevented from being inserted into widget attributes, mitigating potential security risks.
* Fix: Testimonial Carousel (Pro) - Resolved vulnerability where scripts could be injected under certain widget attributes. This fix ensures that scripts are properly sanitized and prevented from being inserted into widget attributes, mitigating potential security risks.
* Fix: Product Carousel (Pro) - Resolved vulnerability where scripts could be injected under certain widget attributes. This fix ensures that scripts are properly sanitized and prevented from being inserted into widget attributes, mitigating potential security risks.
* Fix: Woo Product Grid (Pro) - Fixed an issue where the Regular Price of products was incorrectly displayed as the Sale Price on the front end.
* Fix: Overlay Carousel (Pro) - Resolved vulnerability where scripts could be injected under certain widget attributes. This fix ensures that scripts are properly sanitized and prevented from being inserted into widget attributes, mitigating potential security risks.
* Fix: Coverflow Carousel (Pro) - Resolved vulnerability where scripts could be injected under certain widget attributes. This fix ensures that scripts are properly sanitized and prevented from being inserted into widget attributes, mitigating potential security risks.
* Fix: Mega Slider (Pro) - Resolved vulnerability where scripts could be injected under certain widget attributes. This fix ensures that scripts are properly sanitized and prevented from being inserted into widget attributes, mitigating potential security risks.
* Fix: Smoke Background Effect (Pro) - Fixed issue where widgets were not functioning correctly in cases where scripts on the website were placed in the header.
* Fix: Woo Category Carousel (Pro) - Fixed issue where, with &quot;Open Link in New Tab&quot; set to &quot;Yes,&quot; the link from the title still did not open in a new page.
* Fix: Unlimited Carousel (Pro) - Resolved vulnerability where scripts could be injected under certain widget attributes. This fix ensures that scripts are properly sanitized and prevented from being inserted into widget attributes, mitigating potential security risks.


= 1.5.135 - 2024-12-29 =

*Fix: fixed small php bug in date convert function
*Fix: fixed wp_filesystem php bugs

= 1.5.134 - 2024-12-27 =

* Fix - fixed version text display
* Change - Improved performance by dramatically reduce number of convertStdClassToArray function calls

= 1.5.133 - 2024-12-25 =

* Fix: fixed a small php bug that was avoid plugin activation

version 1.5.132: 2024-12-23

Plugin Changes:

* Feature: added rss single settings
* Feature: added simple repeater setting
* Fix: fixed some small php bug in form submissions php file
* Fix: small php error in calendar API
* Fix: bug fix: fixed some pagination php bug


Widgets Changes:

* Feature: AJAX Search (Pro) - Added &quot;With Type&quot; option that allows setting a custom width for the Results element.
* Feature: Scroll Sequence (Pro) - Made the &quot;Field of View&quot; option responsive, allowing users to customize the setting for different devices and screen sizes, enhancing flexibility and user experience
* Feature: Post Ticker (Free) - Added &quot;Enable Post Link In Title&quot; option, allowing users to make the post title clickable and link it to the post.
* Feature: Border Link Hover Effects (Pro) - Added Padding option to Link elements, allowing users to adjust the space between the border and the text for better customization.
* Feature: Custom Cursor (Pro) - Created log: Added support for Elementor Popups, enabling seamless integration and functionality within popup designs.
* Feature: Before After (Pro) - Added support for Elementor Swiper Carousel, enabling seamless integration and enhanced functionality for creating advanced and customizable carousel sliders within Elementor.
* Feature: Overlay Carousel (Pro) - Added Slide Transition option, allowing users to customize the transition effects between slides for a smoother and more visually appealing experience.
* Feature: Date Field (Pro) - Added Min Date option, allowing users to set a minimum selectable date for improved date input control and validation.
* Feature: WordPress Menu (Free) - Added the &quot;Close on Body Click&quot; option, allowing users to configure the widget to automatically close when clicking anywhere outside of it, enhancing usability and ensuring a smoother interaction experience.
* Feature: Content Carousel (Pro) - Added the &quot;Button Hover Style&quot; option, providing users with the ability to customize the hover effect for buttons, allowing for greater design flexibility and improved visual interactivity.
* Change: Timer Countdown Banner (Pro) - Enhanced the banner functionality by introducing options for inline or fixed positioning, a close button with cookie support, a &quot;Show After Scroll&quot; feature to display the banner only after the user scrolls, and the ability to add a graphic element for improved customization.
* Fix: Team Member Carousel (Pro) - Fixed issue where the Button was not working when Source was set to Items.
* Fix: Woo Mini Cart (Pro) - Fixed issue where incrementing the product quantity in the Mini Cart widget was not working correctly in some cases.
* Fix: Stacking Cards (Pro) - Fixed issue where the Button Hover Style option was not working correctly, ensuring proper functionality and expected styling behavior.
* Fix: Creative Button Hovers (Free) - Transferred CSS styles from an external file to the general widgets CSS file. This improvement helps prevent overriding issues with other widgets and ensures better compatibility and styling consistency.
* Fix: Unlimited Google Maps (Pro) - Fixed issue where the Map widget did not display the location pin when the &quot;Show Info Window&quot; option was disabled.
* Fix: Toggle Dropdown (Pro) - Fixed an issue where icons were not displaying correctly.
* Fix: Content Carousel (Pro) - Fixed an issue where the &quot;Button Hover Animation&quot; option was not functioning correctly, ensuring smooth and consistent hover animations for buttons.
* Fix: Author List (Pro) - Fixed an issue where HTML tags were incorrectly displayed as visible text in text elements, ensuring proper rendering and a cleaner user interface.
* Fix: Step Process (Pro) - Added the &quot;alt&quot; attribute to images, improving accessibility and enhancing SEO compliance.


version 1.5.131: 2024-12-12

* Fix: attributes edit was blocked
* Fix: php warning in getPermalink function


version 1.5.130: 2024-12-11

Plugin Changes:

* Feature: dome change log export / import feature
* Feature: added rss multisource setting
* Feature: added some existing letters for alphabet filter functionality
* Feature: made integration with polylang in post query to show posts only by current language
* Fix: custom fields didn't show up in the params dialog in widget editor
* Fix: fixed bug with general settings was not hidden at start
* Fix: fixed permalink for multisite, allow post list for multiple sites in one request
* Fix: fixed pagination widget small bugs in archive page

Widgets Changes:

* Feature: Post Accordion (Free) - Added Show Categories option, allowing users to display categories as needed.
* Feature: Post Grid (Pro) - Added a new option: Open Button Link In New Tab, enabling users to choose whether button links open in a new browser tab.
* Feature: Side Menu (Pro) - Added a new option: Toggle Background Color Active, which allows users to set a specific background color for the active toggle state.
* Feature: Side Menu (Pro) - Added new option: Open Sub Menus From Side, allowing users to customize the behavior and positioning of submenus for a more intuitive navigation experience.
* Feature: Post Accordion (Free) - Added option Additional Data Position, allowing users to define the placement of additional data elements.
* Feature: Post Slider (Pro) - Added Title Link Type option, allowing users to customize how the title link behaves.
* Feature: Service Box Hero (Pro) - Added a &quot;Content Max Width&quot; option to provide enhanced customization capabilities.
* Feature: Post Grid (Pro) - Added a new Image Object Position option, enabling users to control the positioning of images for enhanced customization.
* Feature: Content Tabs (Free) - Added drag functionality for cases when the Scrollable Tabs option is enabled.
* Feature: Stacking Cards (Pro) - Added Show Item option for each item, allowing users to hide specific items as needed.
* Feature: Post Grid (Pro) - Added a new option: Image Vertical Align, allowing users to control the vertical alignment of images within the widget.
* Feature: Woo Product Grid (Pro) - Added styling options for the SKU element, allowing customization of font, color, size, and alignment to enhance its appearance.
* Feature: Select Dropdown Filter (Pro) - Added &quot;Show Number of Posts in All Item&quot; option, enabling users to display the total number of posts within the &quot;All&quot; item.
* Feature: Woo Category Carousel (Pro) - Added a new Stage Padding option, allowing users to set offset for the prev and next slide.
* Feature: Thumbnail Slider (Pro) - Added an Image attribute to the Multisource feature, enhancing its functionality for better image handling.
* Feature: Unlimited Table (Pro) - Added a new option called Row Text Align, allowing users to adjust the text alignment within rows for better customization and layout control.
* Feature: Logo Marquee (Pro) - Added a new Margin option for Tablet, and Mobile, allowing greater flexibility in adjusting spacing and layout for different device sizes.
* Feature: Justified Image Carousel (Pro) - Added a new value to the Title Position option: &quot;Over the Image.&quot; This enhancement allows the title to be positioned in the middle of the image
* Feature: Checkboxes Filter (Pro) - Added &quot;No Terms Found Text&quot; option, allowing users to customize the message displayed when no terms are available.
* Feature: Stacking Cards (Pro) - Added Button Hover Styles, providing customization options for button hover effects.
* Change: Comparison List (Pro) - Enhanced widget functionality and added separate color customization options for the feature text and icon in each item.
* Change: Service Box Hero (Pro) - Enhanced the widget's overall functionality with HTML layout changes and significant updates, providing users with increased customization options.
* Change: Stacking Cards (Pro) - Resolved issues where HTML tags within the title were not rendering correctly and an issue with the title color and text shadow not applying.
* Change: 360 Panorama Virtual Tour (Pro) - Updated the Yaw / Vertical View option by changing the minimum possible value from -50 to -90, allowing for greater flexibility in vertical adjustments.
* Change: Radio Button Field (Pro) - Rewrote some JavaScript code to use jQuery for improved compatibility and readability.
* Change: Toggle Dropdown (Pro) - Enabled responsive options for dropbar offsets.
* Change: Thumbnail Slider (Pro) - Added a condition to ensure that an image is assigned to each item; if no image is provided, the item will not be displayed.
* Change: Alphabet Filter (Pro) - Removed unnecessary options: Filter Logic and Override Query Terms.
* Change: Unlimited Google Maps (Pro) - Hid the Current Location Button option if Show Coordinates Finder option is diabled.
* Change: Unlimited Google Maps (Pro) - The tag for Geocoding Error element has been changed from h3 to div.
* Change: WordPress Menu (Free) - Implemented functionality to close all submenus upon entering a responsive breakpoint after a resize event.
* Change: Side Menu (Pro) - Changed position of the following options from &quot;General&quot; to &quot;Layout&quot;: Show Overlay, Show Arrows for Parents, Show Menu, and Menu Top Spacing.
* Change: Toggle Dropdown (Pro) - Renamed dropbar offset options for clearer and more accurate descriptions.
* Fix: Woo Product Grid (Pro) - Fixed issue where the Sale Price was not displaying correctly when the &quot;Show Only Lowest Variable Price&quot; option was enabled.
* Fix: Sorting Filter (Pro) - Fixed issue where the Sorting Filter would reset after selecting another filter.
* Fix: Unlimited Google Maps (Pro) - Fixed issue where the Current Location toggle element was not opening the current location information.
* Fix: Stacking Cards (Pro) - Enabled Font Awesome Icon library support.
* Fix: Quantity Increment Buttons (Pro) - Fixed issue when Quantity Increment Buttons were still shown when Product was out of stock.
* Fix: Content Tabs (Free) - Fixed issue where the Content Tabs widget did not open the corresponding tab after clicking an anchor link.
* Fix: Testimonial Carousel (Pro) - Fixed issue where the Testimonials Carousel widget in the Marquee layout type was not compatible with the Logo Marquee widget.
* Fix: Stacking Cards (Pro) - Added the class &quot;uc-items-wrapper&quot; to resolve the filter functionality issue.
* Fix: Off Canvas Filters (Pro) - Added support for the Accordion Filters widget, ensuring seamless functionality and integration.
* Fix: Unlimited Google Maps (Pro) - Fixed issue with the data-category-index attribute where it was not equal to the appropriate category index
* Fix: Flip Box (Free) - Fixed an issue where the Image Border Radius option was not working correctly in certain cases.
* Fix: iHover Effects (Pro) - Optimized the HTML code to improve performance, reduce loading times, and enhance overall structure and readability.
* Fix: Side Menu (Pro) - Increased z-index of the hamburger icon element to ensure it is always visible.
* Fix: Post List (Free) - Resolved issues with hover effects for Title and Image when the &quot;Link Whole Item&quot; option is enabled.
* Fix: Alphabet Filter (Pro) - Fixed issue with the Sync to Posts Widget After Load option.
* Fix: Content Accordion (Free) - Optimized the HTML structure of widgets for improved performance and cleaner code output.
* Fix: Unlimited Table (Pro) - Fixed issue where the Override Icon Color option was not working in certain cases
* Fix: Floating Chat Buttons (Pro) - Added a fix to address cases where custom SVG icons uploaded in the widget were not displaying due to conflicting CSS code embedded within the SVG.
* Fix: Colors Swatches Filter (Pro) - Fixed issue where the Border Radius option was not working for checked checkbox items.
* Fix: Sorting Filter (Pro) - Fixed an issue in the JavaScript code that caused unexpected behavior in certain scenarios.
* Fix: Checkbox Field (Pro) - Fixed issue where, with Layout Type Image, image elements were not visible due to overriding CSS code that applied a background color to the input element.
* Fix: Side Menu (Pro) - Optimized widgets code to improve performance, reduce load times, and ensure smoother functionality across all supported platforms.
* Fix: Accordion Filters (Pro) - Added support for the Off Canvas Filters widget, ensuring seamless functionality and integration.


version 1.5.129: 2024-11-20

* Fix: fixed freemius sdk code, pro widgets download


version 1.5.128: 2024-11-19

Plugin Changes

* Feature: added internal color picker empty icon when no color selected
* Feature: added option: terms from current user meta in post query selection
* Change: changed freemius sdk integration code
* Fix: fixed empty date stamp output in event list multisource on some date formats
* Fix: adjutsed items css to new version elementor css optimization
* Fix: fixed select2 dropdown gap in changelog page
* Fix: post widgets avoid duplicates with random order load more 
* Fix: delete empty category from the widget library


Widgets Changes

* Feature: Post List (Free) - Added Meta Date Position option, allowing users to customize the placement of the meta date element within the widget
* Feature: Job Listing (Pro) - Introduced separate options for 'Badge Background Color' and 'Badge Color,' providing independent control over the styling of each badge element.
* Feature: Event List (Pro) - Added a new &quot;Title Padding&quot; option, allowing users to adjust padding around the title for improved layout customization and spacing control
* Feature: Job Listing (Pro) - Added a new option, &quot;Badge Two,&quot; which provides an additional badge element with customizable text.
* Feature: Dynamic Post Popup (Pro) - Introduced a new option titled 'Close Popup After Adding to Cart,' which provides users with the ability to automatically close the popup window after a product has been successfully added to the cart.
* Feature: Thumbnail Gallery (Pro) - Added a new 'Image Fit' option, allowing users to control how images are scaled within their containers
* Feature: Compact Gallery (Free) - Added a new 'Image Fit' option, allowing users to control how images are scaled within their containers
* Feature: Unfold Content (Pro) - Added support for the Elementor Tabs widget, ensuring seamless compatibility and functionality within the widget.
* Feature: Job Listing (Pro) - Added a new Badge Link option, allowing users to set a custom link for the badge element, enhancing functionality and navigation possibilities.
* Feature: Team Member Sliding Effect (Pro) - Added border radius.
* Feature: Background Switcher (Pro) - Introduced a new option, available separately for both Desktop and Mobile, called &quot;Hide All Background Images On Hover.&quot; This option allows to hide all images when hovering over one item.
* Fix: Fullscreen Menu (Free) - Fixed an issue where the menu was not opening.
* Fix: Image Tooltip (Free) - Fixed an issue where tooltip text was not being parsed correctly within the JavaScript code.
* Fix: One Page Scroll Navigation (Pro) - Resolved an issue where the navigation dots were not functioning correctly, preventing users from navigating between items.
* Fix: Unlimited Google Maps (Pro) - Fixed an issue where the Places element on mobile devices did not hide as expected after using the search tool.
* Fix: Woo Product Carousel (Pro) - Fixed a conflict with the Elementor button that was causing incorrect navigation dot heights in this widget. Also added a responsive option for navigation size.
* Fix: Mega Menu (Pro) - Optimized widget code for improved performance and efficiency.
* Fix: Background Switcher (Pro) - Fixed an issue where setting the Initial Selected option activated only the image, leaving the content unselected.
* Fix: Checkboxes Filter (Pro) - Fixed an issue where the Hide Accordion When Filter Has No Terms option was incorrectly hiding all parent containers instead of only the closest one.
* Fix: Smooth Scroll (Pro) - Fixed an issue where the Smooth Scroll widget was unable to influence the scroll behavior on pages that utilized the scroll-behavior: smooth CSS property.
* Fix: Unlimited Grid (Pro) - Increased the CSS priority of the text selector to ensure that text styling is consistently applied as intended.
* Fix: One Page Scroll Navigation (Pro) - Fixed issue when widget were not able to affect scroll behaviour of the pages that had scroll-bahaviour: smooth css property.
* Fix: Checkboxes Filter (Pro) - Added trigger changed on delete by key function


version 1.5.127: 2024-11-11
 
Plugin Changes

* Feature: done the functionality for alphabet filter
* Feature: added option for rss source in multisource
* Change: set black friday deal compaign graphics
* Fix: fixed archive pagination number of pages
* Fix: in filters disabled scroll to grid when the grid don't refreshed.
* Fix: fixed init selected multiple checkbox filters
* Fix: added some sanitize and escape to gallery fields output

Widgets Changes

* Feature: Event List (Pro) - Added Show Tag option, allowing users to display or hide tags within the widget. This option enhances flexibility by providing control over tag visibility.
* Feature: Date Field (Pro) - Added new option, Force Full Width, allowing content elements to expand and occupy the full available width of the container.
* Feature: Grid Gallery (Pro) - Added styling options for Bullets, Gallery Navigation Arrows, Play Video Button, Fullscreen Icon, Play Slideshow Icon, and Open/Close Thumbpanel Icon. Each element now includes Color and Color Hover options.
* Feature: Submit Button (Free) - Added responsive functionality to Button Justify Content and Button Align Content options, allowing adjustments for different screen sizes.
* Feature: Product Card (Free) - Added a new option called Enable Link for the Whole Widget. This option allows users to configure the entire widget area as a clickable link.
* Feature: Product Box (Free) - Added a new option called Enable Link for the Whole Widget. This option allows users to configure the entire widget area as a clickable link
* Feature: Price Box (Pro) - Added a new option called Enable Link for the Whole Widget. This option allows users to configure the entire widget area as a clickable link.
* Feature: Checkboxes Filter (Pro) - Added a new option, Hide Accordion When Filter Has No Terms, allowing the Accordion Button to automatically hide if no filter terms are available.
* Change: Number Field (Pro) - Removed some unnecessary instructions from CSV Table option.
* Change: Radio Button Field (Pro) - Changed Label element display CSS property - now it's hardcoded and equal to &quot;inline-block&quot;.
* Change: Bubble Float Background (Free) - Changed 	Number of Bubbles option attribute from Slider to Number to fix initing issue in some cases.
* Fix: Expanding Content Cards (Pro) - Fixed issue when Link element were not working if Sub Title element were not present in the widget.
* Fix: Mega Menu (Pro) - Reduced z-index of the menu to fix overlapping issues with other elements.
* Fix: Checkboxes Filter (Pro) - Optimized the JavaScript code within widgets to reduce resource usage.
* Fix: Checkbox Field (Pro) - Added additional space between values that returns Checkbox Field - for Checkbox Value Handling &quot;Numeric Values&quot; or &quot;Text Values&quot;.
* Fix: Price Box (Pro) - Enhanced the widgets' code efficiency by optimizing the HTML structure and CSS styling.
* Fix: Product Card (Free) - Enhanced the widgets' code efficiency by optimizing the HTML structure and CSS styling.
* Fix: Mega Menu (Pro) - Added a fix for the Floating Bars feature in Elementor within the Mega Menu widget, ensuring seamless compatibility and improved display functionality.


version 1.5.126: 2024-11-04

Plugin Changes

* Fix - fixed some checkbox filter issues with selected terms on start
* Fix - fixed some small avoid duplicates bug
* Change - updated to latest freemius sdk
* Fix - improved js module script output in some cases
* Fix - remove repeating products in get posts woocommerce

Widgets Changes

* Feature: Slider Field (Pro) - Added new Align Items option for the Current Value setting, allowing users to adjust the alignment of items vertically.
* Feature: Job Listing (Pro) - Added new element - Badge. Also included options like Show Badge, Badge Text, and various styling options.
* Feature: Content Grid (Pro) - Added Show Live Search option, allowing users to enable or disable live search functionality for enhanced usability and a more interactive search experience.
* Feature: Cookie Consent (Pro) - Added another value for Horizontal Position - Center, allowing the Cookie Consent banner to be positioned horizontally centered.
* Feature: Lordicon: Animated Icons (Free) - Added new option called Enable Link For the Whole Widget, allowing users to make the entire widget clickable.
* Feature: Checkboxes Filter (Pro) - Added a new option called Hide Title When Filter Has No Terms, allowing the title to be automatically hidden if no terms are available in the filter.
* Feature: Underline Link Hover Effect (Pro) - Added Icon Spacing option, allowing users to adjust the space between icons for better visual alignment.
* Feature: Creative Button Hovers (Free) - Enhanced the Alignment and Button Width options by adding responsive controls, allowing users to adjust these settings individually for different screen sizes.
* Feature: Unlimited Google Maps (Pro) - Added new Source option for Multisource feature - Place Address.
* Feature: Interactive Circle Infographic (Pro) - Added new option called Image Position, allowing users to select the alignment and display location of images within the element.
* Feature: Underline Link Hover Effect (Pro) - Added Rotation option, providing the ability to rotate elements, offering more dynamic design possibilities.
* Feature: Image and Video Slider (Pro) - Added display condition to Button element - if link is empty then button won't appear.
* Feature: Content Grid (Pro) - Added Show Pagination option, allowing users to enable or disable pagination for better navigation and control over content display across multiple pages.
* Feature: Image and Video Slider (Pro) - Made Display option responsive, allowing customization for different screen sizes.
* Feature: Creative Button Hovers (Free) - Added Rotation option, providing the ability to rotate elements, offering more dynamic design possibilities.
* Feature: Woo Product Grid (Pro) - Added a new feature that allows replacing a product price of &quot;0&quot; with customizable text. This option provides flexibility for situations where you might want to display text like &quot;Free&quot; or &quot;Contact for Pricing&quot; instead of showing a zero value for products without a set price.
* Change: Job Listing (Pro) - Added condition to Item Company Name, Item Job Location, Item Job Type, Item Additional Info, and Item Salary options, ensuring that if any of these options are empty, the respective icon will not be visible.
* Change: Swipe Carousel (Pro) - Changed &quot;Enable Link&quot; option within each item to one general option. Now if a link in some item is empty, link element won't be present in the item.
* Change: Event List (Pro) - Added display condition for Event End Date elemetn - if Event End Date is empty it won't be visible on the page.
* Fix: Job Listing (Pro) - Optimized widgets' HTML and JS code for better performance, reduced file sizes, and improved loading times.
* Fix: Taxonomy Terms (Pro) - Changed some option names to improve clarity and avoid misunderstandings.
* Fix: Creative Button Hovers (Free) - Fixed the Icon Size option, resolving issues related to inconsistent scaling.
* Fix: Slider Gallery (Free) - Fixed issue when Play icon for videos on iOS devices were not centered in some cases.
* Fix: Custom Cursor (Pro) - Improved Custom Cursor widget to work more smoothly within the Template Switcher, ensuring seamless transitions and consistent cursor performance across templates.
* Fix: Shape Bullets (Pro) - Fixed issue when Shape Bullet Icons were not displaying properly in Firefox browser.


version 1.5.125: 2024-10-17

Plugin Changes

* Feature: added some easy simple easy fields for repeater in multisource select
* Feature: added page_url placeholder to submit button
* Feature: added better explanation and extra tools to "check connectivity" troubleshooting tool
* Change: moved instagram connection to new api
* Fix: fixed hover animations php warning
* Fix: replace the post-xx.css for loop-xx.css in elementor in dynamic loop when needed
* Fix: fixed some small selected filters issue on init
* Fix: fixed elementor css output on loop items i ncase of optimized css
* Fix: fixed custom query filter ordering (put on the very end, was before the filters)

Widgets Changes: 

* Feature: Event List (Pro) - Added Event End Date option to Source options.
* Feature: Product Box (Free) - Added Content Min Height option, allowing users to set a minimum height for content to improve layout consistency.
* Feature: List (Free) - Enhanced the functionality of the link element by modifying it to cover the entire List Item.
* Feature: Justified Image Carousel (Pro) - Added the Autoplay Hover Pause option, allowing users to pause the autoplay feature when hovering over the content.
* Feature: List (Free) - Introduced new functionality that dynamically adds the uc-current-page class name to menu items when the source is set to 'Menu', enhancing the ability to style active page links.
* Feature: Woo Product Grid (Pro) - Added the &quot;Show Additional Button&quot; feature along with other related options that provide the ability to display a button with a link sourced from a custom field, allowing for greater customization and flexibility in managing button links.
* Feature: Woo Product Grid (Pro) - added a new functionality called &quot;Show All Categories&quot; option, which allows users to display and filter through all available categories.
* Feature: Woo Product Grid (Pro) - Implemented additional Styling options for categories: Spacing Between Categories, Categories Justify Content. Categories align Items.
* Feature: Woo Product List (Free) - Added a new option 'Category Type' to allow users to choose between displaying the main category or all categories.
* Feature: Content Slider (Pro) - Added a new Link Whole Item option, allowing users to make the entire item clickable.
* Feature: Creative Button Hovers (Free) - Added a new Show Icon option, which provides additional flexibility for displaying icons
* Feature: Image Accordion (Pro) - Added Button Animation Type option that allows setting animation for the button.
* Feature: Underline Link Hover Effect (Pro) - Added Underline Hover Direction option, allowing control over the direction of the underline effect on hover for enhanced visual customization.
* Feature: Event List (Pro) - Added a new option to Hide Button If Button Link Is Empty, ensuring buttons are only displayed when a valid link is provided.
* Feature: List (Free) - Added a new Item Margin option, providing users with greater control over the spacing between individual items.
* Feature: Submit Button (Free) - Added another placeholder for the Message option {page_url} that allows displaying the URL of the page where the form was submitted.
* Feature: Underline Link Hover Effect (Pro) - Added Hover Animation Type option that allows to show or hide underline on hover.
* Fix: Before After (Pro) - Fixed issue where the dragging feature was not working smoothly in certain cases.
* Fix: Icon Accordion (Pro) - Fixed an issue where the Accordion component was not properly closing in certain cases.
* Fix: Flip Box (Free) - Renamed several options to improve clarity and consistency across settings
* Fix: Dynamic Post Popup (Pro) - Fixed an issue where widgets were not functioning properly when used in combination with certain additional iframe elements.
* Fix: Unlimited Google Maps (Pro) - Added some CSS protection to prevent image elements from being customized by the default CSS of websites.
* Fix: Card Carousel (Free) - Fixed issue when image elements were not filling 100% of container height when the height is set to 100%.


version 1.5.124: 2024-09-24

Plugin Changes:

* Fix: fixed alternate template empty output in dynamic loop
* Fix: fixed hiding taxonomy select in some cases

Widget Changes:

* Feature: Remote Dropdown (Pro) - Added a new option &quot;Update Button Label on Selection&quot; to allow users to display the active item in the dropdown select for better user experience.
* Feature: Woo Product Grid (Pro) - Introduced a new option that allows users to customize and change the position of the Rating element within the layout, providing greater flexibility in design.
* Feature: Taxonomy Terms (Pro) - Added improved hover options for all parent, child, and multi-level terms.
* Feature: Post Grid (Pro) - Added the Align Content option, enabling vertical alignment for content in the Always Overlay layout type.
* Feature: Coverflow Carousel (Pro) - Added Button Type option that allows the use of the Dynamic Post Popup widget.
* Feature: Multi Step Form (Pro) - Added a new option called &quot;Scroll To Top After Step Change,&quot; which automatically scrolls the page to the top when navigating between steps in a multi-step form.
* Feature: List (Free) - Added Index Type option with Default / Custom settings. This feature allows users to assign a custom number to each item for greater flexibility.
* Feature: Flip Box (Free) - Expanded the Height option to include additional units, providing more flexibility and customization for various design requirements.
* Feature: Hotspots (Pro) - Added the 'Always Show Tooltip' option to allow users to keep tooltips visible at all times for improved customization.
* Feature: File Field (Pro) - Introduced Multiple Select option to enable selecting multiple files simultaneously.
* Feature: Job Listing (Pro) - Added an option for description toggle, allowing users to 'Show More' or 'Show Less' content.
* Feature: Date Field (Pro) - Added &quot;Icon Type&quot; option with Default and Custom settings, providing flexibility in selecting icon types for the widget.
* Feature: Remote Play Pause (Free) - Added the icon hover icon style option.



version 1.5.123: 2024-09-19

* Feature: alternate template for loop builder
* Fix: make the active filters appear inside off canvas filters widget
* Fix: avoid php errors when no db installed for some reason


version 1.5.122: 2024-09-17

* Change: allow tags in post intros again
* Fix: fixed some small php security issues from pachstack
* Feature: improve protection against scripts and styles collision between themes and plugins


version 1.5.121: 2024-09-04

* Fix: make work the pagination widget without ajax again
* Fix: enabled post ordering when selecting by post id's from dynamic fields
* Fix: fixed some safary bug in the galleries and autoplay
* Fix: dome some db queries optimization to post list field
* Feature: added general setting for showing remote error messages only to admins
* Feature: added option for "max posts" for manual posts selection in post widgets
* Fix: added support for web-cli on installing and activating plugin with the additional db tables


version 1.5.220: 2024-08-25

* Fix: fixed small php bugs

version 1.5.119: 2024-08-23

Plugin Changes:

* Fix: fixed backgrounds selector didn't saved bug
* Fix: fixed load more and avoid duplicates bug

Widgets Changes:

* Feature: Card Carousel (Free) - Made Transition Speed option responsive for improved adaptability.
* Feature: Loop Grid (Pro) - Added 'Empty Message Type' and 'Empty Message Template' options to display an Elementor Template when no items are found in the Loop Grid widget.
* Feature: Slider Gallery (Free) - Introduced a new option for selecting the video play button type. Added styling options to customize the appearance of the play button.
* Feature: Material Carousel (Pro) - Added the features of Item Direction, Vertical Alignment, Horizontal Alignment in the style panel.
* Feature: Slider Gallery (Free) - Added Custom Close Button Type option and styling option for it.
* Change: Portfolio Carousel (Pro) - Made minor adjustments to how widgets behave after a filter selection. These changes improve the responsiveness and functionality of the widgets post-filter application.
* Change: Quantity Increment Buttons (Pro) - Included the name=&quot;quantity&quot; attribute to the input element in the widget for improved form handling and data identification.
* Change: Slider Gallery (Free) - Removed percentage and vh units from the Gallery Height option due to unsupported units.
* Fix: vCard (Pro) - Fixed issue where images were not being added even when the &quot;Include Image in Contact&quot; option was set.
* Fix: Checkboxes Filter (Pro) - Fixed issue where the Dropdown was opening after a filter selection.
* Fix: Image Zoom Magnifier (Pro) - Added &quot;exclude-shortpixel&quot; class to simplify excluding widget images from optimization, as optimization was disrupting widget functionality.
* Fix: Woo Category Grid (Pro) - Fixed issue where HTML tags were visible in the description text element.
* Fix: Post Grid (Pro) - Resolved an issue where content was not aligning to the left when the corresponding alignment option was enabled.
* Fix: Huge Shapes (Pro) - Removed all console.log statements from the widgets script to clean up the code.
* Fix: Loop Accordion (Pro) - Added the 'raw' filter to the title to fix the issue of '&amp;' rendering as '&amp; amp;'
* Fix: Portfolio Carousel (Pro) - Resolved the issue where the Dynamic Post Popup widget was not functioning correctly. This fix ensures that the widget now operates as intended, addressing the problems users experienced.


version 1.5.118: 2024-08-12

* Fix: categories was invisible in elementor editor free version
* Fix: fixed pagination link click with elementor pro page transition bug


version 1.5.117: 2024-08-11

* Fix: improved the manual sorting and debuging of authors list
* Fix: fixed post selection in editor in new chrome version.
* Fix: where there is no posts in id's from dynamic or id's from meta in posts selection - return no posts instead of all posts
* Fix: fixed third party filters suppress filters for ajax search bug - they was always suppress, and wpml integration didn't worked.
* Feature: improved callbacks debug in full posts query debug


version 1.5.116: 2024-08-08

* Fix: fixed some editor select2 bug


version 1.5.115: 2024-08-06

Plugin Changes

* Feature: added option to use form fields contents in subject and from name fields in submit button
* Feature: added woocommerce minicart extra html hooks
* Feature: filtering now works inside elementor popup
* Feature: added option to sort users by ids in users query
* Feature: integrated get main category functionality with rank math
* Feature: added integration with wpml for sorting filter
* Fix: fixed instagram username validation. added dot to the check.
* Fix: fixed image chooser field update inside the widget editor
* Bug fix: some small bug with fitlering pagination and avoid duplicated option

Widget Changes

* Feature: Select Dropdown Filter (Pro) - Added a Show Number Of Posts option, allowing users to show the number of posts in Select options.
* Feature: Neon Glowing Button Effect (Pro) - Introduced &quot;Neon Animation Speed&quot; option to allow users to control the speed of neon animations.
* Feature: Post Tile (Pro) - Added options to display the post category, fallback image, and post counter index.
* Feature: Content Grid (Pro) - Implemented a Button Text Override option, allowing users to customize the text displayed on buttons for enhanced flexibility and personalization.
* Feature: Dynamic Popup Button (Pro) - Added support for the Advanced Cache option in the Dynamic Post Popup widget, optimizing content loading and improving performance.
* Feature: Unlimited Google Maps (Pro) - Added a Marker Custom Icon option to the Multisource settings, allowing users to customize the appearance of markers with their own icons for enhanced visual representation and clarity.
* Feature: Unlimited Carousel (Pro) - Added a Fallback Image option to provide an alternative image when the primary image fails to load, enhancing user experience and maintaining visual consistency.
* Feature: Post Tabs (Free) - Added a Fallback Image option to provide an alternative image when the primary image fails to load, enhancing user experience and maintaining visual consistency.
* Feature: Layers (Pro) - Added an Enable Link option, allowing users to activate links within the widget for enhanced interactivity and navigation.
* Feature: Neon Glowing Button Effect (Pro) - Introduced 'Hover Animation' option to allow users to add animations when hovering over button.
* Feature: Loop Carousel (Pro) - Added support for the Advanced Cache option in the Dynamic Post Popup widget, optimizing content loading and improving performance.
* Feature: Video Play Button (Free) - Added a Video Max Width option, allowing users to set a maximum width for videos, ensuring consistent and controlled video sizing across different devices and layouts.
* Feature: Loop Grid (Pro) - Added support for the Advanced Cache option in the Dynamic Post Popup widget, optimizing content loading and improving performance.
* Feature: Loop Tabs (Pro) - Added support for the Advanced Cache option in the Dynamic Post Popup widget, optimizing content loading and improving performance.
* Feature: Loop Accordion (Pro) - Added support for the Advanced Cache option in the Dynamic Post Popup widget, optimizing content loading and improving performance.
* Feature: Loop Slider (Pro) - Added support for the Advanced Cache option in the Dynamic Post Popup widget, optimizing content loading and improving performance.
* Change: Logo Marquee (Pro) - Changed image loading time. Now images are visible after js load to avoid content shift before loading page completely.
* Change: Card Carousel (Free) - Changed &lt;p&gt; tag to &lt;div&gt; for Content elements to improve HTML structure and styling flexibility.
* Fix: Textarea Field (Free) - Fixed an issue where the Label Text Align option was not working correctly.
* Fix: Icon Tabs (Pro) - Fixed the issue causing the page to scroll after selecting a tab.
* Fix: Tile Gallery (Free) - Added support for using the Tile Gallery Widget within the Elementor Accordion.
* Fix: Fullscreen Menu (Free) - Fixed an issue where the menu was not closing after clicking on an anchor link.
* Fix: Background Slider (Pro) - Added appropriate alt attributes to all images to improve accessibility and ensure compliance with web standards.
* Fix: Typewriter Text Effect (Pro) - Fixed the issue where widgets were not initializing properly in certain cases, ensuring consistent functionality across all instances.
* Fix: Post Tabs (Free) - Renamed the jQuery method used for Post Tabs widget to prevent conflicts with other widgets using the same method.
* Fix: Post Grid (Pro) - Removed a duplicated option that was responsible for disabling the link in the title, streamlining the settings and preventing redundancy.
* Fix: Image Accordion (Pro) - Fixed the issue with the 'Always Show Title' option displaying the title even when the option is disabled.
* Fix: Cookie Consent (Pro) - Fixed issue with accept button border not displaying correctly.
* Fix: Multi Step Form (Pro) - Fixed the issue where icons in the step indicator were missing for completed steps in the Multistep form.
* Fix: Unlimited Google Maps (Pro) - Fixed the issue where the Map widget failed to initialize in certain cases, ensuring consistent loading and functionality.
* Fix: Woo Mini Cart (Pro) - Fixed the issue where the mini cart widget was not updating after a cart update on the shop page, ensuring accurate display of cart contents.
* Fix: Radio Button Field (Pro) - Fixed issue where image width was not taking 100% when Display Format set to Image.
* Fix: Post Tabs (Free) - Fixed issue where the widget was not showing posts and the remote connection and sync were not working after using filters.
* Fix: Checkboxes Filter (Pro) - Resolved issue where the checkbox width was not working correctly.
* Fix: Woo Product Grid (Pro) - Fixed the issue where the Title Typography option was not responding in certain cases, ensuring consistent styling and appearance across all instances.
* Fix: Smoke Background Effect (Pro) - Fixed an issue where elements, content, and buttons were not interactive when the smoke widget is in the foreground.
* Fix: Tabs Filter (Pro) - Added support for functionality within Elementor Popups, enhancing the compatibility and integration of the widget within Popup.
* Fix: Load More / Infinite Scroll (Pro) - Added support for functionality within Elementor Popups, enhancing the compatibility and integration of the widget within popup elements.
* Fix: Post Tabs (Free) - Fixed the issue where the Remote Navigation feature was not functioning correctly after selecting a filter, ensuring seamless navigation and interaction.
* Fix: WordPress Menu (Free) - Fixed the cursor pointer issue on menu hamburger.



version 1.5.114: 2024-07-17

Plugin Changes

* Feature: implimented &quot;advanced cache&quot; option for &quot;dynamic popup&quot;
* Feature: improved json/csv api usage in multisrouce, added paths as field names and data key selection
* Feature: added option for disabled buttons in pagination
* Change: updated freemius sdk version to the latest
* Fix: removed &quot;custom remote name&quot; from background widgets style
* Fix: Galleries - fixed fullscreen button on a slider that contains link
* Fix: in filters fixed init pagination number after init request
* Fix: fixed optin &quot;is derect parent&quot; in terms selection
* Fix: fixed get titles with empty posts for in terms selector 
* Fix: fixed some filters related php bug of empty request on sync with grid.

Widget Changes

* Feature: Woo Category Carousel (Pro) - Added 'Navigation Rewind' option. When disabled, it hides the navigation arrows on the first and last carousel items.
* Feature: Team Member Carousel (Pro) - Added an Image Link option, allowing users to link images to specified URLs for enhanced navigation and user interaction.
* Feature: Woo Product Grid (Pro) - Added typography and color styling options for text after prices.
* Feature: Loop Carousel (Pro) - Added 'Navigation Rewind' option. When disabled, it hides the navigation arrows on the first and last carousel items.
* Feature: Icon Box Accordion (Pro) - Added support for using the widget within the Template Switcher widget.
* Feature: Dynamic Post Popup (Pro) - Added an &quot;Advanced Cache&quot; option that loads all popups content at once after the page load, improving performance and user experience by reducing subsequent load times and enhancing content delivery.
* Feature: Unlimited Google Maps (Pro) - Added a &quot;Phone Number As Link&quot; option, allowing phone numbers to be automatically formatted as clickable links for improved user experience and functionality.
* Feature: Semi Circle Progress Bar (Pro) - Added support for using the widget within the Template Switcher, enhancing functionality and providing more versatile template management options.
* Feature: Price Range Filter (Pro) - Added 'Tooltip Thousand Separator' option to enable formatting of tooltip numbers.
* Feature: Team Member Carousel (Pro) - Added support for Dynamic Post Popup within the widget, enabling enhanced interactive content display and user engagement.
* Feature: Loop Grid (Pro) - Added styling options for the active element, allowing for customized appearance and enhanced user interface design for elements in their active state.
* Feature: Woo Product Carousel (Pro) - Added 'Navigation Rewind' option. When disabled, it hides the navigation arrows on the first and last carousel items.
* Feature: Taxonomy Terms (Pro) - Added an option to disable term links, allowing users to remove hyperlink functionality from term elements as needed.
* Feature: Loop Grid (Pro) - Added Remote Connection options, enabling enhanced flexibility and functionality for remote integrations and communication between different widgets.
* Feature: Checkbox Field (Pro) - Added the option to use Item Titles as values, allowing for more flexible and intuitive configuration of item properties based on their titles.
* Feature: Content Switcher (Pro) - Added the 'Tab Hash ID' option in item and functionality, allowing users to open tabs using a hash link (e.g., if the 'Tab Hash ID' is set to 'my-second-tab' and the user opens the URL example.com/#my-second-tab, the second tab will open automatically).
* Feature: Post Carousel (Pro) - Added 'Navigation Rewind' option. When disabled, it hides the navigation arrows on the first and last carousel items.
* Change: NPS Field (Pro) - Changed the &lt;form&gt; tag to a &lt;div&gt; tag in the widget's HTML to improve layout structure and compatibility.
* Change: Radio Button Field (Pro) - Changed the &lt;form&gt; tag to a &lt;div&gt; tag in the widget's HTML to improve layout structure and compatibility.
* Change: Scale Field (Pro) - Changed the &lt;form&gt; tag to a &lt;div&gt; tag in the widget's HTML to improve layout structure and compatibility.
* Change: Checkbox Field (Pro) - Changed handling for Checkbox Values with Text as the default values, ensuring consistent and expected behavior for checkbox inputs.
* Change: Woo Product Grid (Pro) - Organized the pricing layout options into a new section titled 'Price Layout' for better usability and navigation.
* Change: Simple Popup (Free) - Removed empty links from the link elements to ensure clean and functional HTML.
* Change: Image Accordion (Pro) - Renamed the 'Transition' option to 'Transition Duration' and added support to select the value in milliseconds (ms).
* Fix: Image Accordion (Pro) - Resolved the title positioning issue and added a new option, 'Title Hover Position,' to allow customization of the title's position on hover.
* Fix: Unlimited Google Maps (Pro) - Fixed widgets behavior after applying filters to ensure consistent functionality and proper display of filtered content.
* Fix: Logo Marquee (Pro) - Fixed the issue where the incorrect number of items was showing when the scrollbar was visible on the page. Previously, the width of the viewport was calculated excluding the scrollbar. Now, the actual viewport width is calculated including the scrollbar.
* Fix: Team Member Carousel (Pro) - Optimized the HTML code of the widget for improved performance and cleaner structure.
* Fix: Unlimited Timeline (Free) - Fixed an issue where images with an empty src attribute were still present in the DOM, ensuring that such elements are properly removed or handled to maintain clean and efficient HTML structure.
* Fix: Post Magazine Grid (Pro) - Fixed an issue where the button hover color was not visible, ensuring proper visual feedback when users interact with buttons.
* Fix: Toggle Text Button (Free) - Fixed an issue where, in some cases, clicking a button triggered the Elementor Page Transition animation.
* Fix: One Page Scroll Navigation (Pro) - Fixed an issue where multiple scroll events were required to snap a section, ensuring that a single scroll event now properly snaps the section.
* Fix: Parallax Background (Pro) - Added proper alt attributes for img elements to improve accessibility and SEO.
* Fix: Audio Player (Pro) - Fixed an issue where clicking the Download button loaded a default audio file instead of the current one.
* Fix: Liquid Button (Pro) - Added support for working within the Template Switcher widget, enhancing integration and functionality.
* Fix: Confirm Field (Pro) - Fixed an issue where labels did not wrap to a second line on small screen widths, ensuring better readability and layout consistency on mobile devices.
* Fix: Compact Gallery (Free) - Added a fix to address issues caused by early widget initialization, ensuring that widgets initialize at the correct time and function properly even in complex loading scenarios.
* Fix: Liquid Full Screen Menu (Pro) - Fixed an issue where the fix for sticky containers was not working properly in conjunction with optimization plugins.


version 1.5.113: 2024-07-04

* Fix: fixed some small security issues found by wordfence
* Feature: added search fitler to url replace in post widgets filters


version 1.5.112: 2024-07-01

Plugin Changes:

* Feature: made a small integration with simple author box plugin
* Feature: added &quot;timezone&quot; for google events api
* Feature: added &quot;current product gallery&quot; as a gallery source for WooCommerce
* Feature: added option for dynamic popup advanced cache
* Feature: added integration for fvplayer
* Feature: added links to woo minicart title and image
* Feature: added option to send reply in form to email that set in form field

Widget Changes:

* Feature: Pricing Table (Free) - Introduced Tooltip functionality, allowing users to add tooltips to each list item.
* Feature: Post Magazine Grid (Pro) - New values were added to the Show Categories option, including byTaxonomy and by Last level Taxonomy, providing users with more granular control over category display settings.
* Feature: Blob Shapes (Free) - Enhanced the Shadow options by adding shadow size, shadow blur, shadow color type, and shadow shift settings.
* Feature: Image Accordion (Pro) - Added the &quot;Link All Items&quot; option to enhance functionality and provide users with the ability to link all items collectively.
* Feature: Calendar (Pro) - Separated the Locale option into a new tab and introduced an 'Other' option in the locale list, enabling users to manually add a locale not listed, thereby extending support for 96 locales.
* Feature: Calendar (Pro) - Added &quot;Open Event Link in New Tab&quot; option to allow users to open event links in a new tab.
* Feature: Checkboxes Filter (Pro) - Added functionality to hide the dropdown when no items are found inside.
* Feature: Icon Accordion (Pro) - A new feature was introduced that includes the addition of an option to adjust the Icon Margin, providing users with more customization options for their interface.
* Feature: Radio Button Field (Pro) - Added functionality to handle and process values selected from radio buttons in the form, ensuring users' selections are captured and correctly stored.
* Change: Woo Mini Cart (Pro) - Improved the widget by adding the product link to the product title and the image in the cart.
* Change: AJAX Search (Pro) - Added a aria-label attribute for the search button element to enhance form handling and improve accessibility.
* Change: List Marquee (Pro) - Extended icon option to graphic element and added option for image.
* Change: AJAX Search (Pro) - Added a name attribute for the search button element to enhance form handling and improve accessibility.
* Change: Swipe Carousel (Pro) - An improvement was made by adding the aria-label attribute to the item link, enhancing accessibility and ensuring that all links have discernible names for better user experience.
* Fix: Logo Marquee (Pro) - Fixed the text alignment issue and added new options: Text Align and Text Shadow.
* Fix: Icon Accordion (Pro) - Fixed a bug where the accordions were not closing when the &quot;Close Others on Open&quot; option was disabled.
* Fix: Copy Coupon Code (Pro) - Resolved a problem where the copy operation was failing in some cases. This fix ensures that the copy functionality now works reliably across all scenarios.
* Fix: Quantity Increment Buttons (Pro) - Resolved a problem where the product quantity was not reset to 1 after adding to the cart.
* Fix: Liquid Full Screen Menu (Pro) - Implemented a fix to address the issue where the widget was not functioning correctly within sticky containers, ensuring consistent behavior and improved user experience.
* Fix: Before After (Pro) - Added support for carousel widgets, enabling the creation and management of dynamic, rotating content displays within the application.


version 1.5.111: 2024-06-10

Plugin Changes:

* Feature: added option in general settings: 'Taxonomy Separator Sign in Ajax Filter' for backward compatability
* Fix: fixed getting elementor dynamic item fields in ajax 
* Fix: background widgets didn't worked with rocket lazy load
* Changed - changed the default taxonomy saparator to &quot;:&quot; instead of &quot;~&quot;
* Feature: added option in general settings: 'Taxonomy Separator Sign in Ajax Filter' for backward compatability
* Changed - changed the default taxonomy saparator to &quot;:&quot; instead of &quot;~&quot;
* Fix: fixed getting elementor dynamic item fields in ajax 
* Fix: background widgets didn't worked with rocket lazy load
* Fix: filters checkboxes wasn't visible in some cases
* Fix: avoid error messages on very old elementor versions


Widget Changes:

* Feature: List (Free) - Added Override Color Title/Text options for each item, allowing for individualized customization.
* Feature: List (Free) - Added an Icon Margin option for enhanced layout control.
* Feature: Card Carousel (Free) - Added a new value &quot;Above Image&quot; to the Show Title option.
* Feature: Content Accordion (Free) - Added support for integrating the widget within carousel widgets, enhancing its functionality and allowing for greater flexibility in design layouts.
* Feature: Calendar (Pro) - Added Italian (it) to the available locales for enhanced language support.
* Feature: Product Bullets (Pro) - Added &quot;Column&quot; and &quot;Column Reverse&quot; values to the Content Direction option for improved layout flexibility.
* Change: Content Slider (Pro) - Changed the display CSS property from 'flex' to 'block' for cases where the Content Source option in an item is set to &quot;template.&quot;
* Change: One Page Scroll Navigation (Pro) - Changed method of calling the wheel event from jQuery to JavaScript.
* Change: Content Accordion (Free) - Changed heading's HTML tag from &lt;div&gt; to &lt;a&gt; and added role attribute for accessibility, enabling users to open and close accordions using keyboards and accessibility devices.
* Change: Event List (Pro) - Added description to Time Zone option.
* Fix: Mega Menu (Pro) - Resolved an issue where menu items were overlapping each other in iOS device.
* Fix: Mega Menu (Pro) - Fixed an issue where mobile menu items displayed only a white background color.
* Fix: Dynamic Post Popup (Pro) - Fixed an issue where the height wasn't adjusted after the first popup opening when the Adjust Height option was enabled.
* Fix: Before After (Pro) - Added lazy load protection to images within the widget, ensuring images load properly without delays.
* Fix: Accordion Menu (Pro) - Fixed an issue where the Accordion Menu was initialized multiple times in popup.
* Fix: Content Slider (Pro) - Added support for integrating Content Slider within the Toggle Content widget, enhancing its functionality and providing improved content presentation options.
* Fix: Icon Box Accordion (Pro) - Fixed an issue where the widget was blocking scroll event-oriented functions, ensuring smooth and uninterrupted scrolling behavior.
* Fix: Post Magazine Grid (Pro) - Fixed an issue where items were not being fully linked, ensuring complete and functional linking of all item components.
* Fix: Unlimited Timeline (Free) - Resolved a bug that caused the link to not work when the Image Link option was disabled.
* Fix: Multi Step Form (Pro) - Added a fix for an issue where 1px of the next step was sometimes visible in the current slide.


version 1.5.110: 2024-06-04

Plugin Changes:

* Fix: remote arrows was sendin next/prev commands twice
* Fix: fix some password protected content related security issue
* Fix: fix some sql security small issue 


Widgets Changes:

* Feature: Email Field (Pro) - Added Asterisk Size option, allowing customization of asterisk size for better design flexibility and emphasis.
* Feature: Phone Field (Pro) - Added Asterisk Size option, allowing customization of asterisk size for better design flexibility and emphasis.
* Feature: Event List (Pro) - Added Timezone option, ensuring that expired and upcoming events are counted according to the specified timezone for accurate event scheduling and display.
* Feature: Number Field (Pro) - Added &quot;Limit Number of Digits&quot; option, allowing users to restrict the number of digits displayed for better control and readability of numerical data.
* Feature: Phone Field (Pro) - Added &quot;Limit Number of Digits&quot; option, allowing users to restrict the number of digits displayed for better control and readability of numerical data.
* Feature: Transparent Split Hero (Free) - Added options to enable or disable widget contents like title, subtitle, etc., and introduced an option to add an image or logo for greater customization and flexibility.
* Feature: Unlimited Charts (Pro) - Added Line Chart Background Color option, allowing customization of the background color for line charts to enhance visual appeal.
* Fix: Submit Button (Free) - Added validation function for the phone field to ensure correct email format and improve data accuracy.
* Fix: Mega Menu (Pro) - Added fix for layout issue that sometimes occurs after page load, ensuring consistent and stable page rendering.
* Fix: Post Carousel (Pro) - Set padding to 0 in Nav Dots to avoid default CSS overrides, ensuring consistent and desired styling.
* Fix: Semi Circle Progress Bar (Pro) - Added support for Mega Slider widget, enabling the creation and display of Semi Circle Progress Bar widget in interactive sliders for enhanced content presentation.
* Fix: Floating Chat Buttons (Pro) - Fixed Pulse Animation Grabber Type issue, ensuring correct animation behavior and improved visual effects.
* Fix: Content Tabs (Free) - Added a small delay before widget initialization to ensure the Content Tabs widget works properly within other widgets, improving overall functionality and integration.
* Fix: Remote Tabs (Pro) - Changed selector for padding option to resolve issue where link was not clicked when tab was clicked, improving click response accuracy.



version 1.5.109: 2024-05-29

Plugin Changes:

* Feature: added option to get page views of some post using WPP plugin
* Feature: added option for &quot;show db tables&quot; in troubleshooting
* Fix: fixed form editor form validation, excluded placeholders
* Fix: fixed get filters based on wpml language with post count
* Fix: Fixed some remote connection code items click code
* Fix: Fixed clear all filters button not working bug
* Fix: fixed multisource acf repeater checkboxes type get

Widgets Changes: 
 
* Feature: Email Field (Pro) - Added validation function for the email field to ensure correct email format and improve data accuracy.
* Feature: Number Field (Pro) - Introduced the &quot;Disable Calculation in Editor&quot; debug option to prevent the page from crashing or becoming unresponsive when multiple fields are set to calculation mode, enhancing stability during editing.
* Feature: AJAX Search (Pro) - Added Show Post Image option to enable or disable the display of images in posts, providing more control over post appearance
* Feature: Submit Button (Free) - Added validation function for the email field to ensure correct email format and improve data accuracy.
* Feature: Team Member Card (Free) - Added Icon Size Inner option to adjust the height of the icon itself, providing more precise control over icon dimensions.
* Feature: Slider Field (Pro) - Added Accent Color option to highlight changing value of Slider Field widget.
* Feature: Unlimited Carousel (Pro) - Added option to open images in Lightbox, enhancing the viewing experience with a full-screen display of images.
* Change: Expanding Content Cards (Pro) - Added title as CSS ID for Widgets Items to allow using them as anchors.
* Fix: Mega Menu (Pro) - Fixed issue where the Clickable Link option was disabled but the link was still added, ensuring links are only added when the option is enabled
* Fix: Icon Accordion (Pro) - Fixed issue where Override Color Options were not working, ensuring color customizations are applied correctly.
* Fix: Fullscreen Menu (Free) - Fixed issue where menu wasn't opening, ensuring proper functionality and user access.
* Fix: Expanding Content Cards (Pro) - Resolved issue where CSS filters were not working in Safari browser, ensuring consistent styling across all browsers.
* Fix: Block Quote Card (Free) - Fixed issue where reserved space was still taken up even when no icon was selected, ensuring proper layout and space utilization.
* Fix: Unfold Content (Pro) - Added support for carousel widgets, enabling enhanced content display through interactive sliding elements.
* Fix: Instagram Feed (Pro) - Added 'aria-label' attribute to links to fix the 'Links do not have a discernible name' error, improving accessibility and compliance with web standards.
* Fix: Woo Mini Cart (Pro) - Fixed issue where URL was changed after page load, ensuring stable and consistent URLs for better navigation and user experience.
* Fix: Age Verification (Pro) - Fixed issue where popup still opened even after cookie was set, ensuring popups respect cookie settings for user preferences.
 

version 1.5.108: 2024-05-21

Plugin Changes: 

* Feature: update freemius SDK to 2.7.2
* Fix: fixed bug with select filter and active filters widgets
* Fix: fixed bug with several main checkbox filters unselecting
* Fix: Fixed some small security issue

Widget Changes:
 
* Feature: AJAX Search (Pro) - Added option to search by meta and by terms.
* Feature: Dark Mode (Free) - Introduced 'Do not affect SVG' option to prevent SVG images from inverting when toggling dark mode, ensuring correct image display.
* Feature: Load More / Infinite Scroll (Pro) - Added Button Hover Animation option to enable animations when hovering over button, enhancing interactivity and visual appeal.
* Feature: Load More / Infinite Scroll (Pro) - Added Icon Position option, allowing users to customize the placement of icons for better design flexibility.
* Feature: Woo Product Grid (Pro) - Added &quot;Show Only Lowest Variable Price&quot; option to display only the lowest price for variable products, enhancing price visibility and simplicity for users.
* Fix: Dynamic Post Popup (Pro) - Fixed Navigation Arrows functionality issue when Animation option was enabled, ensuring smooth and consistent navigation experience.
* Fix: Dynamic Popup Button (Pro) - Added suppot for Loop Carousel widget with enabled Loop option.
* Fix: Woo Mini Cart (Pro) - Fixed widgets behaviour for Shop pages when page name is different then default.
* Fix: Icon Tabs (Pro) - Provided a fix that ensures Icon Tabs widget changing Active Tab after click event.
* Fix: Unlimited Google Maps (Pro) - get it work on the template switcher
* Fix: Fullscreen Menu (Free) - Fixed issue where Menu widget wouldn't open properly when nested within sticky parent containers, ensuring smooth functionality and user experience.



version 1.5.107: 2024-05-16

Plugin Changes:

* Feature - added elementor dynamic options to api integrations
* Feature - added option to get images from current product variations for the dynamic gallery.
* Feature - added preperation for the enhanced ajax search
* Fix - fixed weird elementor no products on cart page bug
* Fix - fixed bug with faq schema output
* Fix - fixed general settings show items at start

Widget Changes:

* Feature: Event List (Pro) - Added &quot;Remove All Upcoming Events Except Next One&quot; functionality, facilitating the removal of all upcoming events except for the next scheduled event for streamlined event management.
* Feature: Animated Icon Box (Pro) - Added Description Opacity option to customize the opacity level of descriptions for enhanced visual aesthetics and readability.
* Feature: Underline Animated Button (Free) - Added Animation Move Amount option, enabling users to customize the amount of movement in animations for enhanced visual effects.
* Feature: Remote Tabs (Pro) - Added Item Min Height option for better customization; users can now set a minimum height for items displayed.
* Feature: Load More / Infinite Scroll (Pro) - Added the &quot;Show Load More Button Icon&quot; option to enhance interface; users can now customize the icon displayed for the load more button.
* Feature: Mega Menu (Pro) - Added a new functionality enabling &quot;Expand / Collapse Visible On&quot; option, allowing expansion or collapse of visibility based on specific criteria.
* Feature: Side Menu (Pro) - Added Menu Padding option. This new feature allows to add padding to the container of the Menu items.
* Feature: Woo Product Grid (Pro) - Made Content Padding, Category Label Spacing, and Title Spacing options responsive for improved adaptability across various screen sizes and devices.
* Feature: Icon Image Content Box (Free) - Implemented functionality to link Icon and Title to the same destination as the Image.
* Feature: Hotspots (Pro) - Implemented styling options for images. This new functionality allows users to customize the appearance of images within the widget, including options for adjusting borders, shadows, and other visual attributes.
* Feature: Team Member Grid (Pro) - Implemented 'Text Placement' option. This new functionality allows users to customize the placement of text within the widget, providing greater control over the layout and design.
* Fix: Post Ticker (Free) - Fixed widgets behaviour for RTL websites.
* Fix: Post Timeline (Pro) - Resolved category name spelling issue in some cases. This fix ensures that category names are spelled correctly throughout the widget, improving accuracy and consistency in the display of category information.
* Fix: Team Member Grid (Pro) - Optimized HTML code of the widget. This optimization improves the efficiency and performance of the widgets by reducing unnecessary code and streamlining the structure for faster loading and rendering.
* Fix: Number Field (Pro) - Resolved issue when Min - Max range were violated and no error were shown.
* Fix: Dropdown Button (Pro) - Optimized widget's JS code. This fix ensures that widget works properly on mobile devices as well as on desktop.
* Fix: Expanding Content Cards (Pro) - Addressed CSS filter issue where it was displaying incorrectly on mobile devices, ensuring proper rendering and display consistency across all devices.
* Fix: Post Grid (Pro) - Fixed issue where Typography option was not functioning as expected, ensuring proper functionality and usability.
* Fix: Justified Image Carousel (Pro) - Fixed issue where width of images was incorrectly set in certain cases, ensuring proper display and functionality across all scenarios.
* Fix: Layers (Pro) - Resolved issue with the &quot;Item Shadow&quot; option. This fix ensures that the item shadow is applied correctly within the widget.


version 1.5.106: 2024-05-12

* Fix - fixed some main/child roles checkbox filter issues
* Fix - fixed some bug with widget posts debug not showed full info
* Fix - fixed dissapearing gallery titles since last version.


version 1.5.105: 2024-05-05

Plugin Changes:

* Fix: fixed some filters and request related issue
* Fix: fixed specific post and terms select

Widget Changes:

* Feature: Masonry Gallery (Pro) - Implemented 'Mute Video' option. This new functionality allows users to start videos muted within the widget, providing greater control over the audio playback and enhancing the user experience.
* Feature: Team Member Carousel (Pro) - Introduced 'Button Text' option in items, enabling users to set custom button text for each team member for enhanced customization and flexibility.
* Feature: Mega Menu (Pro) - Implemented 'Mobile Open Menu Animation' option. This new functionality allows users to specify the animation type for opening the menu on mobile devices, enhancing the visual presentation and user experience.
* Feature: Logo Carousel (Pro) - Implemented support for empty links. This new functionality allows items to become not clickable when empty links are specified, providing more control over the behavior and interaction of items within the widget.
* Feature: Scroll Sequence (Pro) - Introduced 'Hide Add Action Section' debug option, enabling users to match accurate configurations in the backend and frontend.
* Feature: Dropdown Field (Pro) - Added support for 'Dropdown Value (Numeric Values)' in multi-source, enabling users to include numeric dropdown values via Multi Source.
* Feature: Overlay Button (Free) - Introduced 'Overlay Transition Duration' option, providing users with more control over the duration of overlay transitions for enhanced customization and user experience.
* Feature: Checkboxes Filter (Pro) - Introduced 'Accordion as Dropdown' option, allowing users to open the accordion as a dropdown when the layout is set to 'Accordion', preventing layout shifting and improving user experience.
* Feature: Overlay Button (Free) - Added 'Icon' option, allowing users to easily add an icon to the button for enhanced visual appeal.
* Feature: Event List (Pro) - Introduced 'Show End Time' option, enabling users to show or hide the event end time for enhanced flexibility and customization.
* Feature: Animated Icon Box (Pro) - Introduced styling options for Icon and Divider, providing users with more customization choices for improved visual design.
* Feature: Taxonomy Terms (Pro) - Implemented styling options for 1st and 2nd level of Child Term Elements. This new functionality allows users to customize the appearance of Child Term Elements at different hierarchical levels, providing greater design flexibility and control.
* Feature: Content Carousel (Pro) - Implemented 'Image Border Radius' option. This new functionality allows users to specify the border radius for images within the widget, enabling them to create rounded or custom-shaped images for a more visually appealing design.
* Feature: Coverflow Carousel (Pro) - Implemented 'Custom Navigation Arrows' option. This new functionality allows users to customize the navigation arrows used within the widget, enabling them to use custom-designed arrows for a more personalized look and feel.
* Feature: One Page Scroll Navigation (Pro) - Enhanced widget flexibility to support other sections apart from the one with the tag &lt;section&gt;. This improvement expands compatibility with different section types, providing users with more options for integrating the widget into their website layouts.
* Change: Animated Icon Box (Pro) - Replaced old font edit option with new typography and color options for enhanced customization and design control.
* Change: Call To Action Button (Free) - Moved ripple 'Transition Timing' from Button Icon to Button Icon tab and renamed it to 'Ripple Timing' for improved organization and clarity.


version 1.5.104: 2024-04-24

Plugin Changes:

* Feature: added support for unselect items in sync functionality
* Feature: added feature - sort terms by parent -&gt; children, and levels number class
* Fix: fixed some load more issue with dynamic template loop and post lists inside
* Fix: fixed woo category image not fetched bug
* Fix: fixed some cases of sticky elementor elements with filters
* Fix: fixed remote connection with single background parent and remote widget

Widgets Changes:

* Feature: Neon Glowing Button Effect (Pro) - Implemented 'Neon Line Width' option. This new functionality allows users to adjust the width of the neon line effect within the widget, providing finer control over its appearance and visual impact.
* Feature: Scroll Sequence (Pro) - Introduced 'Hide Add Action Section' debug option, enabling users to match accurate configurations in the backend and frontend.
* Feature: Team Member Carousel (Pro) - Introduced 'Button Text' option in items, enabling users to set custom button text for each team member for enhanced customization and flexibility.
* Feature: Overlay Button (Free) - Added 'Icon' option, allowing users to easily add an icon to the button for enhanced visual appeal.
* Feature: Overlay Button (Free) - Introduced 'Overlay Transition Duration' option, providing users with more control over the duration of overlay transitions for enhanced customization and user experience.
* Feature: Dropdown Field (Pro) - Added support for 'Dropdown Value (Numeric Values)' in multi-source, enabling users to include numeric dropdown values via Multi Source.
* Feature: Neon Glowing Button Effect (Pro) - Implemented 'Button Shadow' option. This new functionality allows users to add a shadow effect to buttons within the widget, enhancing their visual appearance and depth.
* Feature: Mega Menu (Pro) - Implemented 'Mobile Open Menu Animation' option. This new functionality allows users to specify the animation type for opening the menu on mobile devices, enhancing the visual presentation and user experience.
* Feature: Neon Glowing Button Effect (Pro) - Implemented 'Button Background Color' option. This new functionality allows users to customize the background color of buttons within the widget, enhancing visual design and customization possibilities.
* Feature: Logo Carousel (Pro) - Implemented support for empty links. This new functionality allows items to become not clickable when empty links are specified, providing more control over the behavior and interaction of items within the widget.
* Fix: Loop Carousel (Pro) - Corrected spelling mistakes and improved naming conventions, enhancing clarity and consistency.
* Fix: Flip Box (Free) - Resolved issue where links were not firing for the first click on the back of the Flip Box. This fix ensures that links behave as expected, allowing them to be clicked and activated reliably.
* Fix: Content Tabs (Free) - Resolved issue where Content Tabs widget couldn't work with Icon Tabs widget on the same page. This fix ensures that both widgets can coexist and function properly together, allowing for seamless integration and improved user experience.
* Fix: Checkboxes Filter (Pro) - Enhanced Accordion Layout option for the Checkboxes Widget to improve script communication. This improvement optimizes the interaction between scripts, resulting in smoother operation and better performance of the widget.
* Fix: Loop Grid (Pro) - Implemented additional Masonry layout check to avoid items overlapping over each other. This enhancement ensures that items are properly positioned and do not overlap, maintaining a clean and organized layout within the widget.
* Fix: Dynamic Post Popup (Pro) - Resolved issue where popups allowed opening links in new tabs while opening the popup. This fix ensures that links within popups behave consistently and do not inadvertently open in new tabs, providing a smoother user experience.
* Fix: Post Slider (Pro) - Addressed issue where post title typography settings were not applied, ensuring proper functionality and appearance.
* Fix: Flip Box (Free) - Corrected a typography mistake in options.
* Fix: Content Slider (Pro) - Resolved conflict caused between Elementor's Motion Effects and the widget due to the same animation library (animate.css), resolving CSS class conflict for smoother animation and functionality.
* Fix: Fullscreen Menu (Free) - Resolved issue with Opening Item when Clickable Parent option is enabled.
* Fix: Side Menu (Pro) - Resolved issue where some icons were being reverted. This fix ensures that all icons remain consistent and do not revert unexpectedly.
* Fix: Rhombus Grid (Pro) - Increased CSS priority for 'Item Background Color Override' option. This adjustment ensures that the specified background color takes precedence over other styles, providing consistent and reliable appearance for the widget items.


version 1.5.103: 2024-04-16

Plugin Changes:

* Feature: added option to add additional url attributes to post links
* Feature: improved woo category thumbnail image gether
* Feature: added option to unite gallery - strip_speed
* Fix: fixed some widgets editor enable visibility bug
* Fix: fixed entrance animation run if inside a viewport window
* Fix: fixed some security issues - escaping some fields output

Widgets Changes:

* Feature: Overlay Carousel (Pro) - Implemented 'Show Dots' option. This new functionality allows users to toggle the visibility of dots within the widget, providing greater control over navigation indicators.
* Feature: Checkbox Field (Pro) - Implemented 'Checkbox Custom Icon' option. This new functionality allows users to customize the appearance of checkboxes by providing custom icons, enhancing the visual presentation of checkboxes within the widget.
* Feature: Video Playlist (Pro) - Implemented 'Strip Navigation Speed' option. This new functionality allows users to adjust the speed of navigation within the strip, providing finer control over the scrolling behavior.
* Feature: Expanding Content Cards (Pro) - Implemented 'Background Image Align' option. This new functionality allows users to specify the alignment of the background image, providing greater control over its positioning within the element.
* Feature: Post Magazine Grid (Pro) - Implemented 'Meta Date Date Format' option. This new functionality allows users to specify the date format for meta date display, providing customization options for date presentation.
* Feature: Justified Image Carousel (Pro) - Implemented 'Show Item Title in Lightbox' option. This new functionality allows users to toggle the display of item titles within the lightbox, providing control over the visibility of titles for a better user experience.
* Feature: Search Filter (Pro) - Implemented 'Custom Links Ending' option. This new functionality allows users to change links in the connected grid to highlight the search phrase.
* Feature: Load More / Infinite Scroll (Pro) - Implemented 'Connect To Grids Group' option. This new functionality allows users to connect the filter widget to a particular grid widget.
* Feature: Post Pagination (Free) - Implemented 'Connect To Grids Group' option. This new functionality allows users to connect the filter widget to a particular grid widget.
* Feature: Content Switcher (Pro) - Introduced option to fire a resize event on tab click, ensuring proper functionality of other widgets inside tab Content Switcher for a smoother and more seamless user experience.
* Feature: Submit Button (Free) - Implemented 'Show Field Name In Empty Field Error Message' option. This new functionality allows users to include the field name in the empty field error message, providing clearer feedback to users when a required field is left blank.
* Feature: Side Menu (Pro) - Implemented 'Templates Width' and 'Templates Horizontal Align' options.
* Change: Unlimited Grid (Pro) - Changed 'Title Spacing' option to 'Title Margin'. This change allows users to add margin in all directions to the title, providing more granular control over its positioning within the widget.
* Fix: Content Box Hover Text Reveal (Free) - Resolved issue where Overlay Opacity option wasn't working on mobile devices. This fix ensures that the Overlay Opacity option functions correctly across all devices, providing consistent behavior and appearance.
* Fix: Multi Step Form (Pro) - Fixed Multi Step Error Message not showing when empty and required field was present on active step.
* Fix: Submit Button (Free) - Fixed Submit Button verification issue when fields with 0 value were parsed as empty.
* Fix: Slider Field (Pro) - Resolved issue where border radius for focus state differed from regular state. This fix ensures that the border radius remains consistent across different states.
* Fix: Icon Bullets (Free) - Fixed issue related to Hover Colors not being revealed after item hover.
* Fix: Team Member Sliding Effect (Pro) - Resolved issue related to global colors usage. This fix ensures that global colors are properly utilized throughout the widget, maintaining consistency and accuracy in color rendering.
* Fix: Post Magazine Grid (Pro) - Optimized widget HTML. This optimization improves the efficiency and performance of the widget by streamlining the HTML structure and reducing unnecessary code.
* Fix: Form Fields Widgets: Resolved vulnerability where scripts could be injected under certain widget attributes. This fix ensures that scripts are properly sanitized and prevented from being inserted into widget attributes, mitigating potential security risks.



version 1.5.101: 2024-04-03

Plugin Changes:

* Feature - added &quot;date time&quot; attribute to items attributes list
* Feature - made some integration for &quot;relevanssi&quot; plugin
* Feature - added woo rating stars to multisource fields
* Feature - added visual text that showing the form fields conditions
* Fix - fixed filters mode init mode
* Fix - fixed various filters related bugs
* Fix - fixed ucpage parameter fetch for pagination in archive page
* Fix - fixed gallery from meta field item source texts 
* Fix - fixed some number field processing
* Fix - fixed multisep form with template submit

Widgets Changes: 

* Feature: Radio Button Field (Pro) - Implemented 'Set First Item Selected' option. This new functionality allows users to automatically select the first item in the widget.
* Feature: Fullscreen Menu (Free) - Implemented 'Open Current Submenu On Page Load' option. This new functionality allows users to automatically expand the current submenu on page load, providing immediate access to relevant content.
* Feature: Background Slider (Pro) - Introduced 'Add SEO Tags' option, allowing users to include alt and title attributes for images for improved search engine optimization of the widget content.
* Feature: Floating Chat Buttons (Pro) - Introduced &quot;Close Message Box After Send&quot; option, allowing automatic closure of the message box after clicking the send button for improved user experience and convenience.
* Feature: Floating Chat Buttons (Pro) - Introduced &quot;Close Button After Click&quot; option, enabling automatic closure of the buttons after clicking any button, eliminating the need for manual closure for enhanced user convenience and interaction.
* Feature: Content Grid (Pro) - Implemented 'Description' option. This new functionality allows users to add a description to the widget, providing additional context or instructions.
* Feature: SVG Animation (Free) - Optimized widget for Elementor Popup compatibility. This update ensures seamless integration and improved performance when using the widget within Elementor Popups.
* Feature: Animated Ripples (Pro) - Introduced 'Ripple Scale' option, enabling users to control the size of the ripples for enhanced visual customization and effect.
* Feature: Interactive Circle Infographic (Pro) - Implemented 'Item Trigger type' for Segment Layout type. This new functionality allows segments to be opened by hovering on them, providing users with an alternative interaction method.
* Feature: Line Text Divider (Free) - Added styling options including Line Thickness, Line Border Radius, Line Shadow, Text Typography, Background Color, Padding, Border, Border Radius, and Box Shadow for enhanced customization. Additionally, existing styling options have been improved for better optimization and user experience.
* Feature: Price Range Filter (Pro) - Implemented Grow Effect on Thumb Hover option. This new functionality allows users to enable the grow effect on thumbnail hover.
* Feature: Price Range Filter (Pro) - Implemented Hide Default Arrows option. This new functionality allows users to hide default arrows, providing enhanced customization of the widget's appearance and behavior.
* Feature: Post Grid (Pro) - Implemented 'Show Time Ago' option. This new functionality allows users to display the time elapsed since a publish event, providing context and improving user engagement.
* Feature: Dropdown Field (Pro) - Implemented 'Required' option. This new functionality allows users to mark a field as required, ensuring that users must fill it out before submitting the form.
* Feature: Submit Button (Free) - Implemented 'Empty Field Error Text' option. This new functionality allows users to customize the error message displayed when a required field is left empty.
* Feature: Icon Bullets (Free) - Implemented 'Title Color Hover' and 'Text Color Hover' options. These new functionalities allow users to customize the color of titles and text when hovered over, providing enhanced interactivity and visual feedback.
* Feature: Unlimited Charts (Pro) - Implemented 'Font Family' option for Label X Axis and Y Axis. This new functionality allows users to customize the font family for labels displayed on the X and Y axes, providing enhanced typography control.
* Feature: Overlay Carousel (Pro) - Implemented 'Show Arrows' option and updated Arrows styling options. This new functionality allows users to control the visibility of arrows and customize their styling, providing more flexibility in widget design and navigation.
* Feature: Post Timeline (Pro) - Implemented 'Empty Message' option. This new functionality allows users to display a custom message when no posts are found, providing better user feedback and enhancing the user experience.
* Feature: Checkbox Field (Pro) - Implemented 'Required' option. This new functionality allows users to mark a field as required, ensuring that users must fill it out before submitting the form.
* Feature: Radio Button Field (Pro) - Implemented 'Required' option. This new functionality allows users to mark a field as required, ensuring that users must fill it out before submitting the form.
* Change: Checkboxes Filter (Pro) - Added 'aria-label' attribute to links. This new functionality enhances accessibility by providing descriptive labels for elements.
* Change: Post Carousel (Pro) - Added 'alt' and 'title' attributes to the image for improved SEO optimization and accessibility.
* Change: Flip Box Carousel (Pro) - Changed some selectors in CSS to avoid empty items appearing on live page.
* Change: Underline Animated Button (Free) - Changed &lt;section&gt; tag to &lt;div&gt;. This update improves the semantic structure of the widget, ensuring better compatibility with various screen readers and accessibility standards.
* Change: Unlimited Charts (Pro) - Updated the animation option to trigger animation when the chart comes into view instead of upon initial load, improving user experience and visual appeal.
* Change: Submit Button (Free) - Changed the position of Empty Field Errors to be grouped after the submit button. This update enhances the layout and organization of error messages, providing users with a clearer indication of missing information before submission.
* Change: Post Blocks (Free) - Changed CSS selector for Typography option for better accessibility. This update improves the accessibility of the Typography option by using a more descriptive and accessible CSS selector.
* Change: List Marquee (Pro) - Increased speed limit to 1000. This update enhances the speed capabilities of the widget, allowing for faster performance and smoother animations.
* Change: Checkbox Field (Pro) - Increased accessibility by adding IDs to input elements and &quot;for&quot; attributes to label elements. This update improves accessibility by associating labels with their corresponding form controls, making it easier for screen readers and other assistive technologies to interpret and navigate the form.
* Change: Masonry Gallery (Pro) - Implemented 'Autoplay Video In Lightbox' option. This new functionality allows users to enable autoplay for videos displayed within the lightbox, providing a more dynamic and engaging viewing experience.
* Change: WhatsApp Chat (Pro) - Added 'aria-label' attribute to links. This new functionality enhances accessibility by providing descriptive labels for elements.
* Fix: Number Field (Pro) - Implemented CSS protection from the max-width CSS property. This new functionality safeguards against unintended styling conflicts or overrides caused by the max-width property.
* Fix: Fullscreen Menu (Free) - Addressed issue where the fullscreen menu was not displayed correctly in Safari browser.
* Fix: Image Scroll (Pro) - Resolved 404 error appearing every time Overlay element was added on the page. This fix ensures that the Overlay element is loaded correctly without triggering a 404 error.


version 1.5.100: 2024-03-17

Plugin Changes:

* Feature: added option to connect the filters to some specific grid group
* Fix: fixed js run for background output not always happend
* Fix: filters was shown only related to grid taxonomies after changing to &quot;all&quot; 
* Fix: returned some tiles gallery images that was missing

Widgets Changes:

* Feature: List (Free) - Implemented 'Open Link in New Tab' option. This new functionality allows users to specify whether links should open in a new tab, providing flexibility in link behavior.
* Feature: Compact Gallery (Free) - Implemented 'Hide Thumbnail Panel Under Width' option. This new functionality allows users to hide the thumbnail panel when the viewport width is below a specified threshold, optimizing the display for smaller screens.
* Feature: Select Dropdown Filter (Pro) - Implemented 'Connect To Grids Group' option. This new functionality allows users to connect the filter widget to a particular grid widget.
* Feature: Checkboxes Filter (Pro) - Implemented 'Connect To Grids Group' option. This new functionality allows users to connect the filter widget to a particular grid widget.
* Feature: Tabs Filter (Pro) - Implemented 'Connect To Grids Group' option. This new functionality allows users to connect the filter widget to a particular grid widget.
* Feature: Scroll Sequence (Pro) - Added 'Image Horizontal Shift' option, allowing users to adjust the horizontal position of the image for enhanced customization and layout control.


version 1.5.99: 2024-03-11

* Fix - updated multisource image fields
* Fix - fixed some small php bug with strtobool function


version 1.5.98: 2024-03-05

* Fix Some small gutenberg related bug fix

version 1.5.97: 2024-03-04

Plugin Updates: 

* Fix: allow showing authors name translated
* Change: updated font awesome version to 6
* Fix: done some link attribute security fix

Widgets Updates: 

* Feature: Accordion Menu (Pro) - Implemented 'Active State Color' options for Sub Menu items. This new functionality allows users to customize the color of sub-menu items when they are in the active state, providing enhanced visual feedback.
* Feature: Content Slider (Pro) - Made 'Slide Margin' option available for Full Slider Type and Offset Slider Type. This update expands the usability of the margin customization, allowing users to set margins between slides in both Full Slider and Offset Slider configurations.
* Feature: Icon Tabs (Pro) - Made 'Start Collapsed' option responsive. This update ensures that the 'Start Collapsed' behavior adjusts responsively, providing a consistent and user-friendly experience across various devices and screen sizes.
* Feature: Post Accordion (Free) - Introduced 'Expand All Accordion' functionality, enabling users to expand all accordion items with a single click for improved content accessibility.
* Feature: Fullscreen Menu (Free) - Introduced option to customize the thickness of the animated hamburger icon bars, providing users with greater control over the visual appearance of the icon.
* Change: Coverflow Carousel (Pro) - Updated 'Button Link' option: if empty, no link will be applied. This modification ensures that if the 'Button Link' option is left empty, no link will be associated with the button within the widget.
* Fix: Product Carousel (Pro) - Optimized widget HTML code. This update enhances performance and efficiency by streamlining the HTML structure of the widget.
* Fix: Content Tabs (Free) - Improved widget interaction within an Elementor's popup. This update ensures a more seamless and optimized experience when utilizing the widget within a popup setting.


version 1.5.96: 2024-02-26

Plugin Updates: 

* Feature: added option for time_ago_short in timelines that will show shorter version of minutes and hours text
* Feature: added defaults for weather widget
* Fix: fixed hourly weather fields
* Fix: fixed the import with images functionality
* Fix: set default timeout to remote requests
* Fix: fixed the image duplicate when importing templates

Widgets Updates: 

* Feature: Side Menu (Pro) - Implemented 'Menu Padding' option. This new functionality allows users to set padding for the menu, providing control over the spacing and layout within the widget.
* Feature: Post Grid (Pro) - Introduced a new value for 'Meta Data Position' option called 'Before Title'. This new functionality allows users to position meta data before the title, providing additional flexibility in content layout.
* Feature: Loop Carousel (Pro) - Implemented 'Stage Padding' option. This new functionality allows users to set stage padding, displaying a part of the previous and next carousel items for a more visually appealing and dynamic presentation.
* Feature: Interactive Circle Infographic (Pro) - Implemented 'Selected Item Number' option. This new functionality allows users to select a specific item by default, enhancing user experience by highlighting a predetermined item upon initialization.
* Feature: Unlimited Timeline (Free) - Introduced option to display the image on the opposite side of the content for enhanced layout flexibility and customization.
* Feature: Thumbnail Slider (Pro) - Introduced 'Multi Source' option, enabling users to select gallery items from various sources for enhanced flexibility and content integration.
* Feature: Timer Countdown Banner (Pro) - Added 'Direction' option to support RTL (Right-to-Left) layout websites.
* Feature: Post Horizontal Timeline (Pro) - Introduced Background Color and Icon Color options for Navigation Arrows in disabled mode. This new functionality allows users to customize the appearance of navigation arrows when they are disabled, providing enhanced visual control.
* Feature: Post Timeline (Pro) - Implemented 'Time Ago Type' option. This new functionality allows users to choose the type of time ago representation, providing flexibility in how time is displayed within the widget.
* Feature: Post Grid (Pro) - Implemented 'Text Custom Field' option. This new functionality allows users to add a custom field under the main Posts Text, providing additional customization for displaying content.
* Feature: Post Timeline (Pro) - Implemented 'Link Type' option for all link elements in the widget. This new functionality allows users to choose the type of link for various elements within the widget, enhancing control over linking behavior.
* Feature: Remote Link (Pro) - Introduced active state for the link. This new functionality allows users to customize the appearance of the link when it is in an active state, providing enhanced visual feedback.
* Feature: Dynamic Post Popup (Pro) - Implemented 'Hide Vertical Scrollbar in Popup' option. This new functionality allows users to hide the vertical scrollbar within the popup, providing a cleaner and more focused appearance.
* Feature: Icon Carousel (Pro) - Introduced 'Autoplay Pause on Hover' option, allowing users to pause autoplay functionality when hovering over the carousel for improved control and interaction.
* Feature: Dynamic Post Popup (Pro) - Introduced Entrance Animation functionality for the popup. This new feature allows users to apply entrance animations, enhancing the visual appeal and engagement when the popup appears.
* Feature: Unlimited Timeline (Free) - Implemented 'Content Box Link' option. This new functionality allows users to link the entire content box, providing a convenient way to associate a link with the entire widget item.
* Feature: Text Field (Free) - Added 'Read Only' option, allowing users to set the field as read-only for preventing user input while retaining visibility of the text.
* Feature: Unlimited Charts (Pro) - Introduced 'Radar Range' option for Radar chart, allowing users to set the minimum range value for improved data visualization.
* Feature: Testimonial Carousel (Pro) - Added 'Rating' field to the Source option. This new functionality allows users to incorporate a rating field as a source for the widget, expanding the available data sources for enhanced content display.
* Feature: Multi Step Form (Pro) - Introduced 'Direction' option. This new functionality is useful for RTL (Right-to-Left) websites, allowing users to set the direction of the widget layout accordingly.
* Feature: Unlimited Timeline (Free) - Introduced option for users to customize the text of each item's button, providing greater flexibility.
* Feature: Post List (Free) - Implemented 'Space Between Categories' option. This new functionality allows users to set spacing between categories, providing control over the layout and visual presentation of category elements.
* Feature: Memory Game (Pro) - Introduced 'Add Completion Time to Form Field' option, enabling users to automatically append the time taken to complete the memory game to a designated form field.
* Feature: Post Timeline (Pro) - Implemented 'Add Link For The Whole Item' option. This new functionality allows users to add a link to the entire widget item, enhancing the interactive capabilities and providing a clickable area for the entire item.
* Feature: Post Carousel (Pro) - Implemented 'Text Padding' and 'Title Padding' options. This new functionality allows users to set padding for text and title elements, providing enhanced control over spacing and layout within the widget.
* Feature: Post Grid (Pro) - Introduced 'Date Modified' options. This new functionality allows users to display the date when a post was last modified, providing additional information and transparency in content presentation.
* Feature: Unlimited Google Maps (Pro) - Introduced options to customize Maps Controls icons' color and background color. This new functionality allows users to personalize the appearance of map controls, enhancing visual customization.
* Feature: Unlimited Google Maps (Pro) - Implemented 'Disable Map Interaction On Mobile' option. This new functionality allows users to disable map interaction specifically on mobile devices, providing control over the user experience on smaller screens.
* Change: Content Tabs (Free) - Modified behavior of 'Start Collapsed' option when used with 'Set Hash'. If the URL has a hash, the first opened tab will be determined by the hash, providing a more dynamic and user-friendly experience.
* Change: Dropdown Button (Pro) - Removed Text Decoration CSS property from dropdown items. This update enhances the visual presentation by eliminating unnecessary text decoration.
* Change: Woo Mini Cart (Pro) - Added separate border options for 'View Cart' and 'Checkout' buttons, providing users with more customization flexibility for button styling.
* Change: Swipe Carousel (Pro) - Modified 'Enable Link' option. Now, the entire item serves as a link, providing a more intuitive and consistent approach to linking within the widget.
* Fix: Submit Button (Free) - Corrected default values in email 2 that were leading to validation errors.
* Fix: Post Carousel Lite (Free) - Addressed issue where the carousel was not displaying on mobile devices.
* Fix: Icon Tabs (Pro) - Resolved issue with the 'Start Collapsed' option. The fix ensures that the 'Start Collapsed' option now functions correctly, delivering the intended collapsed behavior upon initialization.
* Fix: Post Grid (Pro) - Optimized widget item HTML code. This update enhances performance and efficiency by streamlining the HTML structure of widget items.
* Fix: Unlimited Timeline (Free) - Optimized item HTML code. This update improves performance and efficiency by refining the HTML structure of individual items within the widget.
* Fix: Unlimited Timeline (Free) - Optimized CSS code. This update improves performance and reduces the overall footprint of the stylesheet, enhancing efficiency and loading times.
* Fix: Remote Link (Pro) - Resolved issue where the Text Shadow option was erroneously interpreted as Box Shadow. The fix ensures that the Text Shadow option now functions correctly, providing the intended text shadow effect.
* Fix: Scroll Sequence (Pro) - Revised and improved descriptions of the widget fields for better clarity.
* Fix: Post Magazine Grid (Pro) - Added 'raw' tag to category names to fix the display issue where the '&amp;' symbol in category names was not displaying correctly.
* Fix: Before After (Pro) - Improved widget interaction with Elementor's Popups. This update ensures seamless integration and optimal performance when using the widget within Elementor's Popup functionality.
* Fix: Grid Gallery (Pro) - Resolved an issue where the widget was not extending to full width within Elementor Container.
* Fix: Particle Image (Pro) - Added protection from lazy load. This update ensures compatibility and proper functionality, mitigating potential issues related to lazy loading on various platforms.


version 1.5.95: 2024-02-12:

* Feature: Ensure that the blog displayed on the &quot;Home&quot; page of the plugin is always up-to-date.
* Feature: Implemented support for tags in the widget catalog.
* Feature: Added an option for galleries to play videos in muted mode.
* Feature: Integrated weather forecast data preparation for the widget.
* Fix: Addressed some minor potential security risks associated with the import templates functionality.
* Fix: Rectified email validation for Form Email2.
* Fix: Resolved some issues with the price range filter.
* Fix: fixed the problem where dynamic template styles disappeared after updating Elementor Pro.

Widgets Updates: 

* Feature: Image Zoom Content Box (Free) - Implemented 'Title Tag' option. This new functionality allows users to specify the HTML tag for titles within the widget, providing flexibility and control over the semantic structure of the content.
* Feature: Post Accordion (Free) - Implemented 'Disable Link in Image' option. This new functionality allows users to disable the link associated with an image, providing more control over the interactive behavior of images within the widget.
* Feature: Slider Gallery (Free) - Implemented 'Mute Video' option. This new functionality allows to play videos muted by default. Volume can be adjusted in video players on live page.
* Feature: Unlimited Charts (Pro) - Implemented 'Item Bar Width' option. This new functionality allows users to customize the width of individual bars, providing greater control over the visual representation of items.
* Feature: Remote Item Navigation (Pro) - Introduced 'Border Override Color' options for Regular and Active states. This new functionality allows users to customize border colors separately for both Regular and Active states, enhancing visual styling in the widget.
* Feature: Post Grid (Pro) - Implemented 'Title Min Height' option. This new functionality allows users to set a minimum height for the title, offering more control over the visual presentation and consistency in the widget.
* Feature: Checkbox Field (Pro) - Introduced 'Show Link' option. This new functionality enables users to show or hide links and customize their styling within the widget, offering more control over the interactive elements.
* Feature: Counter (Free) - Implemented 'Add Link To Widget Container' option. This new functionality allows users to include a link, enhancing the interactive capabilities of the element by enabling navigation to another page or resource.
* Feature: Icon Box Accordion (Pro) - Introduced 'Icon + Text' option for Graphic Element. This new value expands customization by allowing users to display both an icon and text within the Graphic Element for richer visual representation.
* Feature: Before After (Pro) - Added support for the widget inside Elementor's Tabs widget. This enhancement ensures seamless integration and compatibility, allowing users to utilize the widget effectively within Elementor's Tabs.
* Feature: Justified Image Carousel (Pro) - Implemented 'Hide Inactive Arrow' option. This new functionality allows users to hide inactive arrows, providing a cleaner and more focused appearance in the widget interface.
* Feature: Layers (Pro) - Added shadow for icon type layers.
* Feature: Icon Pointer Button (Pro) - Introduced 'Direction' option. This new functionality allows users to specify the direction for RTL (Right-to-Left) or LTR (Left-to-Right) websites, ensuring proper layout alignment based on language direction.
* Feature: Loop Carousel (Pro) - Implemented 'Auto Height' option. This new functionality adjusts the height of the slider dynamically based on the height of the current slide, providing a more adaptive and seamless user experience.
* Feature: Justified Image Carousel (Pro) - Option to fix the broken layout (resulting in a duplicate carousel) caused by delayed image loading, this solution verifies that the images are loaded before initializing the carousel.
* Feature: Remote Tabs (Pro) - Introduced styling options for Border Radius, Border, and Shadow for the image of the active tab.
* Feature: Layers (Pro) - Added background color, padding and radius for text fields.
* Feature: WhatsApp Chat (Pro) - z-index option for Popup, allowing users to customize the stacking order of the Popup for better control over its visibility in relation to other elements.
* Feature: WhatsApp Chat (Pro) - Introduced option to customize the Popup Title, along with styling options for enhanced visual control and personalization.
* Feature: Swipe Carousel (Pro) - Introduced 'Additional Title' options. This new functionality expands customization by providing additional settings for titles, allowing users to further enhance the visual presentation of titles within the widget.
* Feature: Content Grid (Pro) - Introduced 'Image Scale' option. This new functionality allows users to scale the images, providing enhanced control over the visual presentation within the widget.
* Feature: Fullscreen Menu (Free) - Implemented feature - automatically opens menu item if it matches the current page URL.
* Feature: Post Grid (Pro) - Added Option to show post tags, providing users with the ability to showcase tags associated with each post.
* Feature: Post Magazine Grid (Pro) - Introduced 'Image Scale' and 'CSS Filters' options along with the hover transition duration for enhanced image customization.
* Feature: Card Carousel (Free) - Implemented 'Image Position' option. This new functionality allows users to customize the position of image within the widget, providing enhanced control over the visual layout.
* Feature: Layers (Pro) - Added mouse parallax effect, adds a captivating and interactive dimension to the user interface.
* Feature: Swipe Carousel (Pro) - Introduced additional styling options. This new set of functionalities allows users to further customize and refine the visual appearance of the widget, providing enhanced styling possibilities.
* Feature: Mega Menu (Pro) - Implemented 'Close Transition Speed' option. This new functionality enables users to set the speed of close animations for the dropdown, enhancing visual transitions and customization.
* Feature: Unlimited Carousel (Pro) - Added 'Image Position' option, allowing users to customize the position of the image above or below the content for enhanced layout flexibility.
* Feature: Layers (Pro) - Implemented motion effects - now elements can bounce up and down and move left to right for a livelier interface.
* Feature: Unlimited Google Maps (Pro) - Implemented 'Center Info Window' option. This new functionality allows users to center the info window on the map, providing enhanced visibility and focus on the selected location.
* Feature: Unlimited Google Maps (Pro) - Implemented 'Close After Outside Info Window Click' option. This new functionality allows users to close the info window after clicking outside of it on the map, enhancing user interaction and control.
* Feature: Layers (Pro) - Implemented responsive settings for individual layers, allowing users to toggle each layer on or off based on the specific device requirements.
* Feature: Image Accordion (Pro) - Added 'Title HTML Tag' option, providing users with better SEO control by allowing customization of HTML tags for widget titles.
* Feature: Content Tabs (Free) - Introduced option to fire a resize event on tab click, ensuring proper functionality of other widgets inside tab content for a smoother and more seamless user experience.
* Feature: Event List (Pro) - Implemented 'Remove Expired Event Item' option. This new functionality allows users to automatically remove event items that have expired, streamlining content management within the widget.
* Feature: Post Grid (Pro) - Added typography option for post tags, allowing users to customize the font style, size, and other typographic attributes.
* Feature: Event List (Pro) - Implemented 'Horizontal Align' option. This new functionality allows users to customize the horizontal alignment of the button, providing enhanced control over the layout within the widget.
* Feature: vCard (Pro) - Introduced option to include social media links in downloadable VCF contact file, enhancing contact information with additional social network profiles for improved connectivity.
* Change: Toggle Text Button (Free) - Upgraded textarea to full functionality editor, providing users with enhanced editing capabilities.
* Change: vCard (Pro) - Updated vCard JavaScript library to the latest version, ensuring compatibility with current standards and latest feature availability.
* Fix: Woo Product List (Free) - Introduced 'Layout Type' option. This new functionality allows users to set the layout as either column or row, providing flexibility in organizing and displaying content within the widget.
* Fix: vCard (Pro) - Resolved issue where QR code was not scanning on some apps.
* Fix: Hotspots (Pro) - Rebuilt JavaScript code for better interaction. Removed unnecessary code to optimize performance and streamline functionality.
* Fix: Sideways Vertical Text (Pro) - Text layout shifting issue on Safari browser.
* Fix: Content Tabs (Free) - Resolved issue with scrolling to the top of the page after tab click. The fix ensures that tab clicks no longer trigger unintended scrolling to the top, providing a smoother user experience.
* Fix: Fullscreen Menu (Free) - Resolved issue with the vertical scrollbar appearing on hover.
* Fix: Testimonial Carousel (Pro) - The issue where styling attributes (size and color) for SVG icons were not taking effect.
* Fix: Content Tabs (Free) - Resolved issue in Content Tabs when Before After widget couldn't function inside tabs. The fix ensures proper functionality, allowing users to utilize the widget as intended.
* Fix: Woo Product Grid (Pro) - Added image HTML attributes to product images.
* Fix: Fullscreen Menu (Free) - Resolved issue where the size of social icons wasn't responding to the option value. The fix ensures that the specified option value now accurately reflects the size of social icons.
* Fix: Counter (Free) - Removed unnecessary space in 'Before Text' and 'After Text' options. This update improves the clarity and presentation of the text by eliminating unnecessary spacing.
* Fix: Content Tabs (Free) - Added support for Elementor Tabs widget. This enhancement ensures seamless integration and compatibility, allowing users to incorporate the widget effortlessly within Elementor Tabs.
* Fix: Fullscreen Menu (Free) - Resolved an issue where incorrect icons were being displayed after selecting a menu item.
* Fix: Woo Mini Cart (Pro) - Improved widget compatibility with optimization plugins like WP Rocket. This update ensures seamless integration, optimizing performance and enhancing the overall user experience when using these plugins.
* Fix: Post Accordion (Free) - Updated post content loading method to resolve the issue where, on some sites, post content was not displaying correctly.
* Fix: Dropdown Field (Pro) - Fixed an issue when Dropdown Field couldn't parse Field Name to Number Field widget.
* Fix: Card Carousel (Free) - Resolved issue where Transition Speed wasn't working for non-default animations. The fix ensures that Transition Speed now functions correctly for all animations, providing consistent and reliable behavior.
* Fix: Unlimited Google Maps (Pro) - Removed default 2px border with blue color from one of the map elements. This update improves the visual presentation by eliminating an unnecessary border.



version 1.5.94: 2024-01-25:

* Feature: added option to message individual fields for the form
* Change: removed instagram blocked api message - the instagram functionality is active now!
* Change: added default values to currency fields
* Fix: fixed small php bug regarding date field in items
* Fix: fixed some small xss vulnurability that pachstack discovered

* Feature: Number Field (Pro) - Introduced 'Enable Date Field in Formula' option. This new functionality enables the use of Date Field in formula by allowing the addition or subtraction of days.
* Feature: Unlimited Charts (Pro) - Introduced 'Remove Items with 0 Value' option. This new functionality automatically excludes items with a value of 0 from charts.
* Feature: WordPress Menu (Free) - Implemented 'Hover Effect' option. This new functionality allows users to choose from a variety of hover link effects, enhancing the visual presentation with dynamic animations.
* Feature: Hotspots (Pro) - Introduced customizable popup positioning, providing users with the option to define the exact position rather than relying on preset center alignment.
* Feature: Event List (Pro) - Introduced 'Event End Date' option, allowing users to display event end date and time.
* Feature: Event List (Pro) - Implemented 'Calendar Horizontal Align' option. This new functionality allows users to customize the horizontal alignment of the calendar, providing better control over its placement within the layout.
* Feature: Product Carousel (Pro) - Introduced functionality to hide navigation arrows automatically when the number of products is less than a specified value.
* Feature: Dropdown Field (Pro) - Introduced 'Multisource' option. This functionality allows users to select the source of checkbox values as posts, products, etc., providing versatile options for integrating diverse content.
* Feature: Checkbox Field (Pro) - Introduced 'Multisource' option. This functionality allows users to select the source of checkbox values as posts, products, etc., providing versatile options for integrating diverse content.
* Feature: Checkbox Field (Pro) - Implemented 'Checkbox Value Handling' options. This new functionality allows users to choose the checkbox value type from options such as sum, individual number, or individual text, providing flexibility in handling checkbox values.
* Feature: Masonry Gallery (Pro) - Introduced 'Title Typography' and 'Description Typography' options. These new functionalities allow users to customize the typography settings for titles and descriptions.
* Feature: Masonry Gallery (Pro) - Implemented 'Tile Background Color' option. This new functionality allows users to customize the background color of tiles, providing enhanced visual control over the widget's appearance.
* Feature: Hotspots (Pro) - Added 'Popup Image Size' option, allowing users to customize the size of popup images.
* Feature: WooCommerce Product Carousel (Pro) - Introduced functionality to hide navigation arrows automatically when the number of products is less than a specified value.
* Feature: Logo Carousel (Pro) - Implemented 'Open Links In New Tab' option. This new functionality allows users to specify whether links should open in a new tab with Source type posts, products, etc.
* Feature: Content Ticker (Pro) - Added Option to add an Image for each ticker item.
* Change: Hotspots (Pro) - Enabled 'Image Size Select' option for the Image, allowing users to choose from different image resolutions for enhanced flexibility and visual customization.
* Change: Icon Carousel (Pro) - Improved 'Item Minimum Height' option by expanding the range of values.
* Fix: Fullscreen Menu (Free) - Improved protection from Elementor sticky section interference.
* Fix: vCard (Pro) - Issue with QR code not displaying when 'Include Image in Contact' is enabled has been resolved.
* Fix: Dropdown Field (Pro) - Resolved issue with 'Field Name' not appearing during email sending. The fix ensures that the field name is now properly displayed in email notifications.
* Fix: Mega Menu (Pro) - Resolved horizontal scroll issue. The fix ensures that the layout no longer experiences unintended horizontal scrolling, providing a more stable and user-friendly experience.
* Fix: Scroll To Top (Free) - Resolved issue where the icon wasn't visible on the frontend. The fix ensures proper visibility of the icon, addressing the bug and improving the overall appearance.
* Fix: Fullscreen Menu (Free) - Resolved issue with the 'Disable Page Scroll' option not working in some cases. The fix ensures consistent functionality, preventing page scrolling as intended.
* Fix: Text Field (Free) - Resolved input width issue. The fix ensures that input elements now display with the correct width.



version 1.5.93: 2024-01-18:

* Feature: Introduced the option 'slider_video_autoplay' to galleries, enabling video autoplay when changing items.
* Feature: Added the option to include specific taxonomies in related posts queries.
* Feature: Implemented automatic recognition of video thumbnail IDs in certain gallery types based on relevant post meta.
* Feature: Added functionality for the price range filter.
* Change: Updated the Freemius version.
* Change: Modified the text format for the export change log.
* Change: Restored the &quot;import with images&quot; feature after incorporating file type checks for security.
* Fix: Enhanced the handling of multiple user records for the 'exclude users' option in the users query (Ajax-based).
* Fix: Corrected URL CSS and JS inclusion issues in Elementor editor.
* Fix: Corrected a bug related to &quot;mini cart widget&quot; in PHP in specific cases.

* Feature - Card Carousel (Free) - Introduced 'Hide Item' option. This new functionality allows users to hide items instead of deleting them permanently, offering a more reversible and flexible approach to item management.
* Feature - Post Grid (Pro) - Implemented 'Layout Type: Above' option. This new functionality allows users to change the position of the content box to above the image.
* Feature - Thumbnail Gallery (Pro) - Introduced 'Video Autoplay' option. This new functionality enables automatic playback of videos each time they become active, enhancing the user experience with seamless video transitions.
* Feature - Compact Gallery (Free) - Introduced 'Video Autoplay' option. This new functionality enables automatic playback of videos each time they become active, enhancing the user experience with seamless video transitions.
* Feature - Grid Gallery (Pro) - Introduced 'Video Autoplay' option. This new functionality enables automatic playback of videos each time they become active, enhancing the user experience with seamless video transitions.
* Feature - Slider Gallery (Free) - Introduced 'Video Autoplay' option. This new functionality enables automatic playback of videos each time they become active, enhancing the user experience with seamless video transitions.
* Feature - Flip Box Carousel (Pro) - Introduced option for back icon alignment, providing users the flexibility to customize the alignment of the back icon.
* Feature - Post List (Free) - Implemented 'Image Scale' option for regular and hover states. This new feature allows users to customize the scaling of images independently for regular and hover states, enhancing visual presentation.
* Change - Flip Box Carousel (Pro) - Implemented conditional rendering of CSS to reduce unused styles, resulting in improved performance, SEO, and faster load times for enhanced user experience.
* Change - Content Accordion (Free) - Improved 'Expand All Accordion' functionality, now allowing users to close the accordion by clicking the same button again for a more intuitive and user-friendly experience.
* Fix - WooCommerce Product Grid (Pro) - Implemented protection against buttons not being vertically aligned in specific cases.
* Fix - Flip Box Carousel (Pro) - Resolved an issue where links were not functioning properly when clicking on the back icon.
* Fix - WooCommerce Product Grid (Pro) - Resolved issue with the product button not being clickable in some cases.
* Fix - Post Carousel (Pro) - Resolved issue with the side-by-side layout.
* Feature - Logo Grid (Free) - Enhanced responsiveness for item 'Padding' option. This update ensures that item padding adjusts effectively across various screen sizes and device resolutions for a consistent layout.
* Feature - Logo Grid (Free) - Implemented 'Direction' option. This new feature is particularly useful for RTL (Right-to-Left) websites, allowing users to specify the direction of the widget's layout for improved compatibility.
* Feature - Content Accordion (Free) - Introduced a new feature that allows the expansion of all accordion items by clicking on an external element with the class &quot;ue-content-accordion-expand-all&quot;.
* Feature - Memory Game (Pro) - Introduced template option for success message, Allowing users to show Elementor template as success message.
* Feature - Memory Game (Pro) - Added 'Completion Time' option, enabling users to show the time it took to complete the game for a more informative and engaging experience.
* Feature - Content Accordion (Free) - Introduced 'Additional Header Content' option in the accordion, allowing users to include additional content after the header title.
* Feature - Post Accordion (Free) - Implemented 'Open Links in New Tab' option. This new functionality allows users to configure links to open in a new tab, enhancing control over the navigation experience.
* Feature - Side Menu (Pro) - Added an option to add a logo to the side menu layout.


version 1.5.92: 2024-01-04:

* Feature: Introduced the change log option in the widget editor.
* Feature: Introduced the ability to connect with Google API for multi-source options.
* Feature: Included an option to link with Google Sheets under the general settings for forms.
* Feature: Integrated a &quot;show globals&quot; feature in troubleshooting for enhanced diagnostics.
* Feature: Implemented the capability to output cart fragments for the woo mini cart.
* Feature: Provided an option for &quot;none&quot; under lightbox-type in galleries, allowing users to disable the lightbox.
* Feature: Added an &quot;excerpt&quot; field to post fields within the widget editor for more detailed posts.
* Fix: Replaced site_url() with home_url() in global variables for better website navigation.
* Fix: Resolved a conflict with another select2 on the admin side, ensuring smoother operations.
* Fix: Rectified an error with multiple order by clauses in post queries to improve data sorting.
* Fix: Enhanced the manual selection of Elementor template retrieval for optimized performance.

* Feature - Content Carousel - Introduced 'Equalize Content Height' option. This new feature simplifies the process of making content elements equal in each item.
* Feature - Flip Box Carousel - Enhanced responsiveness for Border Radius option. The update ensures that the Border Radius adapts effectively to different screen sizes and device resolutions for a consistent display.
* Feature - WooCommerce Product Carousel -  Resolved broken layout issue occurring when set to side-by-side layout
* Feature - Phone Field - Feature - Introduced 'Placeholder' option, allowing users to set placeholder text for improved user experience and clearer input guidance.
* Feature - Textarea Field - Feature - Introduced 'Placeholder' option, allowing users to set placeholder text for improved user experience and clearer input guidance.
* Feature - Email Field - Feature - Introduced 'Placeholder' option, allowing users to set placeholder text for improved user experience and clearer input guidance.
* Feature - Text Field - Feature - Introduced 'Placeholder' option, allowing users to set placeholder text for improved user experience and clearer input guidance.
* Feature - Testimonial Carousel - Implemented 'Layout Type: Grid' option. This new functionality facilitates the transformation of the widget's layout into a simple grid.
* Feature - Testimonial Carousel - Introduced 'Layout Type: Swipe' option. This new feature allows users to set the behavior of the widget, resembling the functionality found in Swipe Carousel widget.
* Feature - Flip Box Carousel - Introduced 'Disable Mouse Drag' and 'Disable Touch Drag' options in Flip Box Carousel settings, offering control over user interaction by allowing the disabling of dragging functionalities.
* Feature - Team Member Grid - Introduced 'Badge' option, allowing users to include custom badge images or icons for enhanced member representation.
* Feature - Thumbnail Slider - Implemented responsiveness for 'Slider Main Image Height' option.
* Feature - Thumbnail Slider - Optimized 'Slider Main Image Height' functionality to prevent widget reloading upon value change.
* Change - Thumbnail Slider - Changed attribute of 'Slider Main Image Height' option from Number to Slider. This adjustment simplifies the process of adjusting the height of the main image by providing a more intuitive control.
* Fix - Submit Button - Improved interaction within Multi Step Form widget. Enhancements have been made to streamline and optimize the submit action.
* Feature - Multi Step Form - Implemented form submission loader. This new addition introduces a visual loader to illustrate the process of sending form data, enhancing user feedback during form submission.
* Feature - WooCommerce Product List - Introduced 'Default Image' option. The widget will now display the specified default image when a product image is empty, for a more personalized user experience.


version 1.5.91: 2023-12-28:

* Change: removed some vulnerability related to templates import


version 1.5.90: 2023-12-18:

* Fix: fixed some small bug with pro version main file


version 1.5.89: 2023-12-17:

* Fix: fixed some post filters detection issues on the page
* Fix: fixed some &quot;$type not found&quot; message in php
* Fix: fixed some &quot;infinite template found: &quot; message in php (emtpy template load protection)
* Change: added instagram api access error message
* Change: removed &quot;import with images&quot; functionality. replaced by doubly plugin.


version 1.5.88: 2023-12-11:

* Feature: added &quot;iframe&quot; gallery type to the gallery items
* Fix: fixed the &quot;show/hide edit html button&quot; option from general settings
* Fix: fixed the general_settings.xml php error
* Fix: fixed some issue with gallery loading on pages and current meta keys
* Fix: fixed default value in datetime control
* Change: added some improvements for the form 
* Change: set video placeholder to dynamic galleries in case of video item


version 1.5.87: 2023-11-21:

* Change: updated freemius sdk to 2.6.0 version
* Change: added some protection against double background widgets output
* Feature: enabled form functionality
* Feature: enabled currency exchange functionality


version 1.5.85: 2023-11-15

* Feature: added woo_addcart_ajax_attributes_button in twig for the button
* Feature: added option to show original settings values in widget debug
* Feature: added troubleshooting setting not to show php deprecated warnings
* Fix: better prepare post custom fields for the post multisource
* Fix: links from meta field works now
* Fix: fixed the ob_end_clean bug
* Fix: in post query - excluded posts not in from posts in
* Fix: fixed a small bug in the unite gallery library
* Change: updated twig version to 3.x
* Change: updated instagram data with date released field


version 1.5.85: 2023-09-20

* Fix: fixed a small bug with multisource image param message


version 1.5.84: 2023-09-20

* Feature: added twig function csv to json
* Feature: changed the admin view to new design (added designed header and menu)
* Feature: added option to enable animation on swipe to owl carousel js
* Feature: added woo mini cart functionality
* Feature: added option: &quot;current query as a base&quot; to post selection -&gt; include by

* Fix: added support for webp in the manager
* Fix: allow fetching images from media library post type for the galleries 



version 1.5.83: 2023-08-22

* Fix: don't show first item in filter when no terms available
* Change: updated calculators javascript code base


version 1.5.82: 2023-08-16

* Feature: added option for group filtering widgets
* Feature: solved the video play in gallery type from attachment video
* Change: turned off the video icon for background attribute
* Fix: fixed dynamic template with avoid duplicates
* Fix: fixed gallery widget acf video item error
* Fix: fixed some sort filter bugs with the default selected


version 1.5.81:  2023-08-10

* Fix: fixed some missing css in the dynamic loop widgets
* Fix: fixed some child filters related bug
* Fix: fixed order by price in current query
* Fix: fixed some php 8.16+ version notices 
* Feature: added option to print the term meta



version 1.5.80:  2023-08-07

* Feature: added option to get &quot;all taxonomy terms&quot; from a post 
* Feature: added html preperations for the woocommerce minicart
* Feature: added &quot;this week&quot; to the date selection query
* Feature: added &quot;grouping&quot; mode in the &quot;related posts&quot;
* Fix: the pagination now works on top of the grid
* Fix: fixed some init ajax filters multiple issues
* Fix: fixed the error with the assets path set


version 1.5.79:  2023-07-24

* Fix: changed name for area-label to aria-label
* Fix: in filters - refresh single filter if &quot;all&quot; selected and there are hidden items
* Fix: changed protection against inifnite loop to 200
* Fix: show child filters at start if there are selected items
* Fix: date time attribute processor - if no date given - don't take current time
* Fix: refresh child filter if main filter selected on init
* Fix: dynamic popup was not worked with multisource in some cases


version 1.5.78: 2023-07-16

* Fix: fixed show filters load more
* Fix: fixed multisource repeater empty


version 1.5.77: 2023-07-13

* Fix: fixed dropzone collision in widget editor view
* Fix: fixed sort filter price filtering
* Fix: fixed max number in addons db table. from &quot;int&quot; to &quot;bigint&quot;
* Fix: replaced some deprecated by elementor codes


version 1.5.76: 2023-07-12

* Feature: added &quot;rem&quot; unit in slider attribute
* Fix: fixed some small bug with remote sync debug
* Fix: fixed the truncate in multisource
* Fix: fixed some small bugs related to remote controls
* Fix: fixed dropzon third party conflict in manager


version 1.5.75: 2023-07-05

* Feature: added some suggestion text to add some memory in the troubleshooting section in case that needed
* Fix: the wrong author was displayed in loop post meta data
* Fix: do_shortcode to html items inside the grid and dynamic loop
* Update: Updated Freemius SDK to the latest version


version 1.5.74: 2023-07-04

* Fix: show search widgets at plugin install.
* Fix: menu picker depts in multisource
* Fix: set the author data to be retrievable in dynamic grid template
* Fix: show meta fields switcher didn't worked in multisource menu items


version 1.5.73: 2023-06-26

* Feature: added options for revisions in widget editor
* Fix: added support for wordpress proxy in api calling
* Fix: fixed empty post in query result
* Fix: fixed &quot;wrong template ID&quot; elementor error in post accordion


version 1.5.72: 2023-06-21

* Fix: added the swf extension in the allowed files in assets
* Feature: prepared the plugin for sort filter
* Change: updated freemius sdk to 2.5.9


version 1.5.71: 2023-06-20

* Change: removed js includes of the forms and filters from backend editor
* Change: changed colors of the free version notification in dark mode
* Fix: fix the &quot;link&quot; type in wpml integration automatic translation
* Feature: add support for the conditions in ue forms


version 1.5.70 2023-06-19:

* Change: added some &quot;birthday sale&quot; banner
* Feature: added &quot;truncate text&quot; modifier to multisource fields
* Feature: dynamic tags now works inside posts and products related widgets
* Feature: added twig highlighting in codemirror editor
* Fix: fixed sequence animation sliders bug (fields didn't loaded in elementor)
* Fix: change the comment from // to /* */ in filters js output to allow proper page compression.
* Fix: the &quot;time ago&quot; string is now translatable 
* Fix: fixed the wpml elementor template id output
* Fix: fixed backgrounds bug with containers in editor
* Fix: fixed some small bugs with the checkbox filter



version 1.5.69: 2023-06-08:

* Fix: allow to install webp images in widgets


version 1.5.68: 2023-06-06:

* Change: added functionality for sort filter 
* Feature: added field: &quot;form conditions&quot; for the upcoming form
* Feature: added link translation to wpml integration
* Feature: added link_attributes field to post list fields in twig
* Fix: fixed slider control min max values in case of multiple units
* Fix: add do shortcode from ajax items response
* Fix: fixed posts grid output with &quot;product&quot; taxonomy without woocommerce
* Fix: fixed getting cross sell products query in product list



version 1.5.67 - 2023-05-29:

* Fix: fixed some more securaty issues related to assets manager

version 1.5.66 - 2023-05-28:

* Fix:  fixed some securaty issues related to non editor users operations and not allowed to upload php files in assets manager


version 1.5.65 - 2023-05-26:

* Fix: fixed instagram api related bugs 


version 1.5.64 2023-05-23:

* Change: update freemius to latest version 2.5.8
* Fix: fixed a small php bug


version 1.5.63 2023-05-23:

* Change: expand in widget editor is now connected to the screen height
* Fix: fixed the dynamic popup with multiple fields code 
* Fix: fixed some sync if the clicked item is link
* Feature: added support for sort post filter
* Feature: hide &quot;show only insalled&quot; checkbox in widgets manager if no widget installed.


version 1.5.62 2023-05-14:

* Feature: added &quot;edit template&quot; link in template selector
* Feature: added hidden template edit button to top bar
* Feature: added option for dynamic popup link to connect to many links in the widget
* Fix: solved some php error with parse dynamic settings in php 8.1
* Fix: getMetaValue error in products
* Fix: fixed doubly css includes in some cases


version 1.5.61 - 2023-05-07:

* Feature: added support for woocommerce jet wishlist
* Feature: did option to disable third party hooks in ajax
* Fix: click on link on sync didn't worked
* Fix: added some protections to nonce and to file manager zip exctract (securaty issues fix) 
* Change: updated freemius sdk to 2.5.7 version.



version 1.5.60 - 2023-04-30:

* Feature: added functionality to get cart number of products 
* Fix: fixed link field settings for multisoure
* Fix: fixed some bugs with regular price in woocommerce widgets
* Fix: filters js file loaded in editor as well
* Fix: fixed some small php bug regarding &quot;pathBase&quot;
* Fix: fixed conditions in multiple select control
* Change: updated unite gallery version
* Change: disabled autoload in update_option for the catalog variable


version 1.5.59: 2023-04-09

* Feature: added multiple select to condition attributes in widget editor
* Change: updated freemius sdk to the latest version
* Fix: fixed empty post meta fields in case that acf plugin is on
* Fix: fixed some bug with avoid duplicates option and filters in single grid
* Fix: made some corrections in case that post query show wrong init selected terms values
* Fix: the post carousel goes to random item after ajax refresh
* Fix: fixed jet engine custom fields integration


version 1.5.58: 2023-03-26

* Feature: added dynamic popup functionality to multisource widgets
* Fix: fixed missing arguments in the_post action
* Fix: fixed some php multisource error
* Fix: fixed some product ajax search related issues
* Fix: fixed some small but with ajax refresh and sync


version 1.5.57: 2023-03-20

* Feature: improved the multisource selectors
* Feature: added option to get image from post meta in post fields - widget editor
* Fix: added &quot;skins&quot; folder to unite gallery
* Fix: added more compatability to woo commerce grids with discounts plugins
* Fix: fixed same uc_id in dynamic templates


version 1.5.56: 2023-03-13:

* Feature: added option authors by dynamic field in post query
* Feature: done some integration with flycart discounts
* Feature: added option to show post type and post type title in posts fields
* Feature: added option to add multiple values in multisource
* Fix: fixed get posts by terms meta field - add taxonomy
* Fix: fixed responsive css in dynamic loop
* Fix: fixed dynamic loop with jet engine acf fields
* Fix: fixed slider control units for vh, vx and % 
* Fix: added &quot;before today&quot; for past year in date qury
* Change: the uc_id will not change now when page refresh



version 1.5.55: 2023-02-23:

* Fix: fixed wpml integrate fields
* Fix: fixed some write file error, will not crash if happend
* Fix: fixed entrance animation js on popup
* Fix: fixed strip tags in intro from content
* Fix: fixed some php 8.1 issues
* Fix: fixed some post intro with html tags issues
* Change: do_action function is working now in free version


version 1.5.54: 2023-02-15

* Change: added some define variable that indicate the under ajax search
* Change: added &quot;collect&quot;, and &quot;output&quot; to schema types in content accordion widget for example
* Feature: added wpml auto translate integration
* Feature: added option to select &quot;all taxonomies&quot; in exclude terms in terms selection
* Feature: added option - only direct children to terms select include by
* Feature: added option to post select to get posts by terms from curent meta field
* Fix: preserve tags when truncate
* Fix: fixed load more with second meta add in post query


version 1.5.53: 2023-02-07

* Fix: keep exclude terms in grid when filtering with &quot;override terms&quot; mode
* Fix: fixed get_terms() not found php error from 1.5.52 version


version 1.5.52: 2023-02-06

* Change: done some protection agains infinite loops in templates
* Fix: fixed popup button type conditions
* Fix: fixed term meta fields in multisource
* Fix: fixed exclude term not found in post select

version 1.5.51: 2023-01-31

* Feature: added version to js comment output
* Feature: connected the galleies to remote play / stop like the carousels
* Feature: added some error message when image size attribute is missing in multisource
* Feature: added dynamic popup special attribute type
* Fix: fixed title source and description source in multisource gallery for products.
* Fix: added supress filtres to ajax search query


version 1.5.50: 2023-01-24

* Feature: added &quot;media&quot; to post types select in advanced post query
* Feature: improved the date time attribute


version 1.5.49: 2023-01-23

* Fix: fixed some js optimization issues 
* Fix: fixed filters related small js bug


version 1.5.48: 2023-01-19

* Feature: added gallery to multisource
* Feature: added post type override selectin current post query options
* Fix: fixed remote play with carousel
* Fix: fixed some multisource and ajax related bugs
* Fix: fixed popular posts plugin integration multiple post types
* Fix: fixed background widgets some problematic attribute names
* Fix: fixed include terms by current post terms in some cases.
* Fix: fixed default url_assets value in multisoure
* Fix: fixed dark mode svg icons


version 1.5.47: 2023-01-10

* Feature: added more units to slider attribute
* Feature: added &quot;any&quot; post type to post types select
* Feature: added include and exclude current post terms in terms selection
* Feature: added option to carousel - scroll to head - force
* Feature: allow import widgets with theme activate
* Fix: fixed dynamic template render css for dynamic popup
* Fix: fixed users list select by manual


version 1.5.46: 2023-01-08

* Feature: set the items image size chooser work for certain image
* Feature: made option to put js script in saparate tags with id's for optimization plugins like wprocket
* Feature: enriched the uc_lang variable. now it's always showing the current language
* Feature: added user_login variable to the users list output
* Feature: has put the preview link always as a help link in widget edit panel.
* Change: updated the multisource that it works better with items images
* Change: allow html tags in post intro (excerpt) in widgets
* Fix: fixed filters with sync multiple grid issues
* Fix: fixed the exclude users list with similar names


version 1.5.45: 2022-12-26

* Feature: added json decode filter to twig
* Feature: added catalog images from shortpixel for speed loading
* Feature: done multisource group setting
* Fix: fixed entrance animation on ajax refresh
* Fix: done sync pause / play between carousels


version 1.5.44: 2022-12-19

* Change: updated freemius to the latest version
* Fix: fixed remote play / pause button
* Fix: fixed search filter unicode phrase
* Fix: fixed entrance animation appear on scroll
* Feature: added video gallery responsive options
* Fix: fixed some owl carousel size on init bug
* Fix: fixed js widgets under the dynamic grid template like flipbox



version 1.5.43: 2022-12-04

* Feature: add settings output to dynamic grid fields debug
* Fix: fixed pods multiple image data
* Fix: fixed url terms in filter with dynamic grid
* Fix: fixed users and menu not found bug in front	
* Change: updated twig engine to the latest version


version 1.5.42: 2022-11-29

* Feature: added functionality for time ago in posts widgets
* Feature: added woo variables to woo fields - woo_price_withtax, woo_price_notax
* Feature: added option for term child filter role
-optimization: reduced number of queries in post related widgets


version 1.5.41: 2022-11-24

-bug fix: fixed post select in post query


version 1.5.40: 2022-11-23

* Feature: added integration to woocommerce multicourancy plugins
* Feature: made some integration with translate press plugin
* Feature: added select post and select term attribute
* Fix: fixed dynamic loop css backgrounds with containers
* Fix: fixed mousewheel event in the carousel
* Fix: fixed some rare php error with filters


version 1.5.39: 2022-11-16

* Fix: fixed small bug with zip extract
* Update: updated black friday sale banners



version 1.5.38: 2022-11-10

* Fix: fixed galleries default sizes with post filters
* Fix: fixed hidden option in select filter in safari browser
* Fix: fixed non ssl assets url
* Feature: added &quot;schema&quot; special attribute
* Fix: fixed false autoplay in carousel


version 1.5.37: 2022-11-09

* Fix: fixed 1px glitch bug in the carousel, on 1 item (slide mode)
* Feature: prepared the filters to work with ajax search


version 1.5.36: 2022-11-6

* Feature: added function that outputs items schema
* Feature: improved include by meta in posts selection, added option for multiple values
* Feature: added option to get current user with meta in twig
* Addition: validate number of post list attributes, allow only one when creating widget
* Fix: fixed count posts in post query summary
* Fix: fixed entrance animation blur type
* Fix: fixed avoid duplicates with random order while posts load more
* Fix: the timeout now reset after slide change in owl carousel
* Fix: fixed terms selection taxonomies with idetical post type title
* Fix: added protection against inifinite loop in putElementorTemplate twig function
* Fix: fixed acf field unaccessable in some cases with elementor pro 3.8


version 1.5.35: 2022-10-24

-Fix: fixed include by id's from dynamic field, and terms from dynamic field in post selection


version 1.5.34: 2022-10-19

* Feature: added items image size attribute (special type)
* Fix: fixed show backgrounds in elementor editor


version 1.5.33: 2022-10-15 

* Fix: fixed avoid duplicates with filters
* Fix: fixed select dropdown filter js
* Feature: added avoid duplicates option to manual posts selection



version 1.5.32: 2022-10-11

* Fix: fixed some ajax pagination issues
* Fix: fixed pagination widget appearance on archive ajax pages with filters
* Fix: added twig functionality to put product attributes text
* Fix: fixed export with images not worked in some cases
* Fix: made some protection with ezcache plugin integration and filtering
* Fix: fixed some small php bug with this month post selection
* Fix: fixed some visible and hidden filters collision
* Fix: fixed terms select in terms filter on history back click in filters
* Fix: set child filter always first unselected
* Fix: set option for the tabs filter to be unselected
* Fix: fixed the pagination numbers if exclude offset chosen

* Feature: added multiple taxonomy terms in term selection
* Feature: added query id in terms selection
* Feature: added functionality for next / prev post



version 1.5.31: 2022-09-20

* Fix: fixed thumbs gallery


version 1.5.30: 2022-09-18


* Fix: fixed multiple post filters and grid connection
* Fix: fixed various small php errors
* Fix: fixed wordpress popular posts integration small bug
* Feature: added terms from dynamic post selection option
* Feature: added option for limiting terms show in post list
* Change: updated once more unitegallery graphics, changed assets to svg
* Fix: fixed thumbnail gallery arrows


version 1.5.29: 2022-09-08

* Fix: fixed a small issue with search page and load more
* Fix: fix vimeo videos stoppped playing bug


version 1.5.28: 2022-09-06

* Feature: added support for the select filter
* Fix: fixed some small js bug with filters
* Fix: fixed some post filters related popup error
* Change: changed the way that galleries srolls by mouseover


version 1.5.27: 2022-09-02

* Fix: fixed popular posts plugin integration
* Fix: removed some console logs in filter.js file
* Fix: fixed ajax pagination jump
* Fix: fixed unitegallery strict standards bugs
* Change: renamed field - &quot;use dynamic fields&quot; to &quot;use current post data&quot; in widget editor
* Change: updated freemius sdk to: 2.4.5


version 1.5.26: 2022-08-17

* Feature: added debug to remote elements
* Fix: made some protection against wrong animation names in carousel
* Fix: added some small fixes to carousel and remote sync js libraries
* Fix: done a better find closest section in remote
* Fix: fixed not showing values in elementor editor post selectors


version 1.5.25: 2022-08-11

* Feature: added option to set title field in items
* Fix: fixed some more lazy load related protections in galleries
* Fix: Fixed some Elementor 3.7 deprecation issues


version 1.5.24:  2022-08-09

* Fix: fixed some Elementor 3.7 related js bug in editor


version 1.5.23:  2022-08-05

* Feature: added date format to date meta field post selection
* Feature: added more units to padding and margin attribute
* Feature: added option to set selected tab number in tabs filter widget
* Fix: fixed some unitegallery strict related scripts
* Fix: fixed sequance entrance animation attribute
* Fix: fixed some text with pagination edit mode in elementor editor
* Fix: fixed ajax pagination didn't get back to first page
* Fix: fixed tabs filter and taxonomy terms in one page
* Change: prepare the right way dates should work in post list


version 1.5.22:  2022-07-24:

* Feature: added option to connect to another parent in remote arrows
* Feature: added change url and back button in ajax filers behaviour
* Fix: fixed doubly plugin integration import bg widgets
* Fix: fixed remote next/prev directions in carousels
* Fix: added some more protection against infinite loops from post content processing


version 1.5.21 2022-07-17:

* Feature: added docstart and docend template in widget js
* Change: end of birthday sale message update
* Change: added warning message in case of twig collision with other plugins


version 1.5.20 2022-07-13:

* Feature: added more widget debug type - current post fields
* Feature: updated admin title on edit widget view
* Feature: added option to carousel: scroll to head
* Feature: added query data attributes into filtering grid
* Fix: fixed ajax pagination in some cases
* Fix: fixed small php bug with hover animations control
* Fix: fixed lity lightbox with vimeo autoplay
* Fix: fixed item index after shuffle
* Fix: fixed some seleted tab filters related issues
* Fix: fixed load more filter doubly ajax request in some cases
* Fix: fixed woo scedualed sale price output
* Fix: in filters replace url with pagination as well
* Fix: changed gallery arrows to svg


version 1.5.19 2022-06-27:

* Feature: added max posts to current query
* Fix: fixed controls conditions for elementor template control
* Feature: added more fields to dynamic grid loop (was only title)
* Change: added birthday sale banner and text


version 1.5.17 2022-06-21:

* Change: updated fancybox version
* Fix: Fixed bug with ajax load more and ajax pagination


version 1.5.17 2022-06-09:

* Feature: fixed entrance animation attribute
* Fix: fixed uc_inside_editor variable inside background widget
* Fix: fixed empty default value of radio boolean control
* Fix: fixed double filtering issues in archive pages



version 1.5.16: 2022-05-31

* Fix: fixed double plugin versions in pro version
* Fix: fixed 1 size gap in one item owl carousel
* Fix: fixed the dissapearing options bug in mobile


version 1.5.15: 2022-05-30

* Change: set cache folder inside wp-uploads
* Feature: added option to get terms last level only - for post list / grid
* Feature: added twig function - get_current_user
* Feature: disabled right click on html5 galleries (unite gallery)
* Fix: the image and video repeater was missing default items
* Fix: fixed load more and filters on a search page
* Fix: fixed carousel stage padding issues
* Fix: fixed carousel 1 item one pixel issues
* Fix: fixed default values in responsive selectors


version 1.5.14: 2022-05-24

* Fix: fixed responsive default values with selectors in number and dropdown and slider controls
* Fix: fixed a bug in run_code_once functionality


version 1.5.13: 2022-05-23


* Feature: added integration with &quot;sticky posts switch&quot; plugin
* Feature: added special attribute type - entrance animation

* Fix: fixed sync bug between two similar elements
* Fix: fixed filters loading with wp-rocket lazy load scripts
* Fix: fixed put_hide_ids_css function small bug
* Fix: fixed fetch 2 and more widgets within one section for filtering
* Fix: fixed slider control js empty output bug
* Fix: fixed gallery title as number js bug
* Fix: fixed gallery images from meta fields source as array 



version 1.5.12: 2022-05-08

* Feature: added integration for wpml media change
* Feature: bug fix: fixed hover animations setting don't work on front in some cases
* Feature: in post selection by date added options for &quot;future from today&quot;, and &quot;future from tomorrow&quot;.
* Feature: added new function: &quot;put_hide_ids_css&quot; to hide some css comma saparated id's from css tab.
* Feature: added support for ajax refresh for multiple synced grids together
* Feature: added option to test instagram data
* Feature: added phpinfo view in settings - troubleshooting 

* Fix: fixed blank window opened by a link
* Fix: fixed acf boolean value present
* Fix: fixed another gallery related lazy load issues



version 1.5.11: 2022-04-13

* Feature: made option to put elementor post_content inside post widget if the post made by elementor
* Feature: added additional fields to getPostAuthor function like avatar url and author meta
* Feature: show the &quot;no posts&quot; message with filters in post list / grid
* Feature: add background location (back/front) to background widgets
* Feature: done option to get post parent with the posts in posts selection
* Fix: set prices display in woocommerce widgets including tax
* Fix: fixed editor js files didn't loaded bug
* Fix: fixed css output with dynamic template and inline css mode
* Fix: fixed the ajax pagination that now works with post based gallery widget
* Fix: fixed filters scripts loading before jquery in js
* Fix: allow to select empty terms in term selection control
* Change: set default values of responsive number / slider / dropdown controls to desktop default values


version 1.5.10: 2022-04-04

* Fix: fixed title and description source in gallery source selection
* Fix: fixed the dropdown attribute php filter for elementor
* Feature: added &quot;menu_id&quot; for various uses as menu attribute output
* Feature: added option for side offset in owl carousel
* Feature: added option for second items html refresh in ajax filters


version 1.5.9: 2022-03-27

* Fix: fixed simple meta output for post list
* Feature: made dynamic grid work with filters
* Feature: the background widgets works for the new container objects as well
* Feature: added include by another meta field in post query


version 1.5.8: 2022-03-23

* Feature: set special behaviour for more then one filters on the page
* Feature: added option to load video item from posts in a gallery
* Change: set up galleries common default items
* Fix: fixed unclosable gallery lightbox with youtube videos
* Fix: fixed elementor 3.6.0 compatability


version 1.5.7: 2022-03-17

* Feature: added option to modify dropdown items in php
Fix: fixed gallery default items preview and init
Fix: fixed remote counter js error


version 1.5.6 =  2022-03-15:

Fix: fixed dissapearing items in remote related widgets


version 1.5.5 =  2022-03-15:

* Feature: added woocommerce sorting options in posts selection by number of sales and rating
* Feature: added option to get related products on checkout page
* Feature: done manual posts and terms selections sort by drag and drop
* Feature: done option to custom refresh filters html (for carousels, galleries etc)
* Feature: made the attributes dialog support multi controls
* Feature: prepared the galleries and dynamic loops to use filters and load more
Fix: fixed query debug in manual posts selection
Fix: fix: fixed posts_per_page in manual posts selection
Fix: fix: fixed jquery include for remote widgets


version 1.5.4 =  2022-03-06:

* Feature: added roles to post filter: single, main and child
* Feature: added option &quot;placeholder&quot; and &quot;disable dynamic&quot; for text field control
* Feature: added option for debug meta fields in post list, post grid
* Fix: fixed some pagination widget buttons related issues
* Fix: fixed non clickable items in some widgets
* Fix: fixed put_items(0) - first item output in twig


version 1.5.3 =  2022-02-23:

* Feature: added functionality to put image inside taxonomy terms widget
* Fix: fixed load more on archive page with orderby=xxx filter in url
* Fix: made support for woocommerce special order by in load more
* Change: updated freemius sdk to 2.4.3 version (Security fix)


version 1.5.2 =  2022-02-23:

* Feature: set up remote and sync functionality for the galleries
* Fix: fixed load more for current query posts
* Fix: fixed background js based widgets with elementor popups
* Fix: fixed unitegallery unclosed tag issue
* Fix: fixed replace mode in tabs filters


version 1.5.1 =	2022-02-21:

* Feature: improved post pagination debug and added force options
* Feature: added code for the button filters
* Feature: added option to shuffle owl carousel
* Feature: added option for general &quot;shuffle&quot; in items
* Feature: made option for text modify, and get the current page url and current page title
* Feature: get feature image of a product from a first gallery image if featured image not exists
* Feature: added function &quot;one_random&quot; and &quot;first&quot; to get_items twig function
* Feature: added support for jet listing item
* Change: changed the &quot;choose template&quot; setting text to attirbute title
* Fix: fixed load more if offset turned on in the grid
* Fix: fixed link control attributes parsing
* Fix: fixed sync general api related bugs in elementor editor



version 1.5.0 =  2022-02-02:

* Feature: added tabs in items controls
* Feature: added functionality for ajax taxonomies terms filter
* Feature: added some accessability to owl carousel buttons


version 1.4.99:  2022-01-27:

* Feature: added option for disable content filtering in general settings-&gt;troubleshooting
* Feature: added taxonomies in widget debug output
* Fix: fixed some gallery lazy load related js bugs


version 1.4.98:	 2022-01-14:

* Feature: modified remote general js api to fit more types of widgets
* Feature: added support for put meta field in post list
* Fix: fixed some small php notices output in post query


version 1.4.97 = 2022-01-06:

* Feature: add code base for the taxonomy filter
* Feature: added option to highlight all carousel items
* Feature: added active class to new owl carousel
* Feature: added scroll on click functionality to new owl carousel
* Fix: added support for acf fields styles in dynamic grid
* Fix: fixed some wp-rocket and filters related bug


version 1.4.96 = 2021-12-29:

* Feature: use yoast main category feature to determine post main category
* Feature: added get woocommerce product gallery functionality to twig
* Feature: added support for multiple attribute conditoins values
* Feature: added menu order in advanced widget debug type
* Feature: added WooCommerce endpoints links code to twig
* Feature: added option to disable font awesome in general settings
* Fix: fixed some filters related issue
* Fix: added custom attributes to link attributes output


version 1.4.95 = 2021-12-16:

*Fix: fixed db table not found php bug in some cases


version 1.4.94 = 2021-12-14:

* Feature: made posible multiple includes condition values per assets
* Feature: added meta value2 and meta value3 in include by meta value post selection
* Feature: added error notice if no api connectivity
* Feature: added attributes section conditions
* Feature: prepared code base for the new galleries
* Fix: fixed some small pagination related bug
* Fix: fixed remote connection parent detection in some cases
* Fix: added content filtering by filter widget_text_content for all the embed and other content modifications
* Fix: fixed edit defaulsin widget settings
* Fix: fixed some polylang issues with the template in dynamic template widgets
* Fix: [security] remove the &quot;duplicate layout&quot; functionality (not used in the plugin) that had some security issues 


version 1.4.93 = 2021-12-03:


* Fix: fixed some connected widgets bugs when there is many of them in the page
* Change: removed the black friday sale banner
* Feature: added general remote API for various widgets connections
* Feature: add some code base for the new gallery output


version 1.4.92 = 2021-11-24:

* Fix: fixed similar post content in post list
* Change: saparated remote and sync options in connected widgets settings


version 1.4.91 = 2021-11-23:

* Fix: fixed the wrong post intro in editor mode


version 1.4.90 = 2021-11-22:

* Addition: added black friday banner discount banner and link
* Change: improved &quot;sync widgets&quot; editor experience
* Fix: fixed depricated &quot;post&quot; attribute bug
* Fix: modified zip extracting error messages


version 1.4.89 = 2021-11-17:

* Feature: done the functionality for sync widgets
* Feature: done the functionality remote widgets
* Fix:  fixed error message on remote widgets
* Fix:  fixed css in post content in editor
* Fix:  use better strip tags for post intro


version 1.4.88 = 2021-11-08:

* Fix: fixed gutenberg support in widgets
* Fix: fixed all the pagination issues in archive page


version 1.4.86 = 2021-11-01:

* Fix: fixed some load more last issues
* Feature: added code for taxonomy terms filter
* Feature: added code for checkbox filter


version 1.4.86 = 2021-10-29:

* Feature: improved current query debug - full type
* Feature: added dropdown responsive placeholders
* Feature: added radio boolean attribute responsive controls

* Fix: fixed controls tabs functionality
* Fix: fixed load more custom image bug
* Fix: fixed double load more in a page mishmash bug
* Fix: fixed all load more issues


version 1.4.85 = 2021-10-13:

-bug fix: small bug fix - headers sent bug

version 1.4.84 = 2021-10-13:

* Feature: added taxonomy terms full query debug option
* Feature: improved full debug type in posts query
* Feature: added items support in editor-&gt;background switcher
* Feature: added support for remote controls
* Feature: functionality to posts load more
* Feature: added second condition
* Feature: added tabs functionality to attributes
* Addition: added %,px to slider units
* Fix: fixed avoid duplicates related bug
* Fix: fixed conflicting wordpress codemirror script
* Fix: fixed post selection values init from editor
* Fix: fixed pagination on front page
* Fix: fixed some polylang related bugs


version 1.4.83 = 2021-09-22:

* Fix: fixed styles mishmash inside elementor editor navigator
* Fix: fixed dissapearing carousels after refresh bug
* Fix: fixed dynamic grid pagination not changed


version 1.4.82 = 2021-09-20:

* Feature: added troubleshooting setting - show php error message
* Feature: added px, vh, % options for slider attribute
* Feature: added dynamic group attributes for galleries, including image and video
* Feature: added option to convert one date string to another with ucdate filter
* Feature: added option to use items in background widgets
* Feature: added ucfunc(&quot;set&quot;) and ucfunc(&quot;get&quot;) functions in twig for remember and retrieve variables
* Feature: added include by option: &quot;children of current term&quot; to category selection options
* Feature: added option to pull woo product variations in twig
* Feature: added placeholder: link_withprefix, link_noprefix for link attribute
* Fix: fixed error when exists dynamic link in dynamic loop widgets
* Fix: enabled pagination in a single type in dynamic template grid
* Fix: the &quot;not equal&quot; attributes condition now works
* Fix: fixed not editable empty dropdown attribute in widget editor
* Fix: fixed mb_string absence php bug
* Fix: fixed heading attribute label
* Fix: fixed responsive elementor controls in widget items



version 1.4.81 = 2021-08-17:

* Feature: added json select (lottie) for image attribute type 
* Feature: made option for ajax in widgets with post list attribute
* Feature: made the ajax pagination work with pagination widget
* Feature: added dynamic options for number and slider attribute types
* Feature: added new owl carousel sources in assets chooser
* Feature: added heading attribute
* Change: added more types of debug for pagination widget
* Change: changed widget icons chooser for elementor icon instead of font awesome icon
* Fix: fixed import with template button dissapear in the new bar
* Fix: fixed widgets icons


version 1.4.80 = 2021-08-09:

* Feature: added option to change items section label
* Feature: added js snippet with code that works in elementor popup
* Feature: added option to add {current_user_id} keyword in post meta query
* Feature: added option for block label inside each attribute
* Feature: added heading text option for items section
* Feature: added extra fields to image base gallery options
* Feature: added php filter option for variable
* Feature: added twig functions &quot;get_post_term&quot; and &quot;is_post_has_term&quot;. The examples visible when you click on item.posts.putPostTerm placeholder
* Fix: fixed some test widgets output relate bugs
* Fix: conditions settings was not affected typography controls
* Fix: fixed template dynamic background image didn't displayed bug in dynamic loops
* Change: added some instructions for api connectivity test in general settings - troubleshooting


version 1.4.79 = 2021-07-13

* Fix: fixed scripts output in preview widget page


version 1.4.78 = 2021-07-12

* Change:  added birthday sale promotions
* Feature: added woo commerce products to dynamic loop items source


version 1.4.77 = 2021-07-07

* Fix: fixd the is_ajax() error function from the admin area


version 1.4.76 = 2021-07-07

* Feature: added option to show post last modified date
* Feature: added function: get_from_sql in widget editor that allow to pull any custom records from DB
* Feature: added function: run_code_once in widget editor, that allow to run the code only once. Good for many similar widgets on the same page
* Feature: added option for load widget js as module
* Fix: fixed no key_thumb field in images inside widget
* Fix: fixed no condition in image sizes widget setting
* Fix: fixed javascript based backgrounds
* Fix: fixed brocken svg icon on catalog widget box in some of the cases
* Fix: fixed collision with rankmath in ajax actions
* Change: added some max length for a widget category, now it's 60


version 1.4.75 = 2021-06-21

* Feature: added category image to products list
* Feature: added option to include as module widget js include
* Feature: added option to write custom handle to widget js and css include
* Feature: added options - avoid duplicate posts to post query exclude
* Feature: added option to include or exclude posts by dynamic field to posts selection
* Feature: added option to include or exclude posts by logged in user, in posts selection
* Fix: fixed background widget condition functionality
* Fix: changed template picker to simple select2 list


version 1.4.74 = 2021-06-02

* Feature: added function put_date_range to twig functions. good for events widgets
* Feature: added integration with google map
* Feature: added function: &quot;run_code_once&quot; for twig
* Feature: added grouped options for the gallery
* Feature: added option to get posts by date from custom ACF field
* Feature: added gallery settings options for dynamic settings attribute
* Feature: added pagination to dynamic loop
* Change: improved dynamic settings attribute


version 1.4.73 = 2021-05-20

* Feature: added twig function: &quot;put_attributes_json&quot; that available in js tab in widget editor
* Feature: added constant - uc_inside_editor - for distinquish between editor and site front
* Feature: added multiple select attribute
* Feature: added listing attribute support
* Fix: fixed &quot;request too long&quot; message on a widget preview - shortened preview url
* Fix: fixed several bugs with condition field in widgets editor
* Fix: fixed hidden image size select on item attributes
* Fix: fixed acf group field output
* Fix: fixed elementor template in items, changed to specific function


version 1.4.72 = 2021-05-02

* Feature: added rating stars helper placeholder for woocommerce
* Feature: added option to include js file after elementor-frontend
* Fix: fixed new typography deprecation message


version 1.4.71 = 2021-04-22

* Feature: added option to take post id's from php function in post selection
* Feature: added option for get posts by meta field that located in current or different post
* Feature: added twig filter: wc_price for native price filtering
* Feature: added post terms titles to post data debug
* Change: added option for woocommerce categories in terms selection
* Fix: fixed price issues in woocommerce related grids
* Fix: fixed include and exclude terms mismatch with nested tax query
* Fix: fixed pagination on search pages


version 1.4.70 = 2021-04-14

* Feature: added show widget data debug options
* Feature: added option for filter post by post meta
* Feature: added option for simple condition for attributes
* Feature: added integration with wordpress popular post plugin for most viewed posts selection
* Feature: added post list variables for data debug
* Feature: added image sizes selector for post list
* Feature: get thumbnailID from content in case that it's missing in post
* Fix: when bulk moving attribute it now always goes to general category
* Fix: fixed filter posts by status
* Fix: fixed instagram media albom


version 1.4.69 = 2021-04-04

* Feature: added extra query debug options for custom post types selector
* Feature: added choose image size select option to image attribute
* Feature: added &quot;image_attributes&quot; placeholder for image output in widget editor
* Change: added default values select to hover animations attribute
* Change: changed button &quot;add to cart&quot; to &quot;select options&quot; for variable products in woocommerce list widgets
* Fix: fixed border radius attribute from width to radius
* Fix: added missing thumb sizes for image select


version 1.4.68 = 2021-03-22

* Feature: added include recently viewed products in woocommerce
* Feature: added option for default max posts in post selector
* Feature: added attribute type: Border Dimensions
* Feature: added attribute type: CSS Filters
* Feature: added attribute type: Hover Animations
* Fix: removed max posts from archive type post query selection, because has no control over pagination.
* Fix: fixed bug when instagram video images didn't show up


version 1.4.67 = 2021-03-12

* Feature: added api connectivity to troubleshooting section
* Feature: added options in terms selection fields
* Feature: added order by meta key for woo categories select

* Fix: fixed woo product price format for decimal prices
* Fix: fixed context menu cut from bottom inside the widgets manager
* Fix: fixed show item data in widgets items repeater
* Fix: fixed float to round in woocommerce discount percents


version 1.4.66 = 2021-02-18

* Feature: added &quot;box shadow&quot; attribute type
* Feature: added url_posts and num_posts to users output
* Feature: added option for selector 2 and selector 3 in several attributes
* Feature: added copy / paste attributes sections in widget editor
* Feature: added option for get default object to getListingItemData function
* Feature: added support for wpml site language inside a widget
* Feature: added acf image and thumbnails widths and heights to placeholders list
* Fix: load js include file in editor even if no js code
* Fix: fixed some php notice with exclude terms posts selection
* Fix: fixed small bug in getListingItemData function with no object returned
* Fix: fixed post selection manual select no posts shown at init
* Fix: fixed bug when private posts not fetched on manual posts selection
* Change: updated codemirror to latest version, added code search feature
* Change: updated freemius sdk to 2.4.2


version 1.4.65 = 2021-02-03

* Feature: added option to fetch custom meta fields in users list
* Feature: added function to twig: getByPHPFunction()
* Feature: added function to twig: getUserMeta()
* Feature: added function to twig: getListingItemData() - working inside any plugin listing
* Fix: fixed php sanitize array bug
* Fix: fixed post type in related posts post selection


version 1.4.64 = 2021-02-02

* Change: moved &quot;edit widget html&quot; button to advanced section in general tab
* Feature:  added option to exclude products on sale in products query section in widget settings
* Feature:  added option to exclude specific posts in post selection widget settings
* Feature:  added woocommerce related products select in post selection
* Feature:  added include/exclude posts by author in widget posts selection
* Feature:  added include/exclude posts by date in widget posts selection
* Feature:  added date/time picker to widget attributes types
* Feature:  added post status to widget posts selection
* Feature:  added offset setting to widget posts selection
* Feature:  added author url and author post count to users fields
* Feature:  added max number of users to user selection attribute
* Feature:  added &quot;elementor template&quot; attribute
* Fix:  fixed small php bug in post selection control
* Fix: fixed js bug in items repeater
* Fix: fixed exclude role not worked in user selection attribute
* Fix: fixed get products on sale selection with variations


version 1.4.63 = 2021-01-26

* Feature: added acf link array and attributes
* Feature: added ordering features to post selection related and manual
* Feature: added option for showing only sticky posts
* Feature: added exclude by term setting in widget post selection
* Change: moved debug data from advaned to general folder in elementor widget settings
* Fix: fixed woo commerce prices number format
* Fix: fixed refresh posts on &quot;post query&quot; section open in widget post settings
* Fix: fixed manual posts selection default order


version 1.4.62 = 2021-01-21

* Feature: added text shadow field
* Feature: added &quot;manual selection&quot; in posts query
* Feature: added compatability tag
* Fix: fixed image size thumb name with &quot;-&quot; sign inside
* Fix: fixed some php warning related to array to string conversion, happening in php 8
* Change: show woo commerce placeholders if selected &quot;for woocommerce products&quot; checkbox in post list attribute
* Change: improved woo category output placeholder help, added getTermCustomFields function


version 1.4.61 = 2021-01-14

* Feature: added max posts and order by options to current query posts selection
* Feature: added manual selection for woocommerce categories select
* Feature: added selector and responsive to drop down attribute in widget builder
* Change: changed buy pro version link from the catalog widgets to inside of the plugin
* Fix: fixed adding widgets to a db table that is not auto incriment
* Fix: fixed svg preview from widget builder interface
* Fix: fixed manual memory check when registering widgets


version 1.4.60 = 2020-12-30

* Feature: added option for third party integration for woocommerce grid
* Feature: added integration for &quot;advanced labels for woocommerce&quot; plugin
* Feature: added view file button in assets manager
* Feature: added svg icon option together with font icon for elementor panel widget box
* Feature: added preview image on mouseover inside elementor panel widget box
* Feature: added option for disabling &quot;edit widget html&quot; from widget settings

* Fix: fixed empty settings when there are gallery item setting only
* Fix: added &quot;no settings&quot; heading in case that no attributes in the widget
* Fix: fixed some php warnings for php 8.0


version 1.4.59 = 2020-12-17

* Fix: fixed import template redirect
* Feature: added option to include sticky posts for post query
* Feature: added post pagination for single page
* Feature: added number of items for instagram widget
* Feature: added background image to background attribute


version 1.4.58 - 2020-12-07

* Feature: make the plugin translatable for wordpress.org

version 1.4.57 - 2020-12-07

* Feature: done post pagination widget for archive posts
* Feature: added option to truncate the post list
* Fix: fixed show debug query on current post query


version 1.4.56 - 2020-11-30

* Update: relesed cyber monday deal admin notice

version 1.4.55 - 2020-11-26

* Feature: added option to sort by sale price
* Feature: added option to debug query
* Feature: added option debug widget data
* Feature: added option to filter posts with child categories
* Feature: added option to include only products on sale

* Fix: fixed no widget shown in some cases
* Fix: fixed woocommerce prices placeholders prefix


version 1.4.54 - 2020-11-13 =

* Update: updated freemius sdk to newest version
* Fix: fixed comma saparated selector


version 1.4.53 - 2020-11-09 =

* Feature: added background widgets and section backgrounds
* Change: removed global colors from template export
* Fix: fixed bug with regular and sale price in woocommerce


version 1.4.52 - 2020-11-06 =

Fix: fixed bug with regular and sale price in woocommerce

version 1.4.51 - 2020-11-04 =

* Feature: added svg output in icon library attribute
* Feature: added woocommerce checkbox to post list
* Feature: added product out of stock filter for product selection
* Feature: added discount_percent field in post list attribute woocommerce product type
* Feature: added woocommerce post list order by price option
* Fix: fixed woocommerce category in post list attribute

version 1.4.50 - 2020-10-21 =

* Fix: removed display errors setting

version 1.4.49 - 2020-10-12 =

* Fix: fixed small bug with non existing controls
* Fix: fixed general settings error when turning off plugin


version 1.4.48 - 2020-10-12 =

*Feature: added border attribute
*Fix: page break in some versions of elementor
*Fix: fixed bulk move attributes with categories
*Fix: fixed default items image field not match


version 1.4.47 - 2020-10-08 =

* Update: remove russian translation
* Feature: added function: get_items for twig
* Fix: fixed switch content and style tab
* Fix: fixed slider control tablet/mobile default value
* Fix: fixed non ordered widget categories


version 1.4.46 - 2020-10-04 =

* Feature: added function put_items_json for js items output
* Fix: returned widgets from uncategorized category

version 1.4.45 - 2020-10-04 =

* Fix: fixed template import with custom widgets

version 1.4.44 - 2020-10-03 =

* Feature: added flexible content type attribute
* Optimize: reduced the number of db queries, dramatically increased load speed

version 1.4.43 - 2020-09-22 =

* Feature: added option to group attributes into sections
* Feature: done instagram access token auto renew
* Feature: added &quot;selector&quot; to color picker attribute
* Fix: improved consolidate widgets option protection
* Fix: fixed select default widget images
* Fix: fixed default items in gallery item (image base fields)
* Fix: fixed image display in default item selector
* Fix: global colors was absent from color selection


version 1.4.42 - 2020-08-06 =

* Feature: added option to get grouped woocomerce products
* Feature: added instagram connect to official API
* Feature: added function: getUserData(), added into &quot;twig code examples&quot; panel
* Feature: added &quot;printVar&quot; and &quot;showDebug&quot; functions &quot;twig code examples&quot; panel
* Feature: done &quot;login with instagram&quot; in general settings, and get data from instgram API
* Fix: sorted &quot;overwrite widgets&quot; issue on import
* Fix: fixed dropdown attribute when work with html data


version 1.4.41 - 2020-06-18 =

* Feature: added additional controls to &quot;number&quot; attribute
* Feature: added &quot;exclude uncategorized category&quot; to woocommerce categories select 
* Feature: added responsive controls to slider attribute
* Fix: fixed template type variable issues in elementor integration
* Fix: show pagination only when &quot;current query&quot; is available
* Fix: fixed select2 field min width in posts query

version 1.4.40 - 2020-06-10 =

* Change: hided &quot;consolidate widgets&quot; general setting
* Feature: added &quot;show/hide wrapping html comments&quot; to general settings
* Fix: fixed export template filename

version 1.4.39 - 2020-06-02 =

* Fix: fixed save widgets from editor with large config limitation.
* Fix: fixed export template with page settings bug.
* Fix: removed extra fields from items editor, leaved only supported fields
* Change: updated freemius SDK to latest version


version 1.4.36 - 2020-05-21 =

* Feature: added support for pods panda repeater
* Fix: done some solution for max_execution_time issues when installing template
* Fix: fixed rtl on templates dialog popup
* Fix: corrected the naming near the &quot;number&quot; field
* Fix: cleared &quot;twig&quot; library from some not needed files.
* Change: removed &quot;image view&quot; file from framework.


version 1.4.35 - 2020-05-11 =

* Feature: added term custom fields support
* Feature: added term meta fields support
* Change: moved composer vendor folder to plugin root
* Change: fixed empty templates list bug when &quot;show only installed widget&quot; checkbox checked
* Fix: sorted out some of the templates import bugs


version 1.4.34 - 2020-05-06 =

* Fix: removed category ations from templates section
* Fix: show &quot;putPostMeta&quot; function even if no example post available
* Fix: fixed finally all the DB not installed issues on elementor and admin pages


version 1.4.33 - 2020-05-03 =

* Fix: fixed double twig collision by another plugin

version 1.4.32 - 2020-05-02 =

* Update: updated to newest twig 1.x version
* Fix: fixed no space between placeholders in php 7.4 bug


version 1.4.31 - 2020-04-26 =

*Fix: fixed dissapearing widget issue

version 1.4.30 - 2020-04-23 =

* Fix: fixed couple of bugs related to templates

version 1.4.29 - 2020-04-22 =

* Feature: released the templates catalog

version 1.4.28 - 2020-04-10 =

* Feature: added woocommerce categories field
* Fix: fixed export / import with images feature
* Fug: fixed error message on front on some cases when the db tables not installed yet.


version 1.4.27 - 2020-04-01 =

Fix: fixed widget default icon in manager
Feature: added &quot;getPostMeta, putPostMeta, printPostMeta&quot; functions
Feature: added &quot;getPostData&quot; function for acf related posts, that get's all the data from the related post including custom fields


version 1.4.26 - 2020-03-28 =

* Change: changed to new api address
* Fix: fixed links not included bug in theme builder posts
* Fix: fixed link to buy pro version
* Fix: fixed free version remain activated bug
* Fix: simpleXML validation made the site down

version 1.4.25 - 2020-03-09 =

* Feature: added &quot;responsive controls&quot; to margin and padding setting
* Feature: made &quot;refresh catalog&quot; button
* Feature: added &quot;num_items&quot; variable to the widget editor
* Change: removed the &quot;default fonts&quot; from widget defaults screen
* Fix: fixed some php bug in &quot;implode&quot; function
* Fix: fixed posts from sub categories in post list


version 1.4.24 - 2020-02-14 =

* Feature: made &quot;export with images&quot; option in templates
* Fix: fixed import category widgets
* Fix: fixed icon html output placeholder

version 1.4.23 - 2020-02-02 =

* Feature: improved the slider attribute
* Feature: added &quot;menu&quot; attribute

version 1.4.22 - 2020-01-28 =

* Feature: added woo currency symbol
* Feature: added woo add to cart button
* Feature: added slider attribute
* Widget: logo grid
* Widget: logo carousel
* Widget: logo marquee
* Widget: image tooltip
* Widget: content toggle
* Widget: circle number
* Widget: post list


version 1.4.21 - 2020-01-22 =

* Feature: added users attribute
* Feature: done multiple post type selector
* Feature: added background attribute
* Feature: added icon library html output
* Feature: added woo commerce support in posts list
* Bug fix: fixed icons not shown bug in widget settings

version 1.4.20 - 2020-01-15 =

* Bug fix: fixed font awesome icon output
* Bug fix: fixed instagram not loading bug
* Change: updated font awesome css version
* Change: changed the way that instagram was loaded on the page


version 1.4.19 - 2019-12-31 =

* Feature: added filter by slug to terms attribute
* Feature: changed repeater items titles to the ones from &quot;title&quot; field instead of &quot;Item1&quot;, &quot;Item2&quot; etc.
* Feature: added automated styling for date field, added &quot;ucdate&quot; filter for that.
* Feature: done functionality for display post author
* Change: changed the font awesome attribute to fa5
* Change: added strip html tags from truncate function


version 1.4.18 - 2019-12-31 =

* Feature: added all image sizes to posts
* Feature: added &quot;putPostTerms&quot; function to posts
* Feature: added wpautop filter to twig
* Feature: added option for custom twig PHP functinoality for PRO version
* Feature: hide &quot;edit widget html&quot; button for user that don't have capability to see the plugin 
* Feature: added wpml compatablity
* Feature: added related posts in posts list
* Feature: added padding and margin controls (pro)
* Bug Fix: fixed pagination output


version 1.4.17 - 2019-12-12 =

* Change: changed to more flexible catalog api

version 1.4.16 - 2019-08-12 =

* Feature: added post query relation (and, or) chooser
* Change: update to freemius sdk 2.3.1
* Feature: added &quot;trancate&quot; filter
* Fix: fixed editor permissions PHP Error

version 1.4.15 - 2019-19-11 =

* Change: remove the old deprecated codecanyon activation
* Fix: fixed bug when both plugins are installed together
* Fix: fixed empty widget content when put a lot of content in the widget html/js
* Feature: added option for fonts for post list for intro and content
* Feature: added custom filter query ID in posts list query (pro)
* Feature: added labels to typography fields
* Feature: added description option for elementor controls
* Feature: added option to add help links to widgets from the widget editor


version 1.4.14 - 2019-24-10 =

* Fix: fixed js not included bug

version 1.4.13 - 2019-24-10 =

* Fix: fixed terms attribute selector bugs in elementor
* Fix: fixed post selection was not showing post types without taxonomies
* Fix: fixed rtl visibility issues in admin


version 1.4.12 - 2019-15-10 =

* Feature: added exclude posts by current post
* Feature: added post category addition custom taxonomy support
* Fix: fixed some bug in post list selector elementor


version 1.4.11 - 2019-07-10 =

*Feature: added link param html attributes placeholder
*Feature: added category link to post list params
*Fix: fixed post list category not displayed bug


version 1.4.10 - 2019-28-9 =

-bug fix: added some front end protection against db not installed bug
* Feature(pro): added do_action for custom wp actions run
* Feature(pro): added apply_filters for custom wp actions run
-bug fix: fixed export widget with assets path
-change: added instructions to download pro version.

= 1.4.7 - 2019-18-9 =

*Fix: fixed post category selection in post list


= 1.4.6 - 2019-18-9 =

*Fix: fixed dynamic items in repeater

= 1.4.6 - 2019-11-9 =

*Fix: fixed admin body class external
*Feature: make support for post categories list
*Feature(pro) - made taxonomies list attribute
*Fix: fixed current posts fetch in archive type

= 1.4.5 - 2019-19-8 =

*Change: improved widgets manager design

= 1.4.3 - 2019-25-7 =

*Change: updated the activation link from plugins
*Change: small UI improvements 

= 1.4.2 - 2019-24-7 =

*Feature: add post category to dynamic fields
*Feature: added toolset integration

= 1.4.1 - 2019-8-7 =

*Feature: added search widget
*Feature: the plugin is now fully translatable, added russian translation


= 1.4 - 2019-8-7 =

*Change: moved to new payment system (freemius), changed pricing plans


= 1.3.39 - 2019-2-7 =

*Feature: add alt tags to image attribute
*Feature: add automatic name from title on add attribute
*Feature: redesign categories

*Fix: removed autop filter change code from front end
*Fix: allow to import widget when stand on category from catalog
*Fix: fixed instagram widgets typography bug


= 1.3.38 - 2019-30-6 =

*Feature: added code examples / js snippets
*Feature: added widget preview

= 1.3.37 - 2019-23-6 =

*Feature: add support for archive pages
*Feature: added archive pages pagination
*Change: changed fonts design controls


= 1.3.36 - 2019-20-6 =

*Fix: fixed multiple similar js includes in one page

= 1.3.35 - 2019-20-6 =

*Feature: add support for acf gallery field

= 1.3.34 - 2019-13-6 =

* Feature: improved the post list filtering and ordering


= 1.3.33 - 2019-12-6 =

* Feature: added ordering posts by meta value
* Fix: fixed site crash by db error


= 1.3.32 - 2019-11-6 =

* Fix: fixed pods together with acf fileds
* Fix: added all categories to post list

= 1.3.31 - 2019-10-6 =

* Feature: added link attribute

= 1.3.30 - 2019-06-6 =

* Feature: made PODS integration


= 1.3.29 - 2019-06-5 =

* Feature: added set widget icon functionality, with presence in catalog
* Feature: added preview widget button from the catalog

= 1.3.28 - 2019-06-3 =

* Feature: made plugin translatable

= 1.3.27 - 2019-06-2 =

* Fix: fixed font override attribute bug

= 1.3.26 - 2019-05-30 =

* Feature: added typography attribute


= 1.3.25 - 2019-05-29 =

* Tweak: added support for dynamic params in image field


= 1.3.24 - 2019-05-29 =
* Fix: Fix dynamic field
* Tweak: Added message when adding an empty repeater from custom fields

= 1.3.23 - 2019-05-01 =
* Feature: Added dynamic fields to all text controls
* Feature: Added &quot;edit html&quot; button to all widgets
* Fix: Fixed consolidated addons render bugs

= 1.3.22 - 2019-04-25 =
* Feature: Made all acf fields integration including the pro like repeater and clone

= 1.3.21 - 2019-04-20 =
* Fix: Fixed current post bug

= 1.3.20 - 2019-04-15 =
* Fix: Fixed current post bug

= 1.3.19 - 2019-04-10 =
* Feature: Done all acf fields

= 1.3.18 - 2019-04-05 =
* Change: Update post child vars when change post

= 1.3.17 - 2019-04-01 =
* Change: Add dynamic fields to addon editor

= 1.3.16 - 2019-03-30 =
* Fix: Fixed the switchers 
* Fix: Fixed the upload file
* Fix: Fixed checkbox in assets tab

= 1.3.15 - 2019-03-25 =
* Fix: Fixed visual bugs
* Fix: Fixed radio boolean attribute (switcher)

= 1.3.14 - 2019-03-20 =
* Fix: Fixed addon assets tab bugs

= 1.3.13 - 2019-03-15 =
* Feature: Done export/import template with addons

= 1.3.12 - 2019-03-10 =
* Feature: Added fedback on deactivate

= 1.3.11 - 2019-03-05 =
* Fix: Fixed export import layout stuff

= 1.3.10 - 2019-03-01 =
* Fix: Fixed assets tab issues
* Fix: Fixed post to articles category rename on install

= 1.3.09 - 2019-02-28 =
* Fix: Fixed test addon jquery include
* Change: Added purchase link to license page

= 1.3.08 - 2019-02-25 =
* Fix: Fixed settings text output

= 1.3.07 - 2019-02-20 =
* Fix: Fixed font manager bug

= 1.3.06 - 2019-02-15 =
* Fix: Fixed taxonomy issues

= 1.3.05 - 2019-02-10 =
* Fix: Fixed add addon functionality

= 1.3.04 - 2019-02-05 =
* Improvment: Improved post types category selection

= 1.3.03 - 2019-02-01 =
* Improvment: Modifications to fulfil envato team requirements

= 1.3.02 - 2019-01-30 =
* Improvment: Modifications to fulfil envato team requirements

= 1.3.01 - 2019-01-25 =
* Improvment: Modifications to fulfil envato team requirements

= 1.2.01 - 2019-01-20 =
* Fix: Fixed js in editor when addins widget

= 1.2.00 - 2019-01-15 =
* Feature: Pro version with a catalog

= 1.0.11 - 2019-01-10 =
* Fix: Fixed some wordpress galleries related bug

= 1.0.10 - 2019-01-05 =
* Fix: Fixed export category

= 1.0.09 - 2019-01-01 =
* Change: Made global setting for consolidata addons or not
* Change: Updated some memory text in general settings

= 1.0.08 - 2018-12-30 =
* Fix: Fixed all notices related bugs

= 1.0.07 - 2018-12-30 =
* Fix: Fixed with default data types

= 1.0.06 - 2018-12-25 =
* Fix: Fixed js includes consolidated

= 1.0.05 - 2018-12-20 =
* Fix: Fixed js includes

= 1.0.04 - 2018-12-15 =
* Fix: Fixed js includes

= 1.0.03 - 2018-12-10 =
* Fix: Fixed empty category issues

= 1.0.02 - 2018-12-05 =
* Fix: Fixed bug with some unit values in render output

= 1.0.00 - 2018-12-01 =
* Release: First plugin release





== Frequently Asked Questions ==

= Can I use the plugin without Elementor? =

No. You cannot use the plugin without Elementor since it's an addon for Elementor.

= Does the plugin work with any theme? =

Absolutely! The plugin will work with any theme where Elementor works.

= What if I update to the Premium version after using the Free version? =

Your existing elements/content will work with the premium version. So you won't lose your any of your hard work.

= Can I get a refund? =

If you are not happy with your purchase at anytime just contact us and we will refund 100% of your money no questions asked.

= Do you offer a renewals discount? =

Yes, you get 25% discount for all annual plan automatic renewals. The renewal price will never be increased so long as the subscription is not cancelled.

= How do I install and activate the 'Unlimited Elements for Elementor' plugin on WordPress? =

To install the 'Unlimited Elements' plugin on your WordPress site, access your WordPress Dashboard and go to Plugins -&gt; Add New. In the search box, enter 'Unlimited Elements.' Locate the plugin in the search results and click on the 'Install Now' button. Once the installation is finished, click on the 'Activate' button, and 'Unlimited Elements for Elementor' will be successfully activated on your WordPress site.

= Do I need to know code to use Unlimited Elements? =

No, you do not need to know code to leverage the widgets and other tools provided by the Unlimited Elements plugin. It is designed to be user-friendly, allowing you to enhance your Elementor experience without any coding expertise. However, for users familiar with code, the plugin offers the added advantage of a widget creator, enabling the creation of custom Elementor widgets for a more tailored and advanced design experience.

= Is my site secure with Unlimited Elements? =

Yes, Unlimited Elements is a secure plugin. The plugin is regularly updated to adhere to common security standards, ensuring a secure environment for your website.

= What types of filters does Unlimited Elements provide? =

Unlimited Elements offers a variety of filter types, including search filters, dropdowns, tabs filters, checkboxes filters, and WooCommerce-related filters, providing a diverse range of options for dynamic and versatile website filtering.

= Are the filters compatible with any post type or WooCommerce products? =

Yes, all the filters provided by Unlimited Elements are live Ajax filters, ensuring dynamic and seamless filtering experiences. They are compatible with any post type, including custom post types, and WooCommerce products, offering versatile functionality for a wide range of content on your website. Utilize specific WooCommerce filters to enhance the shopping experience for your customers, such as the price range slider filter and color swatches filter for products with different colors.

= Can I use Unlimited Elements to display custom post types in my widgets? =

Yes, Unlimited Elements supports showcasing custom post types with advanced query selection and seamless connection to any filter from the UE library. This allows for tailored and dynamic content presentation on your website using the plugin's versatile features.

= What are multi-source widgets in Unlimited Elements? =

Multi-source widgets in Unlimited Elements enable the population of item-based widgets with various dynamic source types. These widgets can be populated using sources like ACF repeater fields, WooCommerce products, custom post types, Instagram feeds, and various API integrations. This versatility allows for the seamless integration of diverse content into widgets, enhancing the flexibility and functionality of your website elements.

= Should I use Remote Control Widgets or the Sync Widgets function in Unlimited Elements? =

The choice depends on your design preferences. If you want complete control, go for Remote Control Widgets. For synchronized layouts, choose Sync Widgets. They can also be used together for even more powerful customization options in Unlimited Elements.
